/* FFMC-16 IO-MAP HEADER FILE                                                */
/* ==========================                                                */
/* SOFTUNE WORKBENCH FORMAT                                                  */
/* C-DEFINITIONS FOR IO-SYMBOLS                                              */
/* CREATED BY IO-WIZARD V2.16                                                */
/* Id: mb90330.h,v 1.5 2005/02/11 13:06:38 hwech Exp                         */
/* THIS SAMPLE CODE IS PROVIDED AS IS AND IS SUBJECT TO ALTERATIONS. FUJITSU */
/* MICROELECTRONICS ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR */
/* ELIGIBILITY FOR ANY PURPOSES.                                             */
/*                 (C) Fujitsu Microelectronics Europe GmbH                  */
/* ***************************************************************************** */
/*               FUJITSU MIKROELEKTRONIK GMBH                                */
/*               Am Siebenstein 6-10, 63303 Dreieich                         */
/*               Tel.:++49/6103/690-0,Fax - 122                              */
/*                                                                           */
/* The following software is for demonstration purposes only.                */
/* It is not fully tested, nor validated in order to fullfill                */
/* its task under all circumstances. Therefore, this software                */
/* or any part of it must only be used in an evaluation                      */
/* laboratory environment.                                                   */
/* This software is subject to the rules of our standard                     */
/* DISCLAIMER, that is delivered with our SW-tools (on the CD                */
/* "Micros Documentation & Software V3.0" see "\START.HTM" or                */
/* see our Internet Page -                                                   */
/* http://www.fujitsu-ede.com/products/micro/disclaimer.html                 */
/* ***************************************************************************** */
/*                                                                           */
/* NOTE:                                                                     */
/*                                                                           */
/* This header-file will cover all features of the Emulation chip MB90V330/S. */
/* No Flash- or Mask- version of the MB90330 series will support all features !!! */
/* Limitaions can be found in UARTs, CANs, I2C, ADC, etc.                    */
/* Please DO NOT USE resources / registers others than specified             */
/* for the dedicated Flash-/Mask-version.                                    */
/* Please refer to the datasheet and hardwaremanual of the MB90330series.    */
/*                                                                           */
/*                                                                           */
/* ----------------------------------------------------------------------    */
/* Id: mb90330.iow,v 1.7 2005/02/11 13:05:46 hwech Exp                       */
/* ----------------------------------------------------------------------    */
/* History:                                                                  */
/* ----------------------------------------------------------------------    */
/* MB90330.iow,v 1.0 2004/07/26 MWi First Version                            */
/* MB90330.iow,v 1.1 2004/08/04 MWi UART0-3: UTRLR0-3 changed to 2 byte access, */
/*                                  bit defs removed, UTCR0-3 removed        */
/* Id: mb90330.iow,v 1.2 2004/08/23 12:33:25 hwech                           */
/*      - Bit name "AL" of IBSRn corrected                                   */
/* Id: mb90330.iow,v 1.3 2004/09/10 13:21:14 hwech                           */
/*      - Register name for ENIR corrected                                   */
/* Id: mb90330.iow,v 1.4 2004/09/27 14:31:41 mwilla                          */
/*      - Register name for PPGC4, PPGC5 corrected                           */
/* Id: mb90330.iow,v 1.5 2004/10/04 15:17:37 mwilla                          */
/*      - Register name for IPCPn corrected                                  */
/* Id: mb90330.iow,v 1.6 2004/11/23 14:54:28 mwilla Exp                      */
/*      - UTRLR0-3 and UTCR0-3 added, former UTRLR0-3 renamed to UTRL0-3     */
/* Id: mb90330.iow,v 1.7 2005/02/11 13:05:46 hwech Exp                       */
/*      - A/D included by macro adc_90330                                    */
/*      - bitgroups removed: DDCT, DDCTL, DDCTH, ICPx, OCCPx, TCDT, TMRLR,   */
/*                           CPCLR, PRLH0, PRLL0, DIOA, DIOAL, DIOAH         */
/* ----------------------------------------------------------------------    */
/*                                                                           */
/* ----------------------------------------------------------------------    */
/* Id: adc_90330.h,v 1.1 2005/02/11 13:03:34 hwech Exp                       */
/* ----------------------------------------------------------------------    */
/* DESCRIPTION:  Interrupt Control Register Declaration                      */
/*                                                                           */
/* AUTHOR:       Fujitsu Mikroelektronik GmbH                                */
/*                                                                           */
/* HISTORY:                                                                  */
/* Id: adc_90330.h,v 1.1 2005/02/11 13:03:34 hwech Exp                       */
/*      - new version for MB90330 Series                                     */


#ifndef   __MB90XXX_H
#  define __MB90XXX_H
/*
- Please define __IO_NEAR in LARGE and COMPACT memory model, if the default
  data bank (DTB) is 00. This will result in better performance in these
  models.
- Please define __IO_FAR in SMALL and MEDIUM memory model, if the default
  data bank (DTB) is other than 00. This might be the case in systems with
  external RAM, which are not using internal RAM as default data area.
- Please define neither __IO_NEAR nor __IO_FAR in all other cases. This
  will work with almost all configurations.
*/

#  ifdef  __IO_NEAR
#    ifdef  __IO_FAR
#      error __IO_NEAR and __IO_FAR must not be defined at the same time
#    else
#      define ___IOWIDTH __near
#    endif
#  else
#    ifdef __IO_FAR
#      define ___IOWIDTH __far
#    else                               /* specified by memory model */
#      define ___IOWIDTH
#    endif
#  endif
#  ifdef  __IO_DEFINE
#    define __IO_EXTERN
#    define __IO_EXTENDED volatile ___IOWIDTH
#  else
#    define __IO_EXTERN   extern      /* for data, which can have __io */
#    define __IO_EXTENDED extern volatile ___IOWIDTH
#  endif

typedef unsigned char		IO_BYTE;
typedef unsigned short		IO_WORD;
typedef unsigned long		IO_LWORD;
typedef const unsigned short	IO_WORD_READ;

/* REGISTER BIT STRUCTURES */

typedef union{   /*  PORT DATA */
    IO_BYTE	byte;
    struct{
    IO_BYTE _P00 :1;
    IO_BYTE _P01 :1;
    IO_BYTE _P02 :1;
    IO_BYTE _P03 :1;
    IO_BYTE _P04 :1;
    IO_BYTE _P05 :1;
    IO_BYTE _P06 :1;
    IO_BYTE _P07 :1;
  }bit;
 }PDR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P10 :1;
    IO_BYTE _P11 :1;
    IO_BYTE _P12 :1;
    IO_BYTE _P13 :1;
    IO_BYTE _P14 :1;
    IO_BYTE _P15 :1;
    IO_BYTE _P16 :1;
    IO_BYTE _P17 :1;
  }bit;
 }PDR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P20 :1;
    IO_BYTE _P21 :1;
    IO_BYTE _P22 :1;
    IO_BYTE _P23 :1;
    IO_BYTE _P24 :1;
    IO_BYTE _P25 :1;
    IO_BYTE _P26 :1;
    IO_BYTE _P27 :1;
  }bit;
 }PDR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P30 :1;
    IO_BYTE _P31 :1;
    IO_BYTE _P32 :1;
    IO_BYTE _P33 :1;
    IO_BYTE _P34 :1;
    IO_BYTE _P35 :1;
    IO_BYTE _P36 :1;
    IO_BYTE _P37 :1;
  }bit;
 }PDR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P40 :1;
    IO_BYTE _P41 :1;
    IO_BYTE _P42 :1;
    IO_BYTE _P43 :1;
    IO_BYTE _P44 :1;
    IO_BYTE _P45 :1;
    IO_BYTE _P46 :1;
    IO_BYTE _P47 :1;
  }bit;
 }PDR4STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P50 :1;
    IO_BYTE _P51 :1;
    IO_BYTE _P52 :1;
    IO_BYTE _P53 :1;
    IO_BYTE _P54 :1;
    IO_BYTE _P55 :1;
    IO_BYTE _P56 :1;
    IO_BYTE _P57 :1;
  }bit;
 }PDR5STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P60 :1;
    IO_BYTE _P61 :1;
    IO_BYTE _P62 :1;
    IO_BYTE _P63 :1;
    IO_BYTE _P64 :1;
    IO_BYTE _P65 :1;
    IO_BYTE _P66 :1;
    IO_BYTE _P67 :1;
  }bit;
 }PDR6STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P70 :1;
    IO_BYTE _P71 :1;
    IO_BYTE _P72 :1;
    IO_BYTE _P73 :1;
    IO_BYTE _P74 :1;
    IO_BYTE _P75 :1;
    IO_BYTE _P76 :1;
    IO_BYTE _P77 :1;
  }bit;
 }PDR7STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P80 :1;
    IO_BYTE _P81 :1;
    IO_BYTE _P82 :1;
    IO_BYTE _P83 :1;
    IO_BYTE _P84 :1;
    IO_BYTE _P85 :1;
    IO_BYTE _P86 :1;
    IO_BYTE _P87 :1;
  }bit;
 }PDR8STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _P90 :1;
    IO_BYTE _P91 :1;
    IO_BYTE _P92 :1;
    IO_BYTE _P93 :1;
    IO_BYTE _P94 :1;
    IO_BYTE _P95 :1;
    IO_BYTE _P96 :1;
    IO_BYTE  :1;
  }bit;
 }PDR9STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _PA0 :1;
    IO_BYTE _PA1 :1;
    IO_BYTE _PA2 :1;
    IO_BYTE _PA3 :1;
    IO_BYTE _PA4 :1;
    IO_BYTE _PA5 :1;
    IO_BYTE _PA6 :1;
    IO_BYTE _PA7 :1;
  }bit;
 }PDRASTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _PB0 :1;
    IO_BYTE _PB1 :1;
    IO_BYTE _PB2 :1;
    IO_BYTE _PB3 :1;
    IO_BYTE _PB4 :1;
    IO_BYTE _PB5 :1;
    IO_BYTE _PB6 :1;
    IO_BYTE  :1;
  }bit;
 }PDRBSTR;
typedef union{   /*  PORT DIRECTION */
    IO_BYTE	byte;
    struct{
    IO_BYTE _DB0 :1;
    IO_BYTE _DB1 :1;
    IO_BYTE _DB2 :1;
    IO_BYTE _DB3 :1;
    IO_BYTE _DB4 :1;
    IO_BYTE _DB5 :1;
    IO_BYTE _DB6 :1;
    IO_BYTE  :1;
  }bit;
 }DDRBSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D00 :1;
    IO_BYTE _D01 :1;
    IO_BYTE _D02 :1;
    IO_BYTE _D03 :1;
    IO_BYTE _D04 :1;
    IO_BYTE _D05 :1;
    IO_BYTE _D06 :1;
    IO_BYTE _D07 :1;
  }bit;
 }DDR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D10 :1;
    IO_BYTE _D11 :1;
    IO_BYTE _D12 :1;
    IO_BYTE _D13 :1;
    IO_BYTE _D14 :1;
    IO_BYTE _D15 :1;
    IO_BYTE _D16 :1;
    IO_BYTE _D17 :1;
  }bit;
 }DDR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D20 :1;
    IO_BYTE _D21 :1;
    IO_BYTE _D22 :1;
    IO_BYTE _D23 :1;
    IO_BYTE _D24 :1;
    IO_BYTE _D25 :1;
    IO_BYTE _D26 :1;
    IO_BYTE _D27 :1;
  }bit;
 }DDR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D30 :1;
    IO_BYTE _D31 :1;
    IO_BYTE _D32 :1;
    IO_BYTE _D33 :1;
    IO_BYTE _D34 :1;
    IO_BYTE _D35 :1;
    IO_BYTE _D36 :1;
    IO_BYTE _D37 :1;
  }bit;
 }DDR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D40 :1;
    IO_BYTE _D41 :1;
    IO_BYTE _D42 :1;
    IO_BYTE _D43 :1;
    IO_BYTE _D44 :1;
    IO_BYTE _D45 :1;
    IO_BYTE _D46 :1;
    IO_BYTE _D47 :1;
  }bit;
 }DDR4STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D50 :1;
    IO_BYTE _D51 :1;
    IO_BYTE _D52 :1;
    IO_BYTE _D53 :1;
    IO_BYTE _D54 :1;
    IO_BYTE _D55 :1;
    IO_BYTE _D56 :1;
    IO_BYTE _D57 :1;
  }bit;
 }DDR5STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D60 :1;
    IO_BYTE _D61 :1;
    IO_BYTE _D62 :1;
    IO_BYTE _D63 :1;
    IO_BYTE _D64 :1;
    IO_BYTE _D65 :1;
    IO_BYTE _D66 :1;
    IO_BYTE _D67 :1;
  }bit;
 }DDR6STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D70 :1;
    IO_BYTE _D71 :1;
    IO_BYTE _D72 :1;
    IO_BYTE _D73 :1;
    IO_BYTE _D74 :1;
    IO_BYTE _D75 :1;
    IO_BYTE _D76 :1;
    IO_BYTE _D77 :1;
  }bit;
 }DDR7STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D80 :1;
    IO_BYTE _D81 :1;
    IO_BYTE _D82 :1;
    IO_BYTE _D83 :1;
    IO_BYTE _D84 :1;
    IO_BYTE _D85 :1;
    IO_BYTE _D86 :1;
    IO_BYTE _D87 :1;
  }bit;
 }DDR8STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D90 :1;
    IO_BYTE _D91 :1;
    IO_BYTE _D92 :1;
    IO_BYTE _D93 :1;
    IO_BYTE _D94 :1;
    IO_BYTE _D95 :1;
    IO_BYTE _D96 :1;
    IO_BYTE  :1;
  }bit;
 }DDR9STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _DA0 :1;
    IO_BYTE _DA1 :1;
    IO_BYTE _DA2 :1;
    IO_BYTE _DA3 :1;
    IO_BYTE _DA4 :1;
    IO_BYTE _DA5 :1;
    IO_BYTE _DA6 :1;
    IO_BYTE _DA7 :1;
  }bit;
 }DDRASTR;
typedef union{   /*  PULL-UP CONTROL */
    IO_BYTE	byte;
    struct{
    IO_BYTE _RD00 :1;
    IO_BYTE _RD01 :1;
    IO_BYTE _RD02 :1;
    IO_BYTE _RD03 :1;
    IO_BYTE _RD04 :1;
    IO_BYTE _RD05 :1;
    IO_BYTE _RD06 :1;
    IO_BYTE _RD07 :1;
  }bit;
 }RDR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _RD10 :1;
    IO_BYTE _RD11 :1;
    IO_BYTE _RD12 :1;
    IO_BYTE _RD13 :1;
    IO_BYTE _RD14 :1;
    IO_BYTE _RD15 :1;
    IO_BYTE _RD16 :1;
    IO_BYTE _RD17 :1;
  }bit;
 }RDR1STR;
typedef union{   /*  ANALOG INPUT ENABLE */
    IO_BYTE	byte;
    struct{
    IO_BYTE _ADE00 :1;
    IO_BYTE _ADE01 :1;
    IO_BYTE _ADE02 :1;
    IO_BYTE _ADE03 :1;
    IO_BYTE _ADE04 :1;
    IO_BYTE _ADE05 :1;
    IO_BYTE _ADE06 :1;
    IO_BYTE _ADE07 :1;
  }bit;
 }ADER0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _ADE10 :1;
    IO_BYTE _ADE11 :1;
    IO_BYTE _ADE12 :1;
    IO_BYTE _ADE13 :1;
    IO_BYTE _ADE14 :1;
    IO_BYTE _ADE15 :1;
    IO_BYTE _ADE16 :1;
    IO_BYTE _ADE17 :1;
  }bit;
 }ADER1STR;
typedef union{   /*  UART0 */
    IO_BYTE	byte;
    struct{
    IO_BYTE _SOE :1;
    IO_BYTE _SCKE :1;
    IO_BYTE _M2L0 :1;
    IO_BYTE _M2L1 :1;
    IO_BYTE _M2L2 :1;
    IO_BYTE _SCKL :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _M2L :3;
    IO_BYTE :1;
    IO_BYTE _MD :2;
  }bitc;
 }SMR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TXE :1;
    IO_BYTE _RXE :1;
    IO_BYTE _REC :1;
    IO_BYTE _AD :1;
    IO_BYTE _CL :1;
    IO_BYTE _SBL :1;
    IO_BYTE _P :1;
    IO_BYTE _PEN :1;
  }bit;
 }SCR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SIDR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SODR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TIE :1;
    IO_BYTE _RIE :1;
    IO_BYTE _BDS :1;
    IO_BYTE _TDRE :1;
    IO_BYTE _RDRF :1;
    IO_BYTE _FRE :1;
    IO_BYTE _ORE :1;
    IO_BYTE _PE :1;
  }bit;
 }SSR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }UTRLR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D8 :1;
    IO_BYTE _D9 :1;
    IO_BYTE _D10 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _CKS :1;
    IO_BYTE _SRST :1;
    IO_BYTE _MD :1;
  }bit;
 }UTCR0STR;
typedef union{   /*  UART1 */
    IO_BYTE	byte;
    struct{
    IO_BYTE _SOE :1;
    IO_BYTE _SCKE :1;
    IO_BYTE _M2L0 :1;
    IO_BYTE _M2L1 :1;
    IO_BYTE _M2L2 :1;
    IO_BYTE _SCKL :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _M2L :3;
    IO_BYTE :1;
    IO_BYTE _MD :2;
  }bitc;
 }SMR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TXE :1;
    IO_BYTE _RXE :1;
    IO_BYTE _REC :1;
    IO_BYTE _AD :1;
    IO_BYTE _CL :1;
    IO_BYTE _SBL :1;
    IO_BYTE _P :1;
    IO_BYTE _PEN :1;
  }bit;
 }SCR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SIDR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SODR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TIE :1;
    IO_BYTE _RIE :1;
    IO_BYTE _BDS :1;
    IO_BYTE _TDRE :1;
    IO_BYTE _RDRF :1;
    IO_BYTE _FRE :1;
    IO_BYTE _ORE :1;
    IO_BYTE _PE :1;
  }bit;
 }SSR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }UTRLR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D8 :1;
    IO_BYTE _D9 :1;
    IO_BYTE _D10 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _CKS :1;
    IO_BYTE _SRST :1;
    IO_BYTE _MD :1;
  }bit;
 }UTCR1STR;
typedef union{   /*  UART2 */
    IO_BYTE	byte;
    struct{
    IO_BYTE _SOE :1;
    IO_BYTE _SCKE :1;
    IO_BYTE _M2L0 :1;
    IO_BYTE _M2L1 :1;
    IO_BYTE _M2L2 :1;
    IO_BYTE _SCKL :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _M2L :3;
    IO_BYTE :1;
    IO_BYTE _MD :2;
  }bitc;
 }SMR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TXE :1;
    IO_BYTE _RXE :1;
    IO_BYTE _REC :1;
    IO_BYTE _AD :1;
    IO_BYTE _CL :1;
    IO_BYTE _SBL :1;
    IO_BYTE _P :1;
    IO_BYTE _PEN :1;
  }bit;
 }SCR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SIDR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SODR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TIE :1;
    IO_BYTE _RIE :1;
    IO_BYTE _BDS :1;
    IO_BYTE _TDRE :1;
    IO_BYTE _RDRF :1;
    IO_BYTE _FRE :1;
    IO_BYTE _ORE :1;
    IO_BYTE _PE :1;
  }bit;
 }SSR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }UTRLR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D8 :1;
    IO_BYTE _D9 :1;
    IO_BYTE _D10 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _CKS :1;
    IO_BYTE _SRST :1;
    IO_BYTE _MD :1;
  }bit;
 }UTCR2STR;
typedef union{   /*  UART3 */
    IO_BYTE	byte;
    struct{
    IO_BYTE _SOE :1;
    IO_BYTE _SCKE :1;
    IO_BYTE _M2L0 :1;
    IO_BYTE _M2L1 :1;
    IO_BYTE _M2L2 :1;
    IO_BYTE _SCKL :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _M2L :3;
    IO_BYTE :1;
    IO_BYTE _MD :2;
  }bitc;
 }SMR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TXE :1;
    IO_BYTE _RXE :1;
    IO_BYTE _REC :1;
    IO_BYTE _AD :1;
    IO_BYTE _CL :1;
    IO_BYTE _SBL :1;
    IO_BYTE _P :1;
    IO_BYTE _PEN :1;
  }bit;
 }SCR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SIDR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SODR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TIE :1;
    IO_BYTE _RIE :1;
    IO_BYTE _BDS :1;
    IO_BYTE _TDRE :1;
    IO_BYTE _RDRF :1;
    IO_BYTE _FRE :1;
    IO_BYTE _ORE :1;
    IO_BYTE _PE :1;
  }bit;
 }SSR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }UTRLR3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D8 :1;
    IO_BYTE _D9 :1;
    IO_BYTE _D10 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _CKS :1;
    IO_BYTE _SRST :1;
    IO_BYTE _MD :1;
  }bit;
 }UTCR3STR;
typedef union{   /*  DTP/external interrupt */
    IO_BYTE	byte;
    struct{
    IO_BYTE _EN0 :1;
    IO_BYTE _EN1 :1;
    IO_BYTE _EN2 :1;
    IO_BYTE _EN3 :1;
    IO_BYTE _EN4 :1;
    IO_BYTE _EN5 :1;
    IO_BYTE _EN6 :1;
    IO_BYTE _EN7 :1;
  }bit;
 }ENIRSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _ER0 :1;
    IO_BYTE _ER1 :1;
    IO_BYTE _ER2 :1;
    IO_BYTE _ER3 :1;
    IO_BYTE _ER4 :1;
    IO_BYTE _ER5 :1;
    IO_BYTE _ER6 :1;
    IO_BYTE _ER7 :1;
  }bit;
 }EIRRSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _LA0 :1;
    IO_WORD _LB0 :1;
    IO_WORD _LA1 :1;
    IO_WORD _LB1 :1;
    IO_WORD _LA2 :1;
    IO_WORD _LB2 :1;
    IO_WORD _LA3 :1;
    IO_WORD _LB3 :1;
    IO_WORD _LA4 :1;
    IO_WORD _LB4 :1;
    IO_WORD _LA5 :1;
    IO_WORD _LB5 :1;
    IO_WORD _LA6 :1;
    IO_WORD _LB6 :1;
    IO_WORD _LA7 :1;
    IO_WORD _LB7 :1;
  }bit;
 }ELVRSTR;
typedef union{   /*  PPGs */
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _PUF0 :1;
    IO_BYTE _PIE0 :1;
    IO_BYTE _PE00 :1;
    IO_BYTE  :1;
    IO_BYTE _PEN0 :1;
  }bit;
 }PPGC0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
    IO_BYTE _PUF1 :1;
    IO_BYTE _PIE1 :1;
    IO_BYTE _PE10 :1;
    IO_BYTE  :1;
    IO_BYTE _PEN1 :1;
  }bit;
 }PPGC1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _PUF0 :1;
    IO_BYTE _PIE0 :1;
    IO_BYTE _PE00 :1;
    IO_BYTE  :1;
    IO_BYTE _PEN0 :1;
  }bit;
 }PPGC2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
    IO_BYTE _PUF1 :1;
    IO_BYTE _PIE1 :1;
    IO_BYTE _PE10 :1;
    IO_BYTE  :1;
    IO_BYTE _PEN1 :1;
  }bit;
 }PPGC3STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _PUF0 :1;
    IO_BYTE _PIE0 :1;
    IO_BYTE _PE00 :1;
    IO_BYTE  :1;
    IO_BYTE _PEN0 :1;
  }bit;
 }PPGC4STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE _MD0 :1;
    IO_BYTE _MD1 :1;
    IO_BYTE _PUF1 :1;
    IO_BYTE _PIE1 :1;
    IO_BYTE _PE10 :1;
    IO_BYTE  :1;
    IO_BYTE _PEN1 :1;
  }bit;
 }PPGC5STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _PCM0 :1;
    IO_BYTE _PCM1 :1;
    IO_BYTE _PCM2 :1;
    IO_BYTE _PCS0 :1;
    IO_BYTE _PCS1 :1;
    IO_BYTE _PCS2 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _PCM :3;
    IO_BYTE _PCS :3;
  }bitc;
 }PPG01STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _PCM0 :1;
    IO_BYTE _PCM1 :1;
    IO_BYTE _PCM2 :1;
    IO_BYTE _PCS0 :1;
    IO_BYTE _PCS1 :1;
    IO_BYTE _PCS2 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _PCM :3;
    IO_BYTE _PCS :3;
  }bitc;
 }PPG23STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _PCM0 :1;
    IO_BYTE _PCM1 :1;
    IO_BYTE _PCM2 :1;
    IO_BYTE _PCS0 :1;
    IO_BYTE _PCS1 :1;
    IO_BYTE _PCS2 :1;
  }bit;
  struct{
    IO_BYTE :2;
    IO_BYTE _PCM :3;
    IO_BYTE _PCS :3;
  }bitc;
 }PPG45STR;
typedef union{   /*  Input Capture */
    IO_BYTE	byte;
    struct{
    IO_BYTE _EG00 :1;
    IO_BYTE _EG01 :1;
    IO_BYTE _EG10 :1;
    IO_BYTE _EG11 :1;
    IO_BYTE _ICE0 :1;
    IO_BYTE _ICE1 :1;
    IO_BYTE _ICP0 :1;
    IO_BYTE _ICP1 :1;
  }bit;
  struct{
    IO_BYTE _EG0 :2;
    IO_BYTE _EG1 :2;
    IO_BYTE _ICE :2;
    IO_BYTE _ICP :2;
  }bitc;
 }ICS01STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _EG20 :1;
    IO_BYTE _EG21 :1;
    IO_BYTE _EG30 :1;
    IO_BYTE _EG31 :1;
    IO_BYTE _ICE2 :1;
    IO_BYTE _ICE3 :1;
    IO_BYTE _ICP2 :1;
    IO_BYTE _ICP3 :1;
  }bit;
  struct{
    IO_BYTE _EG2 :2;
    IO_BYTE _EG3 :2;
    IO_BYTE _ICE :2;
    IO_BYTE _ICP :2;
  }bitc;
 }ICS23STR;
typedef union{   /*  Output Compare */
    IO_BYTE	byte;
    struct{
    IO_BYTE _CST0 :1;
    IO_BYTE _CST1 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _ICE0 :1;
    IO_BYTE _ICE1 :1;
    IO_BYTE _ICP0 :1;
    IO_BYTE _ICP1 :1;
  }bit;
  struct{
    IO_BYTE _CST :2;
    IO_BYTE :2;
    IO_BYTE _ICE :2;
    IO_BYTE _ICP :2;
  }bitc;
 }OCS0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _ODT0 :1;
    IO_BYTE _ODT1 :1;
    IO_BYTE _OTE0 :1;
    IO_BYTE _OTE1 :1;
    IO_BYTE _CMOD :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
  struct{
    IO_BYTE _ODT :2;
    IO_BYTE _OTE :2;
  }bitc;
 }OCS1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CST0 :1;
    IO_BYTE _CST1 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _ICE0 :1;
    IO_BYTE _ICE1 :1;
    IO_BYTE _ICP0 :1;
    IO_BYTE _ICP1 :1;
  }bit;
  struct{
    IO_BYTE _CST :2;
    IO_BYTE :2;
    IO_BYTE _ICE :2;
    IO_BYTE _ICP :2;
  }bitc;
 }OCS2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _ODT0 :1;
    IO_BYTE _ODT1 :1;
    IO_BYTE _OTE0 :1;
    IO_BYTE _OTE1 :1;
    IO_BYTE _CMOD :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
  struct{
    IO_BYTE _ODT :2;
    IO_BYTE _OTE :2;
  }bitc;
 }OCS3STR;
typedef union{   /*  I/O Extended Serial */
    IO_WORD	word;
    struct{
    IO_WORD _SCOE :1;
    IO_WORD _SOE :1;
    IO_WORD _BDS :1;
    IO_WORD _MODE :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _STRT :1;
    IO_WORD _STOP :1;
    IO_WORD _BUSY :1;
    IO_WORD _SIR :1;
    IO_WORD _SIE :1;
    IO_WORD _SMD0 :1;
    IO_WORD _SMD1 :1;
    IO_WORD _SMD2 :1;
  }bit;
  struct{
    IO_WORD :13;
    IO_WORD _SMD :3;
  }bitc;
 }SMCSSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }SDRSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _DIV0 :1;
    IO_BYTE _DIV1 :1;
    IO_BYTE _DIV2 :1;
    IO_BYTE _DIV3 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _MD :1;
  }bit;
  struct{
    IO_BYTE _DIV :4;
  }bitc;
 }SDCRSTR;
typedef union{   /*  16-Bit PWC tinmer */
    IO_WORD	word;
    struct{
    IO_WORD _MOD0 :1;
    IO_WORD _MOD1 :1;
    IO_WORD _MOD2 :1;
    IO_WORD _SC :1;
    IO_WORD _PIS0 :1;
    IO_WORD _PIS1 :1;
    IO_WORD _CKS0 :1;
    IO_WORD _CKS1 :1;
    IO_WORD  :1;
    IO_WORD _ERR :1;
    IO_WORD _OVIE :1;
    IO_WORD _OVIR :1;
    IO_WORD _EDIE :1;
    IO_WORD _EDIR :1;
    IO_WORD _STOP :1;
    IO_WORD _STRT :1;
  }bit;
  struct{
    IO_WORD _MOD :3;
    IO_WORD :1;
    IO_WORD _PIS :2;
    IO_WORD _CKS :2;
  }bitc;
 }PWCSRSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D0 :1;
    IO_WORD _D1 :1;
    IO_WORD _D2 :1;
    IO_WORD _D3 :1;
    IO_WORD _D4 :1;
    IO_WORD _D5 :1;
    IO_WORD _D6 :1;
    IO_WORD _D7 :1;
    IO_WORD _D8 :1;
    IO_WORD _D9 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }PWCRSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _DIV0 :1;
    IO_BYTE _DIV1 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }DIVRSTR;
typedef union{   /*  16 bit reload timers */
    IO_WORD	word;
    struct{
    IO_WORD _TRG :1;
    IO_WORD _CNTE :1;
    IO_WORD _UF :1;
    IO_WORD _INTE :1;
    IO_WORD _RELD :1;
    IO_WORD _OUTL :1;
    IO_WORD _OUTE :1;
    IO_WORD _MOD0 :1;
    IO_WORD _MOD1 :1;
    IO_WORD _MOD2 :1;
    IO_WORD _CSL0 :1;
    IO_WORD _CSL1 :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
  }bit;
  struct{
    IO_WORD :7;
    IO_WORD _MOD :3;
    IO_WORD _CSL :2;
  }bitc;
 }TMCSR0STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D00 :1;
    IO_WORD _D01 :1;
    IO_WORD _D02 :1;
    IO_WORD _D03 :1;
    IO_WORD _D04 :1;
    IO_WORD _D05 :1;
    IO_WORD _D06 :1;
    IO_WORD _D07 :1;
    IO_WORD _D08 :1;
    IO_WORD _D09 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }TMR0STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D00 :1;
    IO_WORD _D01 :1;
    IO_WORD _D02 :1;
    IO_WORD _D03 :1;
    IO_WORD _D04 :1;
    IO_WORD _D05 :1;
    IO_WORD _D06 :1;
    IO_WORD _D07 :1;
    IO_WORD _D08 :1;
    IO_WORD _D09 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }TMRLR0STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _TRG :1;
    IO_WORD _CNTE :1;
    IO_WORD _UF :1;
    IO_WORD _INTE :1;
    IO_WORD _RELD :1;
    IO_WORD _OUTL :1;
    IO_WORD _OUTE :1;
    IO_WORD _MOD0 :1;
    IO_WORD _MOD1 :1;
    IO_WORD _MOD2 :1;
    IO_WORD _CSL0 :1;
    IO_WORD _CSL1 :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
  }bit;
  struct{
    IO_WORD :7;
    IO_WORD _MOD :3;
    IO_WORD _CSL :2;
  }bitc;
 }TMCSR1STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D00 :1;
    IO_WORD _D01 :1;
    IO_WORD _D02 :1;
    IO_WORD _D03 :1;
    IO_WORD _D04 :1;
    IO_WORD _D05 :1;
    IO_WORD _D06 :1;
    IO_WORD _D07 :1;
    IO_WORD _D08 :1;
    IO_WORD _D09 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }TMR1STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D00 :1;
    IO_WORD _D01 :1;
    IO_WORD _D02 :1;
    IO_WORD _D03 :1;
    IO_WORD _D04 :1;
    IO_WORD _D05 :1;
    IO_WORD _D06 :1;
    IO_WORD _D07 :1;
    IO_WORD _D08 :1;
    IO_WORD _D09 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }TMRLR1STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _TRG :1;
    IO_WORD _CNTE :1;
    IO_WORD _UF :1;
    IO_WORD _INTE :1;
    IO_WORD _RELD :1;
    IO_WORD _OUTL :1;
    IO_WORD _OUTE :1;
    IO_WORD _MOD0 :1;
    IO_WORD _MOD1 :1;
    IO_WORD _MOD2 :1;
    IO_WORD _CSL0 :1;
    IO_WORD _CSL1 :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
  }bit;
  struct{
    IO_WORD :7;
    IO_WORD _MOD :3;
    IO_WORD _CSL :2;
  }bitc;
 }TMCSR2STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D00 :1;
    IO_WORD _D01 :1;
    IO_WORD _D02 :1;
    IO_WORD _D03 :1;
    IO_WORD _D04 :1;
    IO_WORD _D05 :1;
    IO_WORD _D06 :1;
    IO_WORD _D07 :1;
    IO_WORD _D08 :1;
    IO_WORD _D09 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }TMR2STR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _D00 :1;
    IO_WORD _D01 :1;
    IO_WORD _D02 :1;
    IO_WORD _D03 :1;
    IO_WORD _D04 :1;
    IO_WORD _D05 :1;
    IO_WORD _D06 :1;
    IO_WORD _D07 :1;
    IO_WORD _D08 :1;
    IO_WORD _D09 :1;
    IO_WORD _D10 :1;
    IO_WORD _D11 :1;
    IO_WORD _D12 :1;
    IO_WORD _D13 :1;
    IO_WORD _D14 :1;
    IO_WORD _D15 :1;
  }bit;
 }TMRLR2STR;
typedef union{   /*  ROM Mirror */
    IO_BYTE	byte;
    struct{
    IO_BYTE _MI :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }ROMMSTR;
typedef union{   /*  I2C Interfaces  */
    IO_BYTE	byte;
    struct{
    IO_BYTE _FBT :1;
    IO_BYTE _GCA :1;
    IO_BYTE _AAS :1;
    IO_BYTE _TRX :1;
    IO_BYTE _LRB :1;
    IO_BYTE _Al :1;
    IO_BYTE _RSC :1;
    IO_BYTE _BB :1;
  }bit;
 }IBSR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _INT :1;
    IO_BYTE _INTE :1;
    IO_BYTE _GCAA :1;
    IO_BYTE _ACK :1;
    IO_BYTE _MSS :1;
    IO_BYTE _SCC :1;
    IO_BYTE _BEIE :1;
    IO_BYTE _BER :1;
  }bit;
 }IBCR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CS0 :1;
    IO_BYTE _CS1 :1;
    IO_BYTE _CS2 :1;
    IO_BYTE _CS3 :1;
    IO_BYTE _CS4 :1;
    IO_BYTE _EN :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
  struct{
    IO_BYTE _CS :5;
  }bitc;
 }ICCR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _A0 :1;
    IO_BYTE _A1 :1;
    IO_BYTE _A2 :1;
    IO_BYTE _A4 :1;
    IO_BYTE _A5 :1;
    IO_BYTE _A6 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }IADR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }IDAR0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _FBT :1;
    IO_BYTE _GCA :1;
    IO_BYTE _AAS :1;
    IO_BYTE _TRX :1;
    IO_BYTE _LRB :1;
    IO_BYTE _Al :1;
    IO_BYTE _RSC :1;
    IO_BYTE _BB :1;
  }bit;
 }IBSR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _INT :1;
    IO_BYTE _INTE :1;
    IO_BYTE _GCAA :1;
    IO_BYTE _ACK :1;
    IO_BYTE _MSS :1;
    IO_BYTE _SCC :1;
    IO_BYTE _BEIE :1;
    IO_BYTE _BER :1;
  }bit;
 }IBCR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CS0 :1;
    IO_BYTE _CS1 :1;
    IO_BYTE _CS2 :1;
    IO_BYTE _CS3 :1;
    IO_BYTE _CS4 :1;
    IO_BYTE _EN :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
  struct{
    IO_BYTE _CS :5;
  }bitc;
 }ICCR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _A0 :1;
    IO_BYTE _A1 :1;
    IO_BYTE _A2 :1;
    IO_BYTE _A4 :1;
    IO_BYTE _A5 :1;
    IO_BYTE _A6 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }IADR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }IDAR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _FBT :1;
    IO_BYTE _GCA :1;
    IO_BYTE _AAS :1;
    IO_BYTE _TRX :1;
    IO_BYTE _LRB :1;
    IO_BYTE _Al :1;
    IO_BYTE _RSC :1;
    IO_BYTE _BB :1;
  }bit;
 }IBSR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _INT :1;
    IO_BYTE _INTE :1;
    IO_BYTE _GCAA :1;
    IO_BYTE _ACK :1;
    IO_BYTE _MSS :1;
    IO_BYTE _SCC :1;
    IO_BYTE _BEIE :1;
    IO_BYTE _BER :1;
  }bit;
 }IBCR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CS0 :1;
    IO_BYTE _CS1 :1;
    IO_BYTE _CS2 :1;
    IO_BYTE _CS3 :1;
    IO_BYTE _CS4 :1;
    IO_BYTE _EN :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
  struct{
    IO_BYTE _CS :5;
  }bitc;
 }ICCR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _A0 :1;
    IO_BYTE _A1 :1;
    IO_BYTE _A2 :1;
    IO_BYTE _A4 :1;
    IO_BYTE _A5 :1;
    IO_BYTE _A6 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }IADR2STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _D0 :1;
    IO_BYTE _D1 :1;
    IO_BYTE _D2 :1;
    IO_BYTE _D3 :1;
    IO_BYTE _D4 :1;
    IO_BYTE _D5 :1;
    IO_BYTE _D6 :1;
    IO_BYTE _D7 :1;
  }bit;
 }IDAR2STR;
typedef union{   /*  16-Bit free-run timer (I/O timer) */
    IO_WORD	word;
    struct{
    IO_WORD _T00 :1;
    IO_WORD _T01 :1;
    IO_WORD _T02 :1;
    IO_WORD _T03 :1;
    IO_WORD _T04 :1;
    IO_WORD _T05 :1;
    IO_WORD _T06 :1;
    IO_WORD _T07 :1;
    IO_WORD _T08 :1;
    IO_WORD _T09 :1;
    IO_WORD _T10 :1;
    IO_WORD _T11 :1;
    IO_WORD _T12 :1;
    IO_WORD _T13 :1;
    IO_WORD _T14 :1;
    IO_WORD _T15 :1;
  }bit;
 }TCDTSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _CLK0 :1;
    IO_WORD _CLK1 :1;
    IO_WORD _CLK2 :1;
    IO_WORD _SCLR :1;
    IO_WORD _MODE :1;
    IO_WORD _STOP :1;
    IO_WORD _IVFE :1;
    IO_WORD _IVF :1;
    IO_WORD _ICRE :1;
    IO_WORD _ICLR :1;
    IO_WORD _MSI0 :1;
    IO_WORD _MSI1 :1;
    IO_WORD _MSI2 :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _ECKE :1;
  }bit;
  struct{
    IO_WORD _CLK :3;
    IO_WORD :7;
    IO_WORD _MSI :3;
  }bitc;
 }TCCSSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _CL00 :1;
    IO_WORD _CL01 :1;
    IO_WORD _CL02 :1;
    IO_WORD _CL03 :1;
    IO_WORD _CL04 :1;
    IO_WORD _CL05 :1;
    IO_WORD _CL06 :1;
    IO_WORD _CL07 :1;
    IO_WORD _CL08 :1;
    IO_WORD _CL09 :1;
    IO_WORD _CL10 :1;
    IO_WORD _CL11 :1;
    IO_WORD _CL12 :1;
    IO_WORD _CL13 :1;
    IO_WORD _CL14 :1;
    IO_WORD _CL15 :1;
  }bit;
 }CPCLRSTR;
typedef union{   /*  uDMAC (Part 1) */
    IO_BYTE	byte;
    struct{
    IO_BYTE _DCSR0 :1;
    IO_BYTE _DCSR1 :1;
    IO_BYTE _DCSR2 :1;
    IO_BYTE _DCSR3 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _STP :1;
  }bit;
  struct{
    IO_BYTE _DCSR :4;
  }bitc;
 }DCSRSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _DTE0 :1;
    IO_WORD _DTE1 :1;
    IO_WORD _DTE2 :1;
    IO_WORD _DTE3 :1;
    IO_WORD _DTE4 :1;
    IO_WORD _DTE5 :1;
    IO_WORD _DTE6 :1;
    IO_WORD _DTE7 :1;
    IO_WORD _DTE8 :1;
    IO_WORD _DTE9 :1;
    IO_WORD _DTE10 :1;
    IO_WORD _DTE11 :1;
    IO_WORD _DTE12 :1;
    IO_WORD _DTE13 :1;
    IO_WORD _DTE14 :1;
    IO_WORD _DTE15 :1;
  }bit;
 }DSRSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _DTE0 :1;
    IO_BYTE _DTE1 :1;
    IO_BYTE _DTE2 :1;
    IO_BYTE _DTE3 :1;
    IO_BYTE _DTE4 :1;
    IO_BYTE _DTE5 :1;
    IO_BYTE _DTE6 :1;
    IO_BYTE _DTE7 :1;
  }bit;
 }DSRLSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _DTE8 :1;
    IO_BYTE _DTE9 :1;
    IO_BYTE _DTE10 :1;
    IO_BYTE _DTE11 :1;
    IO_BYTE _DTE12 :1;
    IO_BYTE _DTE13 :1;
    IO_BYTE _DTE14 :1;
    IO_BYTE _DTE15 :1;
  }bit;
 }DSRHSTR;
typedef union{   /*  Delayed Interrupt */
    IO_BYTE	byte;
    struct{
    IO_BYTE _R0 :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }DIRRSTR;
typedef union{   /*  Clock */
    IO_BYTE	byte;
    struct{
    IO_BYTE _CS0 :1;
    IO_BYTE _CS1 :1;
    IO_BYTE _MCS :1;
    IO_BYTE _SCS :1;
    IO_BYTE _WS0 :1;
    IO_BYTE _WS1 :1;
    IO_BYTE _MCM :1;
    IO_BYTE _SCM :1;
  }bit;
  struct{
    IO_BYTE _CS :2;
    IO_BYTE :2;
    IO_BYTE _WS :2;
  }bitc;
 }CKSCRSTR;
typedef union{   /*  uDMAC (Part 2) */
    IO_BYTE	byte;
    struct{
    IO_BYTE _STP0 :1;
    IO_BYTE _STP1 :1;
    IO_BYTE _STP2 :1;
    IO_BYTE _STP3 :1;
    IO_BYTE _STP4 :1;
    IO_BYTE _STP5 :1;
    IO_BYTE _STP6 :1;
    IO_BYTE _STP7 :1;
  }bit;
 }DSSRSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _STP0 :1;
    IO_BYTE _STP1 :1;
    IO_BYTE _STP2 :1;
    IO_BYTE _STP3 :1;
    IO_BYTE _STP4 :1;
    IO_BYTE _STP5 :1;
    IO_BYTE _STP6 :1;
    IO_BYTE _STP7 :1;
  }bit;
 }DSSR1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _STP8 :1;
    IO_BYTE _STP9 :1;
    IO_BYTE _STP10 :1;
    IO_BYTE _STP11 :1;
    IO_BYTE _STP12 :1;
    IO_BYTE _STP13 :1;
    IO_BYTE _STP14 :1;
    IO_BYTE _STP15 :1;
  }bit;
 }DSSR0STR;
typedef union{   /*  Watch(dog) Timers */
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _SRST :1;
    IO_BYTE _ERST :1;
    IO_BYTE _WRST :1;
    IO_BYTE  :1;
    IO_BYTE _PONR :1;
  }bit;
 }WDTCSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _TBC0 :1;
    IO_BYTE _TBC1 :1;
    IO_BYTE _TBR :1;
    IO_BYTE _TBOF :1;
    IO_BYTE _TBIE :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
  struct{
    IO_BYTE _TBC :2;
  }bitc;
 }TBTCSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _WTC0 :1;
    IO_BYTE _WTC1 :1;
    IO_BYTE _WTC2 :1;
    IO_BYTE _WTR :1;
    IO_BYTE _WTOF :1;
    IO_BYTE _WTIE :1;
    IO_BYTE _SCE :1;
    IO_BYTE _WDST :1;
  }bit;
  struct{
    IO_BYTE _WTC :3;
  }bitc;
 }WTCSTR;
typedef union{   /*  uDMAC (Part 3) */
    IO_BYTE	byte;
    struct{
    IO_BYTE _EN0 :1;
    IO_BYTE _EN1 :1;
    IO_BYTE _EN2 :1;
    IO_BYTE _EN3 :1;
    IO_BYTE _EN4 :1;
    IO_BYTE _EN5 :1;
    IO_BYTE _EN6 :1;
    IO_BYTE _EN7 :1;
  }bit;
 }DERLSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _EN8 :1;
    IO_BYTE _EN9 :1;
    IO_BYTE _EN10 :1;
    IO_BYTE _EN11 :1;
    IO_BYTE _EN12 :1;
    IO_BYTE _EN13 :1;
    IO_BYTE _EN14 :1;
    IO_BYTE _EN15 :1;
  }bit;
 }DERHSTR;
typedef union{   /*  Flash Memory I/F */
    IO_BYTE	byte;
    struct{
    IO_BYTE _LPM0 :1;
    IO_BYTE  :1;
    IO_BYTE _LPM1 :1;
    IO_BYTE  :1;
    IO_BYTE _RDY :1;
    IO_BYTE _WE :1;
    IO_BYTE _RDYINT :1;
    IO_BYTE _INTE :1;
  }bit;
 }FMCSSTR;
typedef union{   /*  USB Mini Host */
    IO_BYTE	byte;
    struct{
    IO_BYTE _HOST :1;
    IO_BYTE _URST :1;
    IO_BYTE _SOFIRE :1;
    IO_BYTE _DIRE :1;
    IO_BYTE _CNNIRE :1;
    IO_BYTE _CMPIRE :1;
    IO_BYTE _URIRE :1;
    IO_BYTE _RWKIRE :1;
  }bit;
 }HCNT0STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _RETRY :1;
    IO_BYTE _CANCEL :1;
    IO_BYTE _SOFSTP :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }HCNT1STR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _SOFIRQ :1;
    IO_BYTE _DIRQ :1;
    IO_BYTE _CNNIRQ :1;
    IO_BYTE _CMPIRQ :1;
    IO_BYTE _URIRQ :1;
    IO_BYTE _RWKIRQ :1;
    IO_BYTE  :1;
    IO_BYTE _TCAN :1;
  }bit;
 }HIRQSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _HS0 :1;
    IO_BYTE _HS1 :1;
    IO_BYTE _STUFF :1;
    IO_BYTE _TGERR :1;
    IO_BYTE _CRC :1;
    IO_BYTE _TOUT :1;
    IO_BYTE _RERR :1;
    IO_BYTE _LSTSOF :1;
  }bit;
  struct{
    IO_BYTE _HS :2;
  }bitc;
 }HERRSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CSTAT :1;
    IO_BYTE _TMODE :1;
    IO_BYTE _SUSP :1;
    IO_BYTE _SOFBSY :1;
    IO_BYTE _CLKSEL :1;
    IO_BYTE _ALIVE :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
  }bit;
 }HSTATESTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _TGGL :1;
  }bit;
 }HTOKENSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _PWC :1;
    IO_BYTE _RFBK :1;
    IO_BYTE  :1;
    IO_BYTE  :1;
    IO_BYTE _USTP :1;
    IO_BYTE _HCONX :1;
    IO_BYTE _RESUM :1;
    IO_BYTE _RST :1;
  }bit;
 }UDCCSTR;
typedef union{   /*  USB Function */
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _STAL :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
  }bit;
 }EP0CSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _PKS :1;
    IO_WORD _STAL :1;
    IO_WORD _NULE :1;
    IO_WORD _DMAE :1;
    IO_WORD _DIR :1;
    IO_WORD _TYPE0 :1;
    IO_WORD _TYPE1 :1;
    IO_WORD _EPEN :1;
  }bit;
  struct{
    IO_WORD :13;
    IO_WORD _TYPE :2;
  }bitc;
 }EP1CSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _STAL :1;
    IO_WORD _NULE :1;
    IO_WORD _DMAE :1;
    IO_WORD _DIR :1;
    IO_WORD _TYPE0 :1;
    IO_WORD _TYPE1 :1;
    IO_WORD _EPEN :1;
  }bit;
  struct{
    IO_WORD :13;
    IO_WORD _TYPE :2;
  }bitc;
 }EP2CSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _STAL :1;
    IO_WORD _NULE :1;
    IO_WORD _DMAE :1;
    IO_WORD _DIR :1;
    IO_WORD _TYPE0 :1;
    IO_WORD _TYPE1 :1;
    IO_WORD _EPEN :1;
  }bit;
  struct{
    IO_WORD :13;
    IO_WORD _TYPE :2;
  }bitc;
 }EP3CSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _STAL :1;
    IO_WORD _NULE :1;
    IO_WORD _DMAE :1;
    IO_WORD _DIR :1;
    IO_WORD _TYPE0 :1;
    IO_WORD _TYPE1 :1;
    IO_WORD _EPEN :1;
  }bit;
  struct{
    IO_WORD :13;
    IO_WORD _TYPE :2;
  }bitc;
 }EP4CSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _STAL :1;
    IO_WORD _NULE :1;
    IO_WORD _DMAE :1;
    IO_WORD _DIR :1;
    IO_WORD _TYPE0 :1;
    IO_WORD _TYPE1 :1;
    IO_WORD _EPEN :1;
  }bit;
  struct{
    IO_WORD :13;
    IO_WORD _TYPE :2;
  }bitc;
 }EP5CSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CONF :1;
    IO_BYTE _SETP :1;
    IO_BYTE _WKUP :1;
    IO_BYTE _BRST :1;
    IO_BYTE _SOF :1;
    IO_BYTE _SUSP :1;
    IO_BYTE _VON :1;
    IO_BYTE _VOFF :1;
  }bit;
 }UDCSSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _CONFIE :1;
    IO_BYTE _CONFN :1;
    IO_BYTE _WKUPIE :1;
    IO_BYTE _BRSTIE :1;
    IO_BYTE _SOFIE :1;
    IO_BYTE _SUSPIE :1;
    IO_BYTE _VONIE :1;
    IO_BYTE _VOFFIE :1;
  }bit;
 }UDCIESTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _DRQI :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _DRQIIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP0ISSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPK :1;
    IO_WORD _DRQO :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPKIE :1;
    IO_WORD _DRQOIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP0OSSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPK :1;
    IO_WORD _DRQ :1;
    IO_WORD _BUSY :1;
    IO_WORD  :1;
    IO_WORD _SPKIE :1;
    IO_WORD _DRQIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP1SSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPK :1;
    IO_WORD _DRQ :1;
    IO_WORD _BUSY :1;
    IO_WORD  :1;
    IO_WORD _SPKIE :1;
    IO_WORD _DRQIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP2SSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPK :1;
    IO_WORD _DRQ :1;
    IO_WORD _BUSY :1;
    IO_WORD  :1;
    IO_WORD _SPKIE :1;
    IO_WORD _DRQIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP3SSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPK :1;
    IO_WORD _DRQ :1;
    IO_WORD _BUSY :1;
    IO_WORD  :1;
    IO_WORD _SPKIE :1;
    IO_WORD _DRQIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP4SSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD  :1;
    IO_WORD _SPK :1;
    IO_WORD _DRQ :1;
    IO_WORD _BUSY :1;
    IO_WORD  :1;
    IO_WORD _SPKIE :1;
    IO_WORD _DRQIE :1;
    IO_WORD _BFINI :1;
  }bit;
 }EP5SSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _SE :1;
    IO_BYTE _DIR :1;
    IO_BYTE _BF :1;
    IO_BYTE _BW :1;
    IO_BYTE _IF :1;
    IO_BYTE _BYTEL :1;
    IO_BYTE _RDY1 :1;
    IO_BYTE _RDY2 :1;
  }bit;
 }DMACSSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _A00 :1;
    IO_BYTE _A01 :1;
    IO_BYTE _A02 :1;
    IO_BYTE _A03 :1;
    IO_BYTE _A04 :1;
    IO_BYTE _A05 :1;
    IO_BYTE _A06 :1;
    IO_BYTE _A07 :1;
  }bit;
 }DIOALSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _A08 :1;
    IO_BYTE _A09 :1;
    IO_BYTE _A10 :1;
    IO_BYTE _A11 :1;
    IO_BYTE _A12 :1;
    IO_BYTE _A13 :1;
    IO_BYTE _A14 :1;
    IO_BYTE _A15 :1;
  }bit;
 }DIOAHSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _A00 :1;
    IO_WORD _A01 :1;
    IO_WORD _A02 :1;
    IO_WORD _A03 :1;
    IO_WORD _A04 :1;
    IO_WORD _A05 :1;
    IO_WORD _A06 :1;
    IO_WORD _A07 :1;
    IO_WORD _A08 :1;
    IO_WORD _A09 :1;
    IO_WORD _A10 :1;
    IO_WORD _A11 :1;
    IO_WORD _A12 :1;
    IO_WORD _A13 :1;
    IO_WORD _A14 :1;
    IO_WORD _A15 :1;
  }bit;
 }DIOASTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _B00 :1;
    IO_BYTE _B01 :1;
    IO_BYTE _B02 :1;
    IO_BYTE _B03 :1;
    IO_BYTE _B04 :1;
    IO_BYTE _B05 :1;
    IO_BYTE _B06 :1;
    IO_BYTE _B07 :1;
  }bit;
 }DDCTLSTR;
typedef union{  
    IO_BYTE	byte;
    struct{
    IO_BYTE _B08 :1;
    IO_BYTE _B09 :1;
    IO_BYTE _B10 :1;
    IO_BYTE _B11 :1;
    IO_BYTE _B12 :1;
    IO_BYTE _B13 :1;
    IO_BYTE _B14 :1;
    IO_BYTE _B15 :1;
  }bit;
 }DDCTHSTR;
typedef union{  
    IO_WORD	word;
    struct{
    IO_WORD _B00 :1;
    IO_WORD _B01 :1;
    IO_WORD _B02 :1;
    IO_WORD _B03 :1;
    IO_WORD _B04 :1;
    IO_WORD _B05 :1;
    IO_WORD _B06 :1;
    IO_WORD _B07 :1;
    IO_WORD _B08 :1;
    IO_WORD _B09 :1;
    IO_WORD _B10 :1;
    IO_WORD _B11 :1;
    IO_WORD _B12 :1;
    IO_WORD _B13 :1;
    IO_WORD _B14 :1;
    IO_WORD _B15 :1;
  }bit;
 }DDCTSTR;

/* C-DECLARATIONS */

__IO_EXTERN __io PDR0STR _pdr0;   /*  PORT DATA */
#define PDR0 _pdr0.byte
#define PDR0_P00 _pdr0.bit._P00
#define PDR0_P01 _pdr0.bit._P01
#define PDR0_P02 _pdr0.bit._P02
#define PDR0_P03 _pdr0.bit._P03
#define PDR0_P04 _pdr0.bit._P04
#define PDR0_P05 _pdr0.bit._P05
#define PDR0_P06 _pdr0.bit._P06
#define PDR0_P07 _pdr0.bit._P07
__IO_EXTERN __io PDR1STR _pdr1;  
#define PDR1 _pdr1.byte
#define PDR1_P10 _pdr1.bit._P10
#define PDR1_P11 _pdr1.bit._P11
#define PDR1_P12 _pdr1.bit._P12
#define PDR1_P13 _pdr1.bit._P13
#define PDR1_P14 _pdr1.bit._P14
#define PDR1_P15 _pdr1.bit._P15
#define PDR1_P16 _pdr1.bit._P16
#define PDR1_P17 _pdr1.bit._P17
__IO_EXTERN __io PDR2STR _pdr2;  
#define PDR2 _pdr2.byte
#define PDR2_P20 _pdr2.bit._P20
#define PDR2_P21 _pdr2.bit._P21
#define PDR2_P22 _pdr2.bit._P22
#define PDR2_P23 _pdr2.bit._P23
#define PDR2_P24 _pdr2.bit._P24
#define PDR2_P25 _pdr2.bit._P25
#define PDR2_P26 _pdr2.bit._P26
#define PDR2_P27 _pdr2.bit._P27
__IO_EXTERN __io PDR3STR _pdr3;  
#define PDR3 _pdr3.byte
#define PDR3_P30 _pdr3.bit._P30
#define PDR3_P31 _pdr3.bit._P31
#define PDR3_P32 _pdr3.bit._P32
#define PDR3_P33 _pdr3.bit._P33
#define PDR3_P34 _pdr3.bit._P34
#define PDR3_P35 _pdr3.bit._P35
#define PDR3_P36 _pdr3.bit._P36
#define PDR3_P37 _pdr3.bit._P37
__IO_EXTERN __io PDR4STR _pdr4;  
#define PDR4 _pdr4.byte
#define PDR4_P40 _pdr4.bit._P40
#define PDR4_P41 _pdr4.bit._P41
#define PDR4_P42 _pdr4.bit._P42
#define PDR4_P43 _pdr4.bit._P43
#define PDR4_P44 _pdr4.bit._P44
#define PDR4_P45 _pdr4.bit._P45
#define PDR4_P46 _pdr4.bit._P46
#define PDR4_P47 _pdr4.bit._P47
__IO_EXTERN __io PDR5STR _pdr5;  
#define PDR5 _pdr5.byte
#define PDR5_P50 _pdr5.bit._P50
#define PDR5_P51 _pdr5.bit._P51
#define PDR5_P52 _pdr5.bit._P52
#define PDR5_P53 _pdr5.bit._P53
#define PDR5_P54 _pdr5.bit._P54
#define PDR5_P55 _pdr5.bit._P55
#define PDR5_P56 _pdr5.bit._P56
#define PDR5_P57 _pdr5.bit._P57
__IO_EXTERN __io PDR6STR _pdr6;  
#define PDR6 _pdr6.byte
#define PDR6_P60 _pdr6.bit._P60
#define PDR6_P61 _pdr6.bit._P61
#define PDR6_P62 _pdr6.bit._P62
#define PDR6_P63 _pdr6.bit._P63
#define PDR6_P64 _pdr6.bit._P64
#define PDR6_P65 _pdr6.bit._P65
#define PDR6_P66 _pdr6.bit._P66
#define PDR6_P67 _pdr6.bit._P67
__IO_EXTERN __io PDR7STR _pdr7;  
#define PDR7 _pdr7.byte
#define PDR7_P70 _pdr7.bit._P70
#define PDR7_P71 _pdr7.bit._P71
#define PDR7_P72 _pdr7.bit._P72
#define PDR7_P73 _pdr7.bit._P73
#define PDR7_P74 _pdr7.bit._P74
#define PDR7_P75 _pdr7.bit._P75
#define PDR7_P76 _pdr7.bit._P76
#define PDR7_P77 _pdr7.bit._P77
__IO_EXTERN __io PDR8STR _pdr8;  
#define PDR8 _pdr8.byte
#define PDR8_P80 _pdr8.bit._P80
#define PDR8_P81 _pdr8.bit._P81
#define PDR8_P82 _pdr8.bit._P82
#define PDR8_P83 _pdr8.bit._P83
#define PDR8_P84 _pdr8.bit._P84
#define PDR8_P85 _pdr8.bit._P85
#define PDR8_P86 _pdr8.bit._P86
#define PDR8_P87 _pdr8.bit._P87
__IO_EXTERN __io PDR9STR _pdr9;  
#define PDR9 _pdr9.byte
#define PDR9_P90 _pdr9.bit._P90
#define PDR9_P91 _pdr9.bit._P91
#define PDR9_P92 _pdr9.bit._P92
#define PDR9_P93 _pdr9.bit._P93
#define PDR9_P94 _pdr9.bit._P94
#define PDR9_P95 _pdr9.bit._P95
#define PDR9_P96 _pdr9.bit._P96
__IO_EXTERN __io PDRASTR _pdra;  
#define PDRA _pdra.byte
#define PDRA_PA0 _pdra.bit._PA0
#define PDRA_PA1 _pdra.bit._PA1
#define PDRA_PA2 _pdra.bit._PA2
#define PDRA_PA3 _pdra.bit._PA3
#define PDRA_PA4 _pdra.bit._PA4
#define PDRA_PA5 _pdra.bit._PA5
#define PDRA_PA6 _pdra.bit._PA6
#define PDRA_PA7 _pdra.bit._PA7
__IO_EXTERN __io PDRBSTR _pdrb;  
#define PDRB _pdrb.byte
#define PDRB_PB0 _pdrb.bit._PB0
#define PDRB_PB1 _pdrb.bit._PB1
#define PDRB_PB2 _pdrb.bit._PB2
#define PDRB_PB3 _pdrb.bit._PB3
#define PDRB_PB4 _pdrb.bit._PB4
#define PDRB_PB5 _pdrb.bit._PB5
#define PDRB_PB6 _pdrb.bit._PB6
__IO_EXTERN __io DDRBSTR _ddrb;   /*  PORT DIRECTION */
#define DDRB _ddrb.byte
#define DDRB_DB0 _ddrb.bit._DB0
#define DDRB_DB1 _ddrb.bit._DB1
#define DDRB_DB2 _ddrb.bit._DB2
#define DDRB_DB3 _ddrb.bit._DB3
#define DDRB_DB4 _ddrb.bit._DB4
#define DDRB_DB5 _ddrb.bit._DB5
#define DDRB_DB6 _ddrb.bit._DB6
__IO_EXTERN __io DDR0STR _ddr0;  
#define DDR0 _ddr0.byte
#define DDR0_D00 _ddr0.bit._D00
#define DDR0_D01 _ddr0.bit._D01
#define DDR0_D02 _ddr0.bit._D02
#define DDR0_D03 _ddr0.bit._D03
#define DDR0_D04 _ddr0.bit._D04
#define DDR0_D05 _ddr0.bit._D05
#define DDR0_D06 _ddr0.bit._D06
#define DDR0_D07 _ddr0.bit._D07
__IO_EXTERN __io DDR1STR _ddr1;  
#define DDR1 _ddr1.byte
#define DDR1_D10 _ddr1.bit._D10
#define DDR1_D11 _ddr1.bit._D11
#define DDR1_D12 _ddr1.bit._D12
#define DDR1_D13 _ddr1.bit._D13
#define DDR1_D14 _ddr1.bit._D14
#define DDR1_D15 _ddr1.bit._D15
#define DDR1_D16 _ddr1.bit._D16
#define DDR1_D17 _ddr1.bit._D17
__IO_EXTERN __io DDR2STR _ddr2;  
#define DDR2 _ddr2.byte
#define DDR2_D20 _ddr2.bit._D20
#define DDR2_D21 _ddr2.bit._D21
#define DDR2_D22 _ddr2.bit._D22
#define DDR2_D23 _ddr2.bit._D23
#define DDR2_D24 _ddr2.bit._D24
#define DDR2_D25 _ddr2.bit._D25
#define DDR2_D26 _ddr2.bit._D26
#define DDR2_D27 _ddr2.bit._D27
__IO_EXTERN __io DDR3STR _ddr3;  
#define DDR3 _ddr3.byte
#define DDR3_D30 _ddr3.bit._D30
#define DDR3_D31 _ddr3.bit._D31
#define DDR3_D32 _ddr3.bit._D32
#define DDR3_D33 _ddr3.bit._D33
#define DDR3_D34 _ddr3.bit._D34
#define DDR3_D35 _ddr3.bit._D35
#define DDR3_D36 _ddr3.bit._D36
#define DDR3_D37 _ddr3.bit._D37
__IO_EXTERN __io DDR4STR _ddr4;  
#define DDR4 _ddr4.byte
#define DDR4_D40 _ddr4.bit._D40
#define DDR4_D41 _ddr4.bit._D41
#define DDR4_D42 _ddr4.bit._D42
#define DDR4_D43 _ddr4.bit._D43
#define DDR4_D44 _ddr4.bit._D44
#define DDR4_D45 _ddr4.bit._D45
#define DDR4_D46 _ddr4.bit._D46
#define DDR4_D47 _ddr4.bit._D47
__IO_EXTERN __io DDR5STR _ddr5;  
#define DDR5 _ddr5.byte
#define DDR5_D50 _ddr5.bit._D50
#define DDR5_D51 _ddr5.bit._D51
#define DDR5_D52 _ddr5.bit._D52
#define DDR5_D53 _ddr5.bit._D53
#define DDR5_D54 _ddr5.bit._D54
#define DDR5_D55 _ddr5.bit._D55
#define DDR5_D56 _ddr5.bit._D56
#define DDR5_D57 _ddr5.bit._D57
__IO_EXTERN __io DDR6STR _ddr6;  
#define DDR6 _ddr6.byte
#define DDR6_D60 _ddr6.bit._D60
#define DDR6_D61 _ddr6.bit._D61
#define DDR6_D62 _ddr6.bit._D62
#define DDR6_D63 _ddr6.bit._D63
#define DDR6_D64 _ddr6.bit._D64
#define DDR6_D65 _ddr6.bit._D65
#define DDR6_D66 _ddr6.bit._D66
#define DDR6_D67 _ddr6.bit._D67
__IO_EXTERN __io DDR7STR _ddr7;  
#define DDR7 _ddr7.byte
#define DDR7_D70 _ddr7.bit._D70
#define DDR7_D71 _ddr7.bit._D71
#define DDR7_D72 _ddr7.bit._D72
#define DDR7_D73 _ddr7.bit._D73
#define DDR7_D74 _ddr7.bit._D74
#define DDR7_D75 _ddr7.bit._D75
#define DDR7_D76 _ddr7.bit._D76
#define DDR7_D77 _ddr7.bit._D77
__IO_EXTERN __io DDR8STR _ddr8;  
#define DDR8 _ddr8.byte
#define DDR8_D80 _ddr8.bit._D80
#define DDR8_D81 _ddr8.bit._D81
#define DDR8_D82 _ddr8.bit._D82
#define DDR8_D83 _ddr8.bit._D83
#define DDR8_D84 _ddr8.bit._D84
#define DDR8_D85 _ddr8.bit._D85
#define DDR8_D86 _ddr8.bit._D86
#define DDR8_D87 _ddr8.bit._D87
__IO_EXTERN __io DDR9STR _ddr9;  
#define DDR9 _ddr9.byte
#define DDR9_D90 _ddr9.bit._D90
#define DDR9_D91 _ddr9.bit._D91
#define DDR9_D92 _ddr9.bit._D92
#define DDR9_D93 _ddr9.bit._D93
#define DDR9_D94 _ddr9.bit._D94
#define DDR9_D95 _ddr9.bit._D95
#define DDR9_D96 _ddr9.bit._D96
__IO_EXTERN __io DDRASTR _ddra;  
#define DDRA _ddra.byte
#define DDRA_DA0 _ddra.bit._DA0
#define DDRA_DA1 _ddra.bit._DA1
#define DDRA_DA2 _ddra.bit._DA2
#define DDRA_DA3 _ddra.bit._DA3
#define DDRA_DA4 _ddra.bit._DA4
#define DDRA_DA5 _ddra.bit._DA5
#define DDRA_DA6 _ddra.bit._DA6
#define DDRA_DA7 _ddra.bit._DA7
__IO_EXTERN __io RDR0STR _rdr0;   /*  PULL-UP CONTROL */
#define RDR0 _rdr0.byte
#define RDR0_RD00 _rdr0.bit._RD00
#define RDR0_RD01 _rdr0.bit._RD01
#define RDR0_RD02 _rdr0.bit._RD02
#define RDR0_RD03 _rdr0.bit._RD03
#define RDR0_RD04 _rdr0.bit._RD04
#define RDR0_RD05 _rdr0.bit._RD05
#define RDR0_RD06 _rdr0.bit._RD06
#define RDR0_RD07 _rdr0.bit._RD07
__IO_EXTERN __io RDR1STR _rdr1;  
#define RDR1 _rdr1.byte
#define RDR1_RD10 _rdr1.bit._RD10
#define RDR1_RD11 _rdr1.bit._RD11
#define RDR1_RD12 _rdr1.bit._RD12
#define RDR1_RD13 _rdr1.bit._RD13
#define RDR1_RD14 _rdr1.bit._RD14
#define RDR1_RD15 _rdr1.bit._RD15
#define RDR1_RD16 _rdr1.bit._RD16
#define RDR1_RD17 _rdr1.bit._RD17
__IO_EXTERN __io ADER0STR _ader0;   /*  ANALOG INPUT ENABLE */
#define ADER0 _ader0.byte
#define ADER0_ADE00 _ader0.bit._ADE00
#define ADER0_ADE01 _ader0.bit._ADE01
#define ADER0_ADE02 _ader0.bit._ADE02
#define ADER0_ADE03 _ader0.bit._ADE03
#define ADER0_ADE04 _ader0.bit._ADE04
#define ADER0_ADE05 _ader0.bit._ADE05
#define ADER0_ADE06 _ader0.bit._ADE06
#define ADER0_ADE07 _ader0.bit._ADE07
__IO_EXTERN __io ADER1STR _ader1;  
#define ADER1 _ader1.byte
#define ADER1_ADE10 _ader1.bit._ADE10
#define ADER1_ADE11 _ader1.bit._ADE11
#define ADER1_ADE12 _ader1.bit._ADE12
#define ADER1_ADE13 _ader1.bit._ADE13
#define ADER1_ADE14 _ader1.bit._ADE14
#define ADER1_ADE15 _ader1.bit._ADE15
#define ADER1_ADE16 _ader1.bit._ADE16
#define ADER1_ADE17 _ader1.bit._ADE17
__IO_EXTERN __io SMR0STR _smr0;   /*  UART0 */
#define SMR0 _smr0.byte
#define SMR0_SOE _smr0.bit._SOE
#define SMR0_SCKE _smr0.bit._SCKE
#define SMR0_M2L0 _smr0.bit._M2L0
#define SMR0_M2L1 _smr0.bit._M2L1
#define SMR0_M2L2 _smr0.bit._M2L2
#define SMR0_SCKL _smr0.bit._SCKL
#define SMR0_MD0 _smr0.bit._MD0
#define SMR0_MD1 _smr0.bit._MD1
#define SMR0_M2L _smr0.bitc._M2L
#define SMR0_MD _smr0.bitc._MD
__IO_EXTERN __io SCR0STR _scr0;  
#define SCR0 _scr0.byte
#define SCR0_TXE _scr0.bit._TXE
#define SCR0_RXE _scr0.bit._RXE
#define SCR0_REC _scr0.bit._REC
#define SCR0_AD _scr0.bit._AD
#define SCR0_CL _scr0.bit._CL
#define SCR0_SBL _scr0.bit._SBL
#define SCR0_P _scr0.bit._P
#define SCR0_PEN _scr0.bit._PEN
__IO_EXTERN __io SIDR0STR _sidr0;  
#define SIDR0 _sidr0.byte
#define SIDR0_D0 _sidr0.bit._D0
#define SIDR0_D1 _sidr0.bit._D1
#define SIDR0_D2 _sidr0.bit._D2
#define SIDR0_D3 _sidr0.bit._D3
#define SIDR0_D4 _sidr0.bit._D4
#define SIDR0_D5 _sidr0.bit._D5
#define SIDR0_D6 _sidr0.bit._D6
#define SIDR0_D7 _sidr0.bit._D7
__IO_EXTERN __io SODR0STR _sodr0;  
#define SODR0 _sodr0.byte
#define SODR0_D0 _sodr0.bit._D0
#define SODR0_D1 _sodr0.bit._D1
#define SODR0_D2 _sodr0.bit._D2
#define SODR0_D3 _sodr0.bit._D3
#define SODR0_D4 _sodr0.bit._D4
#define SODR0_D5 _sodr0.bit._D5
#define SODR0_D6 _sodr0.bit._D6
#define SODR0_D7 _sodr0.bit._D7
__IO_EXTERN __io SSR0STR _ssr0;  
#define SSR0 _ssr0.byte
#define SSR0_TIE _ssr0.bit._TIE
#define SSR0_RIE _ssr0.bit._RIE
#define SSR0_BDS _ssr0.bit._BDS
#define SSR0_TDRE _ssr0.bit._TDRE
#define SSR0_RDRF _ssr0.bit._RDRF
#define SSR0_FRE _ssr0.bit._FRE
#define SSR0_ORE _ssr0.bit._ORE
#define SSR0_PE _ssr0.bit._PE
__IO_EXTERN __io UTRLR0STR _utrlr0;  
#define UTRLR0 _utrlr0.byte
#define UTRLR0_D0 _utrlr0.bit._D0
#define UTRLR0_D1 _utrlr0.bit._D1
#define UTRLR0_D2 _utrlr0.bit._D2
#define UTRLR0_D3 _utrlr0.bit._D3
#define UTRLR0_D4 _utrlr0.bit._D4
#define UTRLR0_D5 _utrlr0.bit._D5
#define UTRLR0_D6 _utrlr0.bit._D6
#define UTRLR0_D7 _utrlr0.bit._D7
__IO_EXTERN __io UTCR0STR _utcr0;  
#define UTCR0 _utcr0.byte
#define UTCR0_D8 _utcr0.bit._D8
#define UTCR0_D9 _utcr0.bit._D9
#define UTCR0_D10 _utcr0.bit._D10
#define UTCR0_CKS _utcr0.bit._CKS
#define UTCR0_SRST _utcr0.bit._SRST
#define UTCR0_MD _utcr0.bit._MD
__IO_EXTERN __io IO_WORD _utrl0;
#define UTRL0 _utrl0   
__IO_EXTERN __io SMR1STR _smr1;   /*  UART1 */
#define SMR1 _smr1.byte
#define SMR1_SOE _smr1.bit._SOE
#define SMR1_SCKE _smr1.bit._SCKE
#define SMR1_M2L0 _smr1.bit._M2L0
#define SMR1_M2L1 _smr1.bit._M2L1
#define SMR1_M2L2 _smr1.bit._M2L2
#define SMR1_SCKL _smr1.bit._SCKL
#define SMR1_MD0 _smr1.bit._MD0
#define SMR1_MD1 _smr1.bit._MD1
#define SMR1_M2L _smr1.bitc._M2L
#define SMR1_MD _smr1.bitc._MD
__IO_EXTERN __io SCR1STR _scr1;  
#define SCR1 _scr1.byte
#define SCR1_TXE _scr1.bit._TXE
#define SCR1_RXE _scr1.bit._RXE
#define SCR1_REC _scr1.bit._REC
#define SCR1_AD _scr1.bit._AD
#define SCR1_CL _scr1.bit._CL
#define SCR1_SBL _scr1.bit._SBL
#define SCR1_P _scr1.bit._P
#define SCR1_PEN _scr1.bit._PEN
__IO_EXTERN __io SIDR1STR _sidr1;  
#define SIDR1 _sidr1.byte
#define SIDR1_D0 _sidr1.bit._D0
#define SIDR1_D1 _sidr1.bit._D1
#define SIDR1_D2 _sidr1.bit._D2
#define SIDR1_D3 _sidr1.bit._D3
#define SIDR1_D4 _sidr1.bit._D4
#define SIDR1_D5 _sidr1.bit._D5
#define SIDR1_D6 _sidr1.bit._D6
#define SIDR1_D7 _sidr1.bit._D7
__IO_EXTERN __io SODR1STR _sodr1;  
#define SODR1 _sodr1.byte
#define SODR1_D0 _sodr1.bit._D0
#define SODR1_D1 _sodr1.bit._D1
#define SODR1_D2 _sodr1.bit._D2
#define SODR1_D3 _sodr1.bit._D3
#define SODR1_D4 _sodr1.bit._D4
#define SODR1_D5 _sodr1.bit._D5
#define SODR1_D6 _sodr1.bit._D6
#define SODR1_D7 _sodr1.bit._D7
__IO_EXTERN __io SSR1STR _ssr1;  
#define SSR1 _ssr1.byte
#define SSR1_TIE _ssr1.bit._TIE
#define SSR1_RIE _ssr1.bit._RIE
#define SSR1_BDS _ssr1.bit._BDS
#define SSR1_TDRE _ssr1.bit._TDRE
#define SSR1_RDRF _ssr1.bit._RDRF
#define SSR1_FRE _ssr1.bit._FRE
#define SSR1_ORE _ssr1.bit._ORE
#define SSR1_PE _ssr1.bit._PE
__IO_EXTERN __io UTRLR1STR _utrlr1;  
#define UTRLR1 _utrlr1.byte
#define UTRLR1_D0 _utrlr1.bit._D0
#define UTRLR1_D1 _utrlr1.bit._D1
#define UTRLR1_D2 _utrlr1.bit._D2
#define UTRLR1_D3 _utrlr1.bit._D3
#define UTRLR1_D4 _utrlr1.bit._D4
#define UTRLR1_D5 _utrlr1.bit._D5
#define UTRLR1_D6 _utrlr1.bit._D6
#define UTRLR1_D7 _utrlr1.bit._D7
__IO_EXTERN __io UTCR1STR _utcr1;  
#define UTCR1 _utcr1.byte
#define UTCR1_D8 _utcr1.bit._D8
#define UTCR1_D9 _utcr1.bit._D9
#define UTCR1_D10 _utcr1.bit._D10
#define UTCR1_CKS _utcr1.bit._CKS
#define UTCR1_SRST _utcr1.bit._SRST
#define UTCR1_MD _utcr1.bit._MD
__IO_EXTERN __io IO_WORD _utrl1;
#define UTRL1 _utrl1   
__IO_EXTERN __io SMR2STR _smr2;   /*  UART2 */
#define SMR2 _smr2.byte
#define SMR2_SOE _smr2.bit._SOE
#define SMR2_SCKE _smr2.bit._SCKE
#define SMR2_M2L0 _smr2.bit._M2L0
#define SMR2_M2L1 _smr2.bit._M2L1
#define SMR2_M2L2 _smr2.bit._M2L2
#define SMR2_SCKL _smr2.bit._SCKL
#define SMR2_MD0 _smr2.bit._MD0
#define SMR2_MD1 _smr2.bit._MD1
#define SMR2_M2L _smr2.bitc._M2L
#define SMR2_MD _smr2.bitc._MD
__IO_EXTERN __io SCR2STR _scr2;  
#define SCR2 _scr2.byte
#define SCR2_TXE _scr2.bit._TXE
#define SCR2_RXE _scr2.bit._RXE
#define SCR2_REC _scr2.bit._REC
#define SCR2_AD _scr2.bit._AD
#define SCR2_CL _scr2.bit._CL
#define SCR2_SBL _scr2.bit._SBL
#define SCR2_P _scr2.bit._P
#define SCR2_PEN _scr2.bit._PEN
__IO_EXTERN __io SIDR2STR _sidr2;  
#define SIDR2 _sidr2.byte
#define SIDR2_D0 _sidr2.bit._D0
#define SIDR2_D1 _sidr2.bit._D1
#define SIDR2_D2 _sidr2.bit._D2
#define SIDR2_D3 _sidr2.bit._D3
#define SIDR2_D4 _sidr2.bit._D4
#define SIDR2_D5 _sidr2.bit._D5
#define SIDR2_D6 _sidr2.bit._D6
#define SIDR2_D7 _sidr2.bit._D7
__IO_EXTERN __io SODR2STR _sodr2;  
#define SODR2 _sodr2.byte
#define SODR2_D0 _sodr2.bit._D0
#define SODR2_D1 _sodr2.bit._D1
#define SODR2_D2 _sodr2.bit._D2
#define SODR2_D3 _sodr2.bit._D3
#define SODR2_D4 _sodr2.bit._D4
#define SODR2_D5 _sodr2.bit._D5
#define SODR2_D6 _sodr2.bit._D6
#define SODR2_D7 _sodr2.bit._D7
__IO_EXTERN __io SSR2STR _ssr2;  
#define SSR2 _ssr2.byte
#define SSR2_TIE _ssr2.bit._TIE
#define SSR2_RIE _ssr2.bit._RIE
#define SSR2_BDS _ssr2.bit._BDS
#define SSR2_TDRE _ssr2.bit._TDRE
#define SSR2_RDRF _ssr2.bit._RDRF
#define SSR2_FRE _ssr2.bit._FRE
#define SSR2_ORE _ssr2.bit._ORE
#define SSR2_PE _ssr2.bit._PE
__IO_EXTERN __io UTRLR2STR _utrlr2;  
#define UTRLR2 _utrlr2.byte
#define UTRLR2_D0 _utrlr2.bit._D0
#define UTRLR2_D1 _utrlr2.bit._D1
#define UTRLR2_D2 _utrlr2.bit._D2
#define UTRLR2_D3 _utrlr2.bit._D3
#define UTRLR2_D4 _utrlr2.bit._D4
#define UTRLR2_D5 _utrlr2.bit._D5
#define UTRLR2_D6 _utrlr2.bit._D6
#define UTRLR2_D7 _utrlr2.bit._D7
__IO_EXTERN __io UTCR2STR _utcr2;  
#define UTCR2 _utcr2.byte
#define UTCR2_D8 _utcr2.bit._D8
#define UTCR2_D9 _utcr2.bit._D9
#define UTCR2_D10 _utcr2.bit._D10
#define UTCR2_CKS _utcr2.bit._CKS
#define UTCR2_SRST _utcr2.bit._SRST
#define UTCR2_MD _utcr2.bit._MD
__IO_EXTERN __io IO_WORD _utrl2;
#define UTRL2 _utrl2   
__IO_EXTERN __io SMR3STR _smr3;   /*  UART3 */
#define SMR3 _smr3.byte
#define SMR3_SOE _smr3.bit._SOE
#define SMR3_SCKE _smr3.bit._SCKE
#define SMR3_M2L0 _smr3.bit._M2L0
#define SMR3_M2L1 _smr3.bit._M2L1
#define SMR3_M2L2 _smr3.bit._M2L2
#define SMR3_SCKL _smr3.bit._SCKL
#define SMR3_MD0 _smr3.bit._MD0
#define SMR3_MD1 _smr3.bit._MD1
#define SMR3_M2L _smr3.bitc._M2L
#define SMR3_MD _smr3.bitc._MD
__IO_EXTERN __io SCR3STR _scr3;  
#define SCR3 _scr3.byte
#define SCR3_TXE _scr3.bit._TXE
#define SCR3_RXE _scr3.bit._RXE
#define SCR3_REC _scr3.bit._REC
#define SCR3_AD _scr3.bit._AD
#define SCR3_CL _scr3.bit._CL
#define SCR3_SBL _scr3.bit._SBL
#define SCR3_P _scr3.bit._P
#define SCR3_PEN _scr3.bit._PEN
__IO_EXTERN __io SIDR3STR _sidr3;  
#define SIDR3 _sidr3.byte
#define SIDR3_D0 _sidr3.bit._D0
#define SIDR3_D1 _sidr3.bit._D1
#define SIDR3_D2 _sidr3.bit._D2
#define SIDR3_D3 _sidr3.bit._D3
#define SIDR3_D4 _sidr3.bit._D4
#define SIDR3_D5 _sidr3.bit._D5
#define SIDR3_D6 _sidr3.bit._D6
#define SIDR3_D7 _sidr3.bit._D7
__IO_EXTERN __io SODR3STR _sodr3;  
#define SODR3 _sodr3.byte
#define SODR3_D0 _sodr3.bit._D0
#define SODR3_D1 _sodr3.bit._D1
#define SODR3_D2 _sodr3.bit._D2
#define SODR3_D3 _sodr3.bit._D3
#define SODR3_D4 _sodr3.bit._D4
#define SODR3_D5 _sodr3.bit._D5
#define SODR3_D6 _sodr3.bit._D6
#define SODR3_D7 _sodr3.bit._D7
__IO_EXTERN __io SSR3STR _ssr3;  
#define SSR3 _ssr3.byte
#define SSR3_TIE _ssr3.bit._TIE
#define SSR3_RIE _ssr3.bit._RIE
#define SSR3_BDS _ssr3.bit._BDS
#define SSR3_TDRE _ssr3.bit._TDRE
#define SSR3_RDRF _ssr3.bit._RDRF
#define SSR3_FRE _ssr3.bit._FRE
#define SSR3_ORE _ssr3.bit._ORE
#define SSR3_PE _ssr3.bit._PE
__IO_EXTERN __io UTRLR3STR _utrlr3;  
#define UTRLR3 _utrlr3.byte
#define UTRLR3_D0 _utrlr3.bit._D0
#define UTRLR3_D1 _utrlr3.bit._D1
#define UTRLR3_D2 _utrlr3.bit._D2
#define UTRLR3_D3 _utrlr3.bit._D3
#define UTRLR3_D4 _utrlr3.bit._D4
#define UTRLR3_D5 _utrlr3.bit._D5
#define UTRLR3_D6 _utrlr3.bit._D6
#define UTRLR3_D7 _utrlr3.bit._D7
__IO_EXTERN __io UTCR3STR _utcr3;  
#define UTCR3 _utcr3.byte
#define UTCR3_D8 _utcr3.bit._D8
#define UTCR3_D9 _utcr3.bit._D9
#define UTCR3_D10 _utcr3.bit._D10
#define UTCR3_CKS _utcr3.bit._CKS
#define UTCR3_SRST _utcr3.bit._SRST
#define UTCR3_MD _utcr3.bit._MD
__IO_EXTERN __io IO_WORD _utrl3;
#define UTRL3 _utrl3   
__IO_EXTERN __io ENIRSTR _enir;   /*  DTP/external interrupt */
#define ENIR _enir.byte
#define ENIR_EN0 _enir.bit._EN0
#define ENIR_EN1 _enir.bit._EN1
#define ENIR_EN2 _enir.bit._EN2
#define ENIR_EN3 _enir.bit._EN3
#define ENIR_EN4 _enir.bit._EN4
#define ENIR_EN5 _enir.bit._EN5
#define ENIR_EN6 _enir.bit._EN6
#define ENIR_EN7 _enir.bit._EN7
__IO_EXTERN __io EIRRSTR _eirr;  
#define EIRR _eirr.byte
#define EIRR_ER0 _eirr.bit._ER0
#define EIRR_ER1 _eirr.bit._ER1
#define EIRR_ER2 _eirr.bit._ER2
#define EIRR_ER3 _eirr.bit._ER3
#define EIRR_ER4 _eirr.bit._ER4
#define EIRR_ER5 _eirr.bit._ER5
#define EIRR_ER6 _eirr.bit._ER6
#define EIRR_ER7 _eirr.bit._ER7
__IO_EXTERN __io ELVRSTR _elvr;  
#define ELVR _elvr.word
#define ELVR_LA0 _elvr.bit._LA0
#define ELVR_LB0 _elvr.bit._LB0
#define ELVR_LA1 _elvr.bit._LA1
#define ELVR_LB1 _elvr.bit._LB1
#define ELVR_LA2 _elvr.bit._LA2
#define ELVR_LB2 _elvr.bit._LB2
#define ELVR_LA3 _elvr.bit._LA3
#define ELVR_LB3 _elvr.bit._LB3
#define ELVR_LA4 _elvr.bit._LA4
#define ELVR_LB4 _elvr.bit._LB4
#define ELVR_LA5 _elvr.bit._LA5
#define ELVR_LB5 _elvr.bit._LB5
#define ELVR_LA6 _elvr.bit._LA6
#define ELVR_LB6 _elvr.bit._LB6
#define ELVR_LA7 _elvr.bit._LA7
#define ELVR_LB7 _elvr.bit._LB7
/* include : ADC_90330.H */


#ifndef __ADC_H
#define __ADC_H

typedef union{   /*  */
    IO_BYTE	byte;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE ANS3 :1;
    const IO_BYTE ANS2 :1;
    const IO_BYTE ANS1 :1;
    const IO_BYTE ANS0 :1;
    const IO_BYTE ANE3 :1;
    const IO_BYTE ANE2 :1;
    const IO_BYTE ANE1 :1;
    const IO_BYTE ANE0 :1;
#else
    const IO_BYTE ANE0 :1;
    const IO_BYTE ANE1 :1;
    const IO_BYTE ANE2 :1;
    const IO_BYTE ANE3 :1;
    const IO_BYTE ANS0 :1;
    const IO_BYTE ANS1 :1;
    const IO_BYTE ANS2 :1;
    const IO_BYTE ANS3 :1;
#endif
   }bit;
  struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE ANS :4;
    const IO_BYTE ANE :4;
#else
    const IO_BYTE ANE :4;
    const IO_BYTE ANS :4;
#endif
  }bitc;
 }ADMRSTR;

typedef union{   /*  */
    IO_WORD	word;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_WORD BUSY :1;
    const IO_WORD INT  :1;
    const IO_WORD INTE :1;
    const IO_WORD PAUS :1;
    const IO_WORD STS1 :1;
    const IO_WORD STS0 :1;
    const IO_WORD STRT :1;
    const IO_WORD      :1; 
    const IO_WORD MD1  :1;
    const IO_WORD MD0  :1;
    const IO_WORD      :6;
#else
    const IO_WORD      :6;
    const IO_WORD MD0  :1;
    const IO_WORD MD1  :1;
    const IO_WORD      :1; 
    const IO_WORD STRT :1;
    const IO_WORD STS0 :1;
    const IO_WORD STS1 :1;
    const IO_WORD PAUS :1;
    const IO_WORD INTE :1;
    const IO_WORD INT  :1;
    const IO_WORD BUSY :1;
#endif
   }bit;
  struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_WORD     :4;
    const IO_WORD STS :2;
    const IO_WORD     :2;
    const IO_WORD MD  :2;
    const IO_WORD     :6;
#else
    const IO_WORD     :6;
    const IO_WORD MD  :2;
    const IO_WORD     :2;
    const IO_WORD STS :2;
    const IO_WORD     :4;
#endif
  }bitc;
 }ADCSSTR;

typedef union{  
    IO_BYTE	byte;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE MD1 :1;
    const IO_BYTE MD0 :1;
    const IO_BYTE     :6;
#else
    const IO_BYTE     :6;
    const IO_BYTE MD0 :1;
    const IO_BYTE MD1 :1;
#endif
  }bit;
  struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE MD  :2;
    const IO_BYTE     :6;
#else
    const IO_BYTE     :6;
    const IO_BYTE MD  :2;
#endif
  }bitc;
 }ADCS0STR;

typedef union{  
    IO_BYTE	byte;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE BUSY :1;
    const IO_BYTE INT :1;
    const IO_BYTE INTE :1;
    const IO_BYTE PAUS :1;
    const IO_BYTE STS1 :1;
    const IO_BYTE STS0 :1;
    const IO_BYTE STRT :1;
    const IO_BYTE      :1;
#else
    const IO_BYTE      :1;
    const IO_BYTE STRT :1;
    const IO_BYTE STS0 :1;
    const IO_BYTE STS1 :1;
    const IO_BYTE PAUS :1;
    const IO_BYTE INTE :1;
    const IO_BYTE INT  :1;
    const IO_BYTE BUSY :1;
#endif
  }bit;
  struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE     :4;
    const IO_BYTE STS :2;
    const IO_BYTE     :2;
#else
    const IO_BYTE     :2;
    const IO_BYTE STS :2;
    const IO_BYTE     :4;
#endif
  }bitc;
 }ADCS1STR;

typedef union{  
    IO_WORD	word;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_WORD S10 :1;
    const IO_WORD ST1 :1;
    const IO_WORD ST0 :1;
    const IO_WORD CT1 :1;
    const IO_WORD CT0 :1;
    const IO_WORD  :1;
    const IO_WORD D9 :1;
    const IO_WORD D8 :1;
    const IO_WORD D7 :1;
    const IO_WORD D6 :1;
    const IO_WORD D5 :1;
    const IO_WORD D4 :1;
    const IO_WORD D3 :1;
    const IO_WORD D2 :1;
    const IO_WORD D1 :1;
    const IO_WORD D0 :1;
#else
    const IO_WORD D0 :1;
    const IO_WORD D1 :1;
    const IO_WORD D2 :1;
    const IO_WORD D3 :1;
    const IO_WORD D4 :1;
    const IO_WORD D5 :1;
    const IO_WORD D6 :1;
    const IO_WORD D7 :1;
    const IO_WORD D8 :1;
    const IO_WORD D9 :1;
    const IO_WORD  :1;
    const IO_WORD CT0 :1;
    const IO_WORD CT1 :1;
    const IO_WORD ST0 :1;
    const IO_WORD ST1 :1;
    const IO_WORD S10 :1;
#endif
  }bit;
  struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_WORD ST :2;
    const IO_WORD CT :2;
#else
    const IO_WORD :11;
    const IO_WORD CT :2;
    const IO_WORD ST :2;
#endif
  }bitc;
 }ADCRSTR;

typedef union{  
    const IO_BYTE	byte;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE D7 :1;
    const IO_BYTE D6 :1;
    const IO_BYTE D5 :1;
    const IO_BYTE D4 :1;
    const IO_BYTE D3 :1;
    const IO_BYTE D2 :1;
    const IO_BYTE D1 :1;
    const IO_BYTE D0 :1;
#else
    const IO_BYTE D0 :1;
    const IO_BYTE D1 :1;
    const IO_BYTE D2 :1;
    const IO_BYTE D3 :1;
    const IO_BYTE D4 :1;
    const IO_BYTE D5 :1;
    const IO_BYTE D6 :1;
    const IO_BYTE D7 :1;
#endif
  }bit;
 }ADCR0STR;

typedef union{  
    IO_BYTE	byte;
    struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE S10 :1;
    const IO_BYTE ST1 :1;
    const IO_BYTE ST0 :1;
    const IO_BYTE CT1 :1;
    const IO_BYTE CT0 :1;
    const IO_BYTE  :1;
    const IO_BYTE D9 :1;
    const IO_BYTE D8 :1;
#else
    const IO_BYTE D8 :1;
    const IO_BYTE D9 :1;
    const IO_BYTE  :1;
    const IO_BYTE CT0 :1;
    const IO_BYTE CT1 :1;
    const IO_BYTE ST0 :1;
    const IO_BYTE ST1 :1;
    const IO_BYTE S10 :1;
#endif
  }bit;
  struct{
#if defined(__BITFIELD_ORDER_MSB__)
    const IO_BYTE ST :2;
    const IO_BYTE CT :2;
#else
    const IO_BYTE :1;
    const IO_BYTE :1;
    const IO_BYTE :1;
    const IO_BYTE CT :2;
    const IO_BYTE ST :2;
#endif
  }bitc;
 }ADCR1STR;


__IO_EXTERN __io ADMRSTR _admr;
#define ADMR _admr.byte
#define ADMR_ANE0 _admr.bit.ANE0
#define ADMR_ANE1 _admr.bit.ANE1
#define ADMR_ANE2 _admr.bit.ANE2
#define ADMR_ANE3 _admr.bit.ANE3
#define ADMR_ANS0 _admr.bit.ANS0
#define ADMR_ANS1 _admr.bit.ANS1
#define ADMR_ANS2 _admr.bit.ANS2
#define ADMR_ANS3 _admr.bit.ANS3
#define ADMR_ANE  _admr.bitc.ANE
#define ADMR_ANS  _admr.bitc.ANS

__IO_EXTERN __io ADCSSTR _adcs;
#define ADCS _adcs.word
#define ADCS_MD0 _adcs.bit.MD0
#define ADCS_MD1 _adcs.bit.MD1
#define ADCS_STRT _adcs.bit.STRT
#define ADCS_STS0 _adcs.bit.STS0
#define ADCS_STS1 _adcs.bit.STS1
#define ADCS_PAUS _adcs.bit.PAUS
#define ADCS_INTE _adcs.bit.INTE
#define ADCS_INT _adcs.bit.INT
#define ADCS_BUSY _adcs.bit.BUSY
#define ADCS_MD _adcs.bitc.MD
#define ADCS_STS _adcs.bitc.STS

__IO_EXTERN __io ADCS0STR _adcs0;  
#define ADCS0 _adcs0.byte
#define ADCS0_MD0 _adcs0.bit.MD0
#define ADCS0_MD1 _adcs0.bit.MD1
#define ADCS0_MD _adcs0.bitc.MD

__IO_EXTERN __io ADCS1STR _adcs1;  
#define ADCS1 _adcs1.byte
#define ADCS1_STRT _adcs1.bit.STRT
#define ADCS1_STS0 _adcs1.bit.STS0
#define ADCS1_STS1 _adcs1.bit.STS1
#define ADCS1_PAUS _adcs1.bit.PAUS
#define ADCS1_INTE _adcs1.bit.INTE
#define ADCS1_INT _adcs1.bit.INT
#define ADCS1_BUSY _adcs1.bit.BUSY
#define ADCS1_STS _adcs1.bitc.STS

__IO_EXTERN __io ADCRSTR _adcr;  
#define ADCR _adcr.word
#define ADCR_D0 _adcr.bit.D0
#define ADCR_D1 _adcr.bit.D1
#define ADCR_D2 _adcr.bit.D2
#define ADCR_D3 _adcr.bit.D3
#define ADCR_D4 _adcr.bit.D4
#define ADCR_D5 _adcr.bit.D5
#define ADCR_D6 _adcr.bit.D6
#define ADCR_D7 _adcr.bit.D7
#define ADCR_D8 _adcr.bit.D8
#define ADCR_D9 _adcr.bit.D9
#define ADCR_CT0 _adcr.bit.CT0
#define ADCR_CT1 _adcr.bit.CT1
#define ADCR_ST0 _adcr.bit.ST0
#define ADCR_ST1 _adcr.bit.ST1
#define ADCR_S10 _adcr.bit.S10
#define ADCR_CT _adcr.bitc.CT
#define ADCR_ST _adcr.bitc.ST

__IO_EXTERN __io ADCR0STR _adcr0;  
#define ADCR0 _adcr0.byte
#define ADCR0_D0 _adcr0.bit.D0
#define ADCR0_D1 _adcr0.bit.D1
#define ADCR0_D2 _adcr0.bit.D2
#define ADCR0_D3 _adcr0.bit.D3
#define ADCR0_D4 _adcr0.bit.D4
#define ADCR0_D5 _adcr0.bit.D5
#define ADCR0_D6 _adcr0.bit.D6
#define ADCR0_D7 _adcr0.bit.D7

__IO_EXTERN __io ADCR1STR _adcr1;  
#define ADCR1 _adcr1.byte
#define ADCR1_D8 _adcr1.bit.D8
#define ADCR1_D9 _adcr1.bit.D9
#define ADCR1_CT0 _adcr1.bit.CT0
#define ADCR1_CT1 _adcr1.bit.CT1
#define ADCR1_ST0 _adcr1.bit.ST0
#define ADCR1_ST1 _adcr1.bit.ST1
#define ADCR1_S10 _adcr1.bit.S10
#define ADCR1_CT _adcr1.bitc.CT
#define ADCR1_ST _adcr1.bitc.ST

#endif   /* __ADC_H  */
__IO_EXTERN __io PPGC0STR _ppgc0;   /*  PPGs */
#define PPGC0 _ppgc0.byte
#define PPGC0_PUF0 _ppgc0.bit._PUF0
#define PPGC0_PIE0 _ppgc0.bit._PIE0
#define PPGC0_PE00 _ppgc0.bit._PE00
#define PPGC0_PEN0 _ppgc0.bit._PEN0
__IO_EXTERN __io PPGC1STR _ppgc1;  
#define PPGC1 _ppgc1.byte
#define PPGC1_MD0 _ppgc1.bit._MD0
#define PPGC1_MD1 _ppgc1.bit._MD1
#define PPGC1_PUF1 _ppgc1.bit._PUF1
#define PPGC1_PIE1 _ppgc1.bit._PIE1
#define PPGC1_PE10 _ppgc1.bit._PE10
#define PPGC1_PEN1 _ppgc1.bit._PEN1
__IO_EXTERN __io PPGC2STR _ppgc2;  
#define PPGC2 _ppgc2.byte
#define PPGC2_PUF0 _ppgc2.bit._PUF0
#define PPGC2_PIE0 _ppgc2.bit._PIE0
#define PPGC2_PE00 _ppgc2.bit._PE00
#define PPGC2_PEN0 _ppgc2.bit._PEN0
__IO_EXTERN __io PPGC3STR _ppgc3;  
#define PPGC3 _ppgc3.byte
#define PPGC3_MD0 _ppgc3.bit._MD0
#define PPGC3_MD1 _ppgc3.bit._MD1
#define PPGC3_PUF1 _ppgc3.bit._PUF1
#define PPGC3_PIE1 _ppgc3.bit._PIE1
#define PPGC3_PE10 _ppgc3.bit._PE10
#define PPGC3_PEN1 _ppgc3.bit._PEN1
__IO_EXTERN __io PPGC4STR _ppgc4;  
#define PPGC4 _ppgc4.byte
#define PPGC4_PUF0 _ppgc4.bit._PUF0
#define PPGC4_PIE0 _ppgc4.bit._PIE0
#define PPGC4_PE00 _ppgc4.bit._PE00
#define PPGC4_PEN0 _ppgc4.bit._PEN0
__IO_EXTERN __io PPGC5STR _ppgc5;  
#define PPGC5 _ppgc5.byte
#define PPGC5_MD0 _ppgc5.bit._MD0
#define PPGC5_MD1 _ppgc5.bit._MD1
#define PPGC5_PUF1 _ppgc5.bit._PUF1
#define PPGC5_PIE1 _ppgc5.bit._PIE1
#define PPGC5_PE10 _ppgc5.bit._PE10
#define PPGC5_PEN1 _ppgc5.bit._PEN1
__IO_EXTERN __io PPG01STR _ppg01;  
#define PPG01 _ppg01.byte
#define PPG01_PCM0 _ppg01.bit._PCM0
#define PPG01_PCM1 _ppg01.bit._PCM1
#define PPG01_PCM2 _ppg01.bit._PCM2
#define PPG01_PCS0 _ppg01.bit._PCS0
#define PPG01_PCS1 _ppg01.bit._PCS1
#define PPG01_PCS2 _ppg01.bit._PCS2
#define PPG01_PCM _ppg01.bitc._PCM
#define PPG01_PCS _ppg01.bitc._PCS
__IO_EXTERN __io PPG23STR _ppg23;  
#define PPG23 _ppg23.byte
#define PPG23_PCM0 _ppg23.bit._PCM0
#define PPG23_PCM1 _ppg23.bit._PCM1
#define PPG23_PCM2 _ppg23.bit._PCM2
#define PPG23_PCS0 _ppg23.bit._PCS0
#define PPG23_PCS1 _ppg23.bit._PCS1
#define PPG23_PCS2 _ppg23.bit._PCS2
#define PPG23_PCM _ppg23.bitc._PCM
#define PPG23_PCS _ppg23.bitc._PCS
__IO_EXTERN __io PPG45STR _ppg45;  
#define PPG45 _ppg45.byte
#define PPG45_PCM0 _ppg45.bit._PCM0
#define PPG45_PCM1 _ppg45.bit._PCM1
#define PPG45_PCM2 _ppg45.bit._PCM2
#define PPG45_PCS0 _ppg45.bit._PCS0
#define PPG45_PCS1 _ppg45.bit._PCS1
#define PPG45_PCS2 _ppg45.bit._PCS2
#define PPG45_PCM _ppg45.bitc._PCM
#define PPG45_PCS _ppg45.bitc._PCS
__IO_EXTERN __io ICS01STR _ics01;   /*  Input Capture */
#define ICS01 _ics01.byte
#define ICS01_EG00 _ics01.bit._EG00
#define ICS01_EG01 _ics01.bit._EG01
#define ICS01_EG10 _ics01.bit._EG10
#define ICS01_EG11 _ics01.bit._EG11
#define ICS01_ICE0 _ics01.bit._ICE0
#define ICS01_ICE1 _ics01.bit._ICE1
#define ICS01_ICP0 _ics01.bit._ICP0
#define ICS01_ICP1 _ics01.bit._ICP1
#define ICS01_EG0 _ics01.bitc._EG0
#define ICS01_EG1 _ics01.bitc._EG1
#define ICS01_ICE _ics01.bitc._ICE
#define ICS01_ICP _ics01.bitc._ICP
__IO_EXTERN __io ICS23STR _ics23;  
#define ICS23 _ics23.byte
#define ICS23_EG20 _ics23.bit._EG20
#define ICS23_EG21 _ics23.bit._EG21
#define ICS23_EG30 _ics23.bit._EG30
#define ICS23_EG31 _ics23.bit._EG31
#define ICS23_ICE2 _ics23.bit._ICE2
#define ICS23_ICE3 _ics23.bit._ICE3
#define ICS23_ICP2 _ics23.bit._ICP2
#define ICS23_ICP3 _ics23.bit._ICP3
#define ICS23_EG2 _ics23.bitc._EG2
#define ICS23_EG3 _ics23.bitc._EG3
#define ICS23_ICE _ics23.bitc._ICE
#define ICS23_ICP _ics23.bitc._ICP
__IO_EXTERN __io OCS0STR _ocs0;   /*  Output Compare */
#define OCS0 _ocs0.byte
#define OCS0_CST0 _ocs0.bit._CST0
#define OCS0_CST1 _ocs0.bit._CST1
#define OCS0_ICE0 _ocs0.bit._ICE0
#define OCS0_ICE1 _ocs0.bit._ICE1
#define OCS0_ICP0 _ocs0.bit._ICP0
#define OCS0_ICP1 _ocs0.bit._ICP1
#define OCS0_CST _ocs0.bitc._CST
#define OCS0_ICE _ocs0.bitc._ICE
#define OCS0_ICP _ocs0.bitc._ICP
__IO_EXTERN __io OCS1STR _ocs1;  
#define OCS1 _ocs1.byte
#define OCS1_ODT0 _ocs1.bit._ODT0
#define OCS1_ODT1 _ocs1.bit._ODT1
#define OCS1_OTE0 _ocs1.bit._OTE0
#define OCS1_OTE1 _ocs1.bit._OTE1
#define OCS1_CMOD _ocs1.bit._CMOD
#define OCS1_ODT _ocs1.bitc._ODT
#define OCS1_OTE _ocs1.bitc._OTE
__IO_EXTERN __io OCS2STR _ocs2;  
#define OCS2 _ocs2.byte
#define OCS2_CST0 _ocs2.bit._CST0
#define OCS2_CST1 _ocs2.bit._CST1
#define OCS2_ICE0 _ocs2.bit._ICE0
#define OCS2_ICE1 _ocs2.bit._ICE1
#define OCS2_ICP0 _ocs2.bit._ICP0
#define OCS2_ICP1 _ocs2.bit._ICP1
#define OCS2_CST _ocs2.bitc._CST
#define OCS2_ICE _ocs2.bitc._ICE
#define OCS2_ICP _ocs2.bitc._ICP
__IO_EXTERN __io OCS3STR _ocs3;  
#define OCS3 _ocs3.byte
#define OCS3_ODT0 _ocs3.bit._ODT0
#define OCS3_ODT1 _ocs3.bit._ODT1
#define OCS3_OTE0 _ocs3.bit._OTE0
#define OCS3_OTE1 _ocs3.bit._OTE1
#define OCS3_CMOD _ocs3.bit._CMOD
#define OCS3_ODT _ocs3.bitc._ODT
#define OCS3_OTE _ocs3.bitc._OTE
__IO_EXTERN __io SMCSSTR _smcs;   /*  I/O Extended Serial */
#define SMCS _smcs.word
#define SMCS_SCOE _smcs.bit._SCOE
#define SMCS_SOE _smcs.bit._SOE
#define SMCS_BDS _smcs.bit._BDS
#define SMCS_MODE _smcs.bit._MODE
#define SMCS_STRT _smcs.bit._STRT
#define SMCS_STOP _smcs.bit._STOP
#define SMCS_BUSY _smcs.bit._BUSY
#define SMCS_SIR _smcs.bit._SIR
#define SMCS_SIE _smcs.bit._SIE
#define SMCS_SMD0 _smcs.bit._SMD0
#define SMCS_SMD1 _smcs.bit._SMD1
#define SMCS_SMD2 _smcs.bit._SMD2
#define SMCS_SMD _smcs.bitc._SMD
__IO_EXTERN __io SDRSTR _sdr;  
#define SDR _sdr.byte
#define SDR_D0 _sdr.bit._D0
#define SDR_D1 _sdr.bit._D1
#define SDR_D2 _sdr.bit._D2
#define SDR_D3 _sdr.bit._D3
#define SDR_D4 _sdr.bit._D4
#define SDR_D5 _sdr.bit._D5
#define SDR_D6 _sdr.bit._D6
#define SDR_D7 _sdr.bit._D7
__IO_EXTERN __io SDCRSTR _sdcr;  
#define SDCR _sdcr.byte
#define SDCR_DIV0 _sdcr.bit._DIV0
#define SDCR_DIV1 _sdcr.bit._DIV1
#define SDCR_DIV2 _sdcr.bit._DIV2
#define SDCR_DIV3 _sdcr.bit._DIV3
#define SDCR_MD _sdcr.bit._MD
#define SDCR_DIV _sdcr.bitc._DIV
__IO_EXTERN __io PWCSRSTR _pwcsr;   /*  16-Bit PWC tinmer */
#define PWCSR _pwcsr.word
#define PWCSR_MOD0 _pwcsr.bit._MOD0
#define PWCSR_MOD1 _pwcsr.bit._MOD1
#define PWCSR_MOD2 _pwcsr.bit._MOD2
#define PWCSR_SC _pwcsr.bit._SC
#define PWCSR_PIS0 _pwcsr.bit._PIS0
#define PWCSR_PIS1 _pwcsr.bit._PIS1
#define PWCSR_CKS0 _pwcsr.bit._CKS0
#define PWCSR_CKS1 _pwcsr.bit._CKS1
#define PWCSR_ERR _pwcsr.bit._ERR
#define PWCSR_OVIE _pwcsr.bit._OVIE
#define PWCSR_OVIR _pwcsr.bit._OVIR
#define PWCSR_EDIE _pwcsr.bit._EDIE
#define PWCSR_EDIR _pwcsr.bit._EDIR
#define PWCSR_STOP _pwcsr.bit._STOP
#define PWCSR_STRT _pwcsr.bit._STRT
#define PWCSR_MOD _pwcsr.bitc._MOD
#define PWCSR_PIS _pwcsr.bitc._PIS
#define PWCSR_CKS _pwcsr.bitc._CKS
__IO_EXTERN __io PWCRSTR _pwcr;  
#define PWCR _pwcr.word
#define PWCR_D0 _pwcr.bit._D0
#define PWCR_D1 _pwcr.bit._D1
#define PWCR_D2 _pwcr.bit._D2
#define PWCR_D3 _pwcr.bit._D3
#define PWCR_D4 _pwcr.bit._D4
#define PWCR_D5 _pwcr.bit._D5
#define PWCR_D6 _pwcr.bit._D6
#define PWCR_D7 _pwcr.bit._D7
#define PWCR_D8 _pwcr.bit._D8
#define PWCR_D9 _pwcr.bit._D9
#define PWCR_D10 _pwcr.bit._D10
#define PWCR_D11 _pwcr.bit._D11
#define PWCR_D12 _pwcr.bit._D12
#define PWCR_D13 _pwcr.bit._D13
#define PWCR_D14 _pwcr.bit._D14
#define PWCR_D15 _pwcr.bit._D15
__IO_EXTERN __io DIVRSTR _divr;  
#define DIVR _divr.byte
#define DIVR_DIV0 _divr.bit._DIV0
#define DIVR_DIV1 _divr.bit._DIV1
__IO_EXTERN __io TMCSR0STR _tmcsr0;   /*  16 bit reload timers */
#define TMCSR0 _tmcsr0.word
#define TMCSR0_TRG _tmcsr0.bit._TRG
#define TMCSR0_CNTE _tmcsr0.bit._CNTE
#define TMCSR0_UF _tmcsr0.bit._UF
#define TMCSR0_INTE _tmcsr0.bit._INTE
#define TMCSR0_RELD _tmcsr0.bit._RELD
#define TMCSR0_OUTL _tmcsr0.bit._OUTL
#define TMCSR0_OUTE _tmcsr0.bit._OUTE
#define TMCSR0_MOD0 _tmcsr0.bit._MOD0
#define TMCSR0_MOD1 _tmcsr0.bit._MOD1
#define TMCSR0_MOD2 _tmcsr0.bit._MOD2
#define TMCSR0_CSL0 _tmcsr0.bit._CSL0
#define TMCSR0_CSL1 _tmcsr0.bit._CSL1
#define TMCSR0_MOD _tmcsr0.bitc._MOD
#define TMCSR0_CSL _tmcsr0.bitc._CSL
__IO_EXTERN __io TMR0STR _tmr0;  
#define TMR0 _tmr0.word
#define TMR0_D00 _tmr0.bit._D00
#define TMR0_D01 _tmr0.bit._D01
#define TMR0_D02 _tmr0.bit._D02
#define TMR0_D03 _tmr0.bit._D03
#define TMR0_D04 _tmr0.bit._D04
#define TMR0_D05 _tmr0.bit._D05
#define TMR0_D06 _tmr0.bit._D06
#define TMR0_D07 _tmr0.bit._D07
#define TMR0_D08 _tmr0.bit._D08
#define TMR0_D09 _tmr0.bit._D09
#define TMR0_D10 _tmr0.bit._D10
#define TMR0_D11 _tmr0.bit._D11
#define TMR0_D12 _tmr0.bit._D12
#define TMR0_D13 _tmr0.bit._D13
#define TMR0_D14 _tmr0.bit._D14
#define TMR0_D15 _tmr0.bit._D15
__IO_EXTERN __io TMRLR0STR _tmrlr0;  
#define TMRLR0 _tmrlr0.word
#define TMRLR0_D00 _tmrlr0.bit._D00
#define TMRLR0_D01 _tmrlr0.bit._D01
#define TMRLR0_D02 _tmrlr0.bit._D02
#define TMRLR0_D03 _tmrlr0.bit._D03
#define TMRLR0_D04 _tmrlr0.bit._D04
#define TMRLR0_D05 _tmrlr0.bit._D05
#define TMRLR0_D06 _tmrlr0.bit._D06
#define TMRLR0_D07 _tmrlr0.bit._D07
#define TMRLR0_D08 _tmrlr0.bit._D08
#define TMRLR0_D09 _tmrlr0.bit._D09
#define TMRLR0_D10 _tmrlr0.bit._D10
#define TMRLR0_D11 _tmrlr0.bit._D11
#define TMRLR0_D12 _tmrlr0.bit._D12
#define TMRLR0_D13 _tmrlr0.bit._D13
#define TMRLR0_D14 _tmrlr0.bit._D14
#define TMRLR0_D15 _tmrlr0.bit._D15
__IO_EXTERN __io TMCSR1STR _tmcsr1;  
#define TMCSR1 _tmcsr1.word
#define TMCSR1_TRG _tmcsr1.bit._TRG
#define TMCSR1_CNTE _tmcsr1.bit._CNTE
#define TMCSR1_UF _tmcsr1.bit._UF
#define TMCSR1_INTE _tmcsr1.bit._INTE
#define TMCSR1_RELD _tmcsr1.bit._RELD
#define TMCSR1_OUTL _tmcsr1.bit._OUTL
#define TMCSR1_OUTE _tmcsr1.bit._OUTE
#define TMCSR1_MOD0 _tmcsr1.bit._MOD0
#define TMCSR1_MOD1 _tmcsr1.bit._MOD1
#define TMCSR1_MOD2 _tmcsr1.bit._MOD2
#define TMCSR1_CSL0 _tmcsr1.bit._CSL0
#define TMCSR1_CSL1 _tmcsr1.bit._CSL1
#define TMCSR1_MOD _tmcsr1.bitc._MOD
#define TMCSR1_CSL _tmcsr1.bitc._CSL
__IO_EXTERN __io TMR1STR _tmr1;  
#define TMR1 _tmr1.word
#define TMR1_D00 _tmr1.bit._D00
#define TMR1_D01 _tmr1.bit._D01
#define TMR1_D02 _tmr1.bit._D02
#define TMR1_D03 _tmr1.bit._D03
#define TMR1_D04 _tmr1.bit._D04
#define TMR1_D05 _tmr1.bit._D05
#define TMR1_D06 _tmr1.bit._D06
#define TMR1_D07 _tmr1.bit._D07
#define TMR1_D08 _tmr1.bit._D08
#define TMR1_D09 _tmr1.bit._D09
#define TMR1_D10 _tmr1.bit._D10
#define TMR1_D11 _tmr1.bit._D11
#define TMR1_D12 _tmr1.bit._D12
#define TMR1_D13 _tmr1.bit._D13
#define TMR1_D14 _tmr1.bit._D14
#define TMR1_D15 _tmr1.bit._D15
__IO_EXTERN __io TMRLR1STR _tmrlr1;  
#define TMRLR1 _tmrlr1.word
#define TMRLR1_D00 _tmrlr1.bit._D00
#define TMRLR1_D01 _tmrlr1.bit._D01
#define TMRLR1_D02 _tmrlr1.bit._D02
#define TMRLR1_D03 _tmrlr1.bit._D03
#define TMRLR1_D04 _tmrlr1.bit._D04
#define TMRLR1_D05 _tmrlr1.bit._D05
#define TMRLR1_D06 _tmrlr1.bit._D06
#define TMRLR1_D07 _tmrlr1.bit._D07
#define TMRLR1_D08 _tmrlr1.bit._D08
#define TMRLR1_D09 _tmrlr1.bit._D09
#define TMRLR1_D10 _tmrlr1.bit._D10
#define TMRLR1_D11 _tmrlr1.bit._D11
#define TMRLR1_D12 _tmrlr1.bit._D12
#define TMRLR1_D13 _tmrlr1.bit._D13
#define TMRLR1_D14 _tmrlr1.bit._D14
#define TMRLR1_D15 _tmrlr1.bit._D15
__IO_EXTERN __io TMCSR2STR _tmcsr2;  
#define TMCSR2 _tmcsr2.word
#define TMCSR2_TRG _tmcsr2.bit._TRG
#define TMCSR2_CNTE _tmcsr2.bit._CNTE
#define TMCSR2_UF _tmcsr2.bit._UF
#define TMCSR2_INTE _tmcsr2.bit._INTE
#define TMCSR2_RELD _tmcsr2.bit._RELD
#define TMCSR2_OUTL _tmcsr2.bit._OUTL
#define TMCSR2_OUTE _tmcsr2.bit._OUTE
#define TMCSR2_MOD0 _tmcsr2.bit._MOD0
#define TMCSR2_MOD1 _tmcsr2.bit._MOD1
#define TMCSR2_MOD2 _tmcsr2.bit._MOD2
#define TMCSR2_CSL0 _tmcsr2.bit._CSL0
#define TMCSR2_CSL1 _tmcsr2.bit._CSL1
#define TMCSR2_MOD _tmcsr2.bitc._MOD
#define TMCSR2_CSL _tmcsr2.bitc._CSL
__IO_EXTERN __io TMR2STR _tmr2;  
#define TMR2 _tmr2.word
#define TMR2_D00 _tmr2.bit._D00
#define TMR2_D01 _tmr2.bit._D01
#define TMR2_D02 _tmr2.bit._D02
#define TMR2_D03 _tmr2.bit._D03
#define TMR2_D04 _tmr2.bit._D04
#define TMR2_D05 _tmr2.bit._D05
#define TMR2_D06 _tmr2.bit._D06
#define TMR2_D07 _tmr2.bit._D07
#define TMR2_D08 _tmr2.bit._D08
#define TMR2_D09 _tmr2.bit._D09
#define TMR2_D10 _tmr2.bit._D10
#define TMR2_D11 _tmr2.bit._D11
#define TMR2_D12 _tmr2.bit._D12
#define TMR2_D13 _tmr2.bit._D13
#define TMR2_D14 _tmr2.bit._D14
#define TMR2_D15 _tmr2.bit._D15
__IO_EXTERN __io TMRLR2STR _tmrlr2;  
#define TMRLR2 _tmrlr2.word
#define TMRLR2_D00 _tmrlr2.bit._D00
#define TMRLR2_D01 _tmrlr2.bit._D01
#define TMRLR2_D02 _tmrlr2.bit._D02
#define TMRLR2_D03 _tmrlr2.bit._D03
#define TMRLR2_D04 _tmrlr2.bit._D04
#define TMRLR2_D05 _tmrlr2.bit._D05
#define TMRLR2_D06 _tmrlr2.bit._D06
#define TMRLR2_D07 _tmrlr2.bit._D07
#define TMRLR2_D08 _tmrlr2.bit._D08
#define TMRLR2_D09 _tmrlr2.bit._D09
#define TMRLR2_D10 _tmrlr2.bit._D10
#define TMRLR2_D11 _tmrlr2.bit._D11
#define TMRLR2_D12 _tmrlr2.bit._D12
#define TMRLR2_D13 _tmrlr2.bit._D13
#define TMRLR2_D14 _tmrlr2.bit._D14
#define TMRLR2_D15 _tmrlr2.bit._D15
__IO_EXTERN __io ROMMSTR _romm;   /*  ROM Mirror */
#define ROMM _romm.byte
#define ROMM_MI _romm.bit._MI
__IO_EXTERN __io IBSR0STR _ibsr0;   /*  I2C Interfaces  */
#define IBSR0 _ibsr0.byte
#define IBSR0_FBT _ibsr0.bit._FBT
#define IBSR0_GCA _ibsr0.bit._GCA
#define IBSR0_AAS _ibsr0.bit._AAS
#define IBSR0_TRX _ibsr0.bit._TRX
#define IBSR0_LRB _ibsr0.bit._LRB
#define IBSR0_Al _ibsr0.bit._Al
#define IBSR0_RSC _ibsr0.bit._RSC
#define IBSR0_BB _ibsr0.bit._BB
__IO_EXTERN __io IBCR0STR _ibcr0;  
#define IBCR0 _ibcr0.byte
#define IBCR0_INT _ibcr0.bit._INT
#define IBCR0_INTE _ibcr0.bit._INTE
#define IBCR0_GCAA _ibcr0.bit._GCAA
#define IBCR0_ACK _ibcr0.bit._ACK
#define IBCR0_MSS _ibcr0.bit._MSS
#define IBCR0_SCC _ibcr0.bit._SCC
#define IBCR0_BEIE _ibcr0.bit._BEIE
#define IBCR0_BER _ibcr0.bit._BER
__IO_EXTERN __io ICCR0STR _iccr0;  
#define ICCR0 _iccr0.byte
#define ICCR0_CS0 _iccr0.bit._CS0
#define ICCR0_CS1 _iccr0.bit._CS1
#define ICCR0_CS2 _iccr0.bit._CS2
#define ICCR0_CS3 _iccr0.bit._CS3
#define ICCR0_CS4 _iccr0.bit._CS4
#define ICCR0_EN _iccr0.bit._EN
#define ICCR0_CS _iccr0.bitc._CS
__IO_EXTERN __io IADR0STR _iadr0;  
#define IADR0 _iadr0.byte
#define IADR0_A0 _iadr0.bit._A0
#define IADR0_A1 _iadr0.bit._A1
#define IADR0_A2 _iadr0.bit._A2
#define IADR0_A4 _iadr0.bit._A4
#define IADR0_A5 _iadr0.bit._A5
#define IADR0_A6 _iadr0.bit._A6
__IO_EXTERN __io IDAR0STR _idar0;  
#define IDAR0 _idar0.byte
#define IDAR0_D0 _idar0.bit._D0
#define IDAR0_D1 _idar0.bit._D1
#define IDAR0_D2 _idar0.bit._D2
#define IDAR0_D3 _idar0.bit._D3
#define IDAR0_D4 _idar0.bit._D4
#define IDAR0_D5 _idar0.bit._D5
#define IDAR0_D6 _idar0.bit._D6
#define IDAR0_D7 _idar0.bit._D7
__IO_EXTERN __io IBSR1STR _ibsr1;  
#define IBSR1 _ibsr1.byte
#define IBSR1_FBT _ibsr1.bit._FBT
#define IBSR1_GCA _ibsr1.bit._GCA
#define IBSR1_AAS _ibsr1.bit._AAS
#define IBSR1_TRX _ibsr1.bit._TRX
#define IBSR1_LRB _ibsr1.bit._LRB
#define IBSR1_Al _ibsr1.bit._Al
#define IBSR1_RSC _ibsr1.bit._RSC
#define IBSR1_BB _ibsr1.bit._BB
__IO_EXTERN __io IBCR1STR _ibcr1;  
#define IBCR1 _ibcr1.byte
#define IBCR1_INT _ibcr1.bit._INT
#define IBCR1_INTE _ibcr1.bit._INTE
#define IBCR1_GCAA _ibcr1.bit._GCAA
#define IBCR1_ACK _ibcr1.bit._ACK
#define IBCR1_MSS _ibcr1.bit._MSS
#define IBCR1_SCC _ibcr1.bit._SCC
#define IBCR1_BEIE _ibcr1.bit._BEIE
#define IBCR1_BER _ibcr1.bit._BER
__IO_EXTERN __io ICCR1STR _iccr1;  
#define ICCR1 _iccr1.byte
#define ICCR1_CS0 _iccr1.bit._CS0
#define ICCR1_CS1 _iccr1.bit._CS1
#define ICCR1_CS2 _iccr1.bit._CS2
#define ICCR1_CS3 _iccr1.bit._CS3
#define ICCR1_CS4 _iccr1.bit._CS4
#define ICCR1_EN _iccr1.bit._EN
#define ICCR1_CS _iccr1.bitc._CS
__IO_EXTERN __io IADR1STR _iadr1;  
#define IADR1 _iadr1.byte
#define IADR1_A0 _iadr1.bit._A0
#define IADR1_A1 _iadr1.bit._A1
#define IADR1_A2 _iadr1.bit._A2
#define IADR1_A4 _iadr1.bit._A4
#define IADR1_A5 _iadr1.bit._A5
#define IADR1_A6 _iadr1.bit._A6
__IO_EXTERN __io IDAR1STR _idar1;  
#define IDAR1 _idar1.byte
#define IDAR1_D0 _idar1.bit._D0
#define IDAR1_D1 _idar1.bit._D1
#define IDAR1_D2 _idar1.bit._D2
#define IDAR1_D3 _idar1.bit._D3
#define IDAR1_D4 _idar1.bit._D4
#define IDAR1_D5 _idar1.bit._D5
#define IDAR1_D6 _idar1.bit._D6
#define IDAR1_D7 _idar1.bit._D7
__IO_EXTERN __io IBSR2STR _ibsr2;  
#define IBSR2 _ibsr2.byte
#define IBSR2_FBT _ibsr2.bit._FBT
#define IBSR2_GCA _ibsr2.bit._GCA
#define IBSR2_AAS _ibsr2.bit._AAS
#define IBSR2_TRX _ibsr2.bit._TRX
#define IBSR2_LRB _ibsr2.bit._LRB
#define IBSR2_Al _ibsr2.bit._Al
#define IBSR2_RSC _ibsr2.bit._RSC
#define IBSR2_BB _ibsr2.bit._BB
__IO_EXTERN __io IBCR2STR _ibcr2;  
#define IBCR2 _ibcr2.byte
#define IBCR2_INT _ibcr2.bit._INT
#define IBCR2_INTE _ibcr2.bit._INTE
#define IBCR2_GCAA _ibcr2.bit._GCAA
#define IBCR2_ACK _ibcr2.bit._ACK
#define IBCR2_MSS _ibcr2.bit._MSS
#define IBCR2_SCC _ibcr2.bit._SCC
#define IBCR2_BEIE _ibcr2.bit._BEIE
#define IBCR2_BER _ibcr2.bit._BER
__IO_EXTERN __io ICCR2STR _iccr2;  
#define ICCR2 _iccr2.byte
#define ICCR2_CS0 _iccr2.bit._CS0
#define ICCR2_CS1 _iccr2.bit._CS1
#define ICCR2_CS2 _iccr2.bit._CS2
#define ICCR2_CS3 _iccr2.bit._CS3
#define ICCR2_CS4 _iccr2.bit._CS4
#define ICCR2_EN _iccr2.bit._EN
#define ICCR2_CS _iccr2.bitc._CS
__IO_EXTERN __io IADR2STR _iadr2;  
#define IADR2 _iadr2.byte
#define IADR2_A0 _iadr2.bit._A0
#define IADR2_A1 _iadr2.bit._A1
#define IADR2_A2 _iadr2.bit._A2
#define IADR2_A4 _iadr2.bit._A4
#define IADR2_A5 _iadr2.bit._A5
#define IADR2_A6 _iadr2.bit._A6
__IO_EXTERN __io IDAR2STR _idar2;  
#define IDAR2 _idar2.byte
#define IDAR2_D0 _idar2.bit._D0
#define IDAR2_D1 _idar2.bit._D1
#define IDAR2_D2 _idar2.bit._D2
#define IDAR2_D3 _idar2.bit._D3
#define IDAR2_D4 _idar2.bit._D4
#define IDAR2_D5 _idar2.bit._D5
#define IDAR2_D6 _idar2.bit._D6
#define IDAR2_D7 _idar2.bit._D7
__IO_EXTERN __io TCDTSTR _tcdt;   /*  16-Bit free-run timer (I/O timer) */
#define TCDT _tcdt.word
#define TCDT_T00 _tcdt.bit._T00
#define TCDT_T01 _tcdt.bit._T01
#define TCDT_T02 _tcdt.bit._T02
#define TCDT_T03 _tcdt.bit._T03
#define TCDT_T04 _tcdt.bit._T04
#define TCDT_T05 _tcdt.bit._T05
#define TCDT_T06 _tcdt.bit._T06
#define TCDT_T07 _tcdt.bit._T07
#define TCDT_T08 _tcdt.bit._T08
#define TCDT_T09 _tcdt.bit._T09
#define TCDT_T10 _tcdt.bit._T10
#define TCDT_T11 _tcdt.bit._T11
#define TCDT_T12 _tcdt.bit._T12
#define TCDT_T13 _tcdt.bit._T13
#define TCDT_T14 _tcdt.bit._T14
#define TCDT_T15 _tcdt.bit._T15
__IO_EXTERN __io TCCSSTR _tccs;  
#define TCCS _tccs.word
#define TCCS_CLK0 _tccs.bit._CLK0
#define TCCS_CLK1 _tccs.bit._CLK1
#define TCCS_CLK2 _tccs.bit._CLK2
#define TCCS_SCLR _tccs.bit._SCLR
#define TCCS_MODE _tccs.bit._MODE
#define TCCS_STOP _tccs.bit._STOP
#define TCCS_IVFE _tccs.bit._IVFE
#define TCCS_IVF _tccs.bit._IVF
#define TCCS_ICRE _tccs.bit._ICRE
#define TCCS_ICLR _tccs.bit._ICLR
#define TCCS_MSI0 _tccs.bit._MSI0
#define TCCS_MSI1 _tccs.bit._MSI1
#define TCCS_MSI2 _tccs.bit._MSI2
#define TCCS_ECKE _tccs.bit._ECKE
#define TCCS_CLK _tccs.bitc._CLK
#define TCCS_MSI _tccs.bitc._MSI
__IO_EXTERN __io CPCLRSTR _cpclr;  
#define CPCLR _cpclr.word
#define CPCLR_CL00 _cpclr.bit._CL00
#define CPCLR_CL01 _cpclr.bit._CL01
#define CPCLR_CL02 _cpclr.bit._CL02
#define CPCLR_CL03 _cpclr.bit._CL03
#define CPCLR_CL04 _cpclr.bit._CL04
#define CPCLR_CL05 _cpclr.bit._CL05
#define CPCLR_CL06 _cpclr.bit._CL06
#define CPCLR_CL07 _cpclr.bit._CL07
#define CPCLR_CL08 _cpclr.bit._CL08
#define CPCLR_CL09 _cpclr.bit._CL09
#define CPCLR_CL10 _cpclr.bit._CL10
#define CPCLR_CL11 _cpclr.bit._CL11
#define CPCLR_CL12 _cpclr.bit._CL12
#define CPCLR_CL13 _cpclr.bit._CL13
#define CPCLR_CL14 _cpclr.bit._CL14
#define CPCLR_CL15 _cpclr.bit._CL15
__IO_EXTERN __io DCSRSTR _dcsr;   /*  uDMAC (Part 1) */
#define DCSR _dcsr.byte
#define DCSR_DCSR0 _dcsr.bit._DCSR0
#define DCSR_DCSR1 _dcsr.bit._DCSR1
#define DCSR_DCSR2 _dcsr.bit._DCSR2
#define DCSR_DCSR3 _dcsr.bit._DCSR3
#define DCSR_STP _dcsr.bit._STP
#define DCSR_DCSR _dcsr.bitc._DCSR
__IO_EXTERN __io DSRSTR _dsr;  
#define DSR _dsr.word
#define DSR_DTE0 _dsr.bit._DTE0
#define DSR_DTE1 _dsr.bit._DTE1
#define DSR_DTE2 _dsr.bit._DTE2
#define DSR_DTE3 _dsr.bit._DTE3
#define DSR_DTE4 _dsr.bit._DTE4
#define DSR_DTE5 _dsr.bit._DTE5
#define DSR_DTE6 _dsr.bit._DTE6
#define DSR_DTE7 _dsr.bit._DTE7
#define DSR_DTE8 _dsr.bit._DTE8
#define DSR_DTE9 _dsr.bit._DTE9
#define DSR_DTE10 _dsr.bit._DTE10
#define DSR_DTE11 _dsr.bit._DTE11
#define DSR_DTE12 _dsr.bit._DTE12
#define DSR_DTE13 _dsr.bit._DTE13
#define DSR_DTE14 _dsr.bit._DTE14
#define DSR_DTE15 _dsr.bit._DTE15
__IO_EXTERN __io DSRLSTR _dsrl;  
#define DSRL _dsrl.byte
#define DSRL_DTE0 _dsrl.bit._DTE0
#define DSRL_DTE1 _dsrl.bit._DTE1
#define DSRL_DTE2 _dsrl.bit._DTE2
#define DSRL_DTE3 _dsrl.bit._DTE3
#define DSRL_DTE4 _dsrl.bit._DTE4
#define DSRL_DTE5 _dsrl.bit._DTE5
#define DSRL_DTE6 _dsrl.bit._DTE6
#define DSRL_DTE7 _dsrl.bit._DTE7
__IO_EXTERN __io DSRHSTR _dsrh;  
#define DSRH _dsrh.byte
#define DSRH_DTE8 _dsrh.bit._DTE8
#define DSRH_DTE9 _dsrh.bit._DTE9
#define DSRH_DTE10 _dsrh.bit._DTE10
#define DSRH_DTE11 _dsrh.bit._DTE11
#define DSRH_DTE12 _dsrh.bit._DTE12
#define DSRH_DTE13 _dsrh.bit._DTE13
#define DSRH_DTE14 _dsrh.bit._DTE14
#define DSRH_DTE15 _dsrh.bit._DTE15
__IO_EXTERN __io IO_BYTE _pacsr;
#define PACSR _pacsr    /*  Address compare detection */
__IO_EXTERN __io DIRRSTR _dirr;   /*  Delayed Interrupt */
#define DIRR _dirr.byte
#define DIRR_R0 _dirr.bit._R0
__IO_EXTERN __io IO_BYTE _lpmcr;
#define LPMCR _lpmcr    /*  Low power Consumption */
__IO_EXTERN __io CKSCRSTR _ckscr;   /*  Clock */
#define CKSCR _ckscr.byte
#define CKSCR_CS0 _ckscr.bit._CS0
#define CKSCR_CS1 _ckscr.bit._CS1
#define CKSCR_MCS _ckscr.bit._MCS
#define CKSCR_SCS _ckscr.bit._SCS
#define CKSCR_WS0 _ckscr.bit._WS0
#define CKSCR_WS1 _ckscr.bit._WS1
#define CKSCR_MCM _ckscr.bit._MCM
#define CKSCR_SCM _ckscr.bit._SCM
#define CKSCR_CS _ckscr.bitc._CS
#define CKSCR_WS _ckscr.bitc._WS
__IO_EXTERN __io DSSRSTR _dssr;   /*  uDMAC (Part 2) */
#define DSSR _dssr.byte
#define DSSR_STP0 _dssr.bit._STP0
#define DSSR_STP1 _dssr.bit._STP1
#define DSSR_STP2 _dssr.bit._STP2
#define DSSR_STP3 _dssr.bit._STP3
#define DSSR_STP4 _dssr.bit._STP4
#define DSSR_STP5 _dssr.bit._STP5
#define DSSR_STP6 _dssr.bit._STP6
#define DSSR_STP7 _dssr.bit._STP7
__IO_EXTERN __io DSSR1STR _dssr1;  
#define DSSR1 _dssr1.byte
#define DSSR1_STP0 _dssr1.bit._STP0
#define DSSR1_STP1 _dssr1.bit._STP1
#define DSSR1_STP2 _dssr1.bit._STP2
#define DSSR1_STP3 _dssr1.bit._STP3
#define DSSR1_STP4 _dssr1.bit._STP4
#define DSSR1_STP5 _dssr1.bit._STP5
#define DSSR1_STP6 _dssr1.bit._STP6
#define DSSR1_STP7 _dssr1.bit._STP7
__IO_EXTERN __io DSSR0STR _dssr0;  
#define DSSR0 _dssr0.byte
#define DSSR0_STP8 _dssr0.bit._STP8
#define DSSR0_STP9 _dssr0.bit._STP9
#define DSSR0_STP10 _dssr0.bit._STP10
#define DSSR0_STP11 _dssr0.bit._STP11
#define DSSR0_STP12 _dssr0.bit._STP12
#define DSSR0_STP13 _dssr0.bit._STP13
#define DSSR0_STP14 _dssr0.bit._STP14
#define DSSR0_STP15 _dssr0.bit._STP15
__IO_EXTERN __io IO_BYTE _arsr;
#define ARSR _arsr    /*  External Bus I/F */
__IO_EXTERN __io IO_BYTE _hacr;
#define HACR _hacr   
__IO_EXTERN __io IO_BYTE _epcr;
#define EPCR _epcr   
__IO_EXTERN __io WDTCSTR _wdtc;   /*  Watch(dog) Timers */
#define WDTC _wdtc.byte
#define WDTC_SRST _wdtc.bit._SRST
#define WDTC_ERST _wdtc.bit._ERST
#define WDTC_WRST _wdtc.bit._WRST
#define WDTC_PONR _wdtc.bit._PONR
__IO_EXTERN __io TBTCSTR _tbtc;  
#define TBTC _tbtc.byte
#define TBTC_TBC0 _tbtc.bit._TBC0
#define TBTC_TBC1 _tbtc.bit._TBC1
#define TBTC_TBR _tbtc.bit._TBR
#define TBTC_TBOF _tbtc.bit._TBOF
#define TBTC_TBIE _tbtc.bit._TBIE
#define TBTC_TBC _tbtc.bitc._TBC
__IO_EXTERN __io WTCSTR _wtc;  
#define WTC _wtc.byte
#define WTC_WTC0 _wtc.bit._WTC0
#define WTC_WTC1 _wtc.bit._WTC1
#define WTC_WTC2 _wtc.bit._WTC2
#define WTC_WTR _wtc.bit._WTR
#define WTC_WTOF _wtc.bit._WTOF
#define WTC_WTIE _wtc.bit._WTIE
#define WTC_SCE _wtc.bit._SCE
#define WTC_WDST _wtc.bit._WDST
#define WTC_WTC _wtc.bitc._WTC
__IO_EXTERN __io DERLSTR _derl;   /*  uDMAC (Part 3) */
#define DERL _derl.byte
#define DERL_EN0 _derl.bit._EN0
#define DERL_EN1 _derl.bit._EN1
#define DERL_EN2 _derl.bit._EN2
#define DERL_EN3 _derl.bit._EN3
#define DERL_EN4 _derl.bit._EN4
#define DERL_EN5 _derl.bit._EN5
#define DERL_EN6 _derl.bit._EN6
#define DERL_EN7 _derl.bit._EN7
__IO_EXTERN __io DERHSTR _derh;  
#define DERH _derh.byte
#define DERH_EN8 _derh.bit._EN8
#define DERH_EN9 _derh.bit._EN9
#define DERH_EN10 _derh.bit._EN10
#define DERH_EN11 _derh.bit._EN11
#define DERH_EN12 _derh.bit._EN12
#define DERH_EN13 _derh.bit._EN13
#define DERH_EN14 _derh.bit._EN14
#define DERH_EN15 _derh.bit._EN15
__IO_EXTERN __io FMCSSTR _fmcs;   /*  Flash Memory I/F */
#define FMCS _fmcs.byte
#define FMCS_LPM0 _fmcs.bit._LPM0
#define FMCS_LPM1 _fmcs.bit._LPM1
#define FMCS_RDY _fmcs.bit._RDY
#define FMCS_WE _fmcs.bit._WE
#define FMCS_RDYINT _fmcs.bit._RDYINT
#define FMCS_INTE _fmcs.bit._INTE
__IO_EXTERN __io IO_BYTE _icr00;
#define ICR00 _icr00    /*  Interrupt Controller */
__IO_EXTERN __io IO_BYTE _icr01;
#define ICR01 _icr01   
__IO_EXTERN __io IO_BYTE _icr02;
#define ICR02 _icr02   
__IO_EXTERN __io IO_BYTE _icr03;
#define ICR03 _icr03   
__IO_EXTERN __io IO_BYTE _icr04;
#define ICR04 _icr04   
__IO_EXTERN __io IO_BYTE _icr05;
#define ICR05 _icr05   
__IO_EXTERN __io IO_BYTE _icr06;
#define ICR06 _icr06   
__IO_EXTERN __io IO_BYTE _icr07;
#define ICR07 _icr07   
__IO_EXTERN __io IO_BYTE _icr08;
#define ICR08 _icr08   
__IO_EXTERN __io IO_BYTE _icr09;
#define ICR09 _icr09   
__IO_EXTERN __io IO_BYTE _icr10;
#define ICR10 _icr10   
__IO_EXTERN __io IO_BYTE _icr11;
#define ICR11 _icr11   
__IO_EXTERN __io IO_BYTE _icr12;
#define ICR12 _icr12   
__IO_EXTERN __io IO_BYTE _icr13;
#define ICR13 _icr13   
__IO_EXTERN __io IO_BYTE _icr14;
#define ICR14 _icr14   
__IO_EXTERN __io IO_BYTE _icr15;
#define ICR15 _icr15   
__IO_EXTERN __io HCNT0STR _hcnt0;   /*  USB Mini Host */
#define HCNT0 _hcnt0.byte
#define HCNT0_HOST _hcnt0.bit._HOST
#define HCNT0_URST _hcnt0.bit._URST
#define HCNT0_SOFIRE _hcnt0.bit._SOFIRE
#define HCNT0_DIRE _hcnt0.bit._DIRE
#define HCNT0_CNNIRE _hcnt0.bit._CNNIRE
#define HCNT0_CMPIRE _hcnt0.bit._CMPIRE
#define HCNT0_URIRE _hcnt0.bit._URIRE
#define HCNT0_RWKIRE _hcnt0.bit._RWKIRE
__IO_EXTERN __io HCNT1STR _hcnt1;  
#define HCNT1 _hcnt1.byte
#define HCNT1_RETRY _hcnt1.bit._RETRY
#define HCNT1_CANCEL _hcnt1.bit._CANCEL
#define HCNT1_SOFSTP _hcnt1.bit._SOFSTP
__IO_EXTERN __io HIRQSTR _hirq;  
#define HIRQ _hirq.byte
#define HIRQ_SOFIRQ _hirq.bit._SOFIRQ
#define HIRQ_DIRQ _hirq.bit._DIRQ
#define HIRQ_CNNIRQ _hirq.bit._CNNIRQ
#define HIRQ_CMPIRQ _hirq.bit._CMPIRQ
#define HIRQ_URIRQ _hirq.bit._URIRQ
#define HIRQ_RWKIRQ _hirq.bit._RWKIRQ
#define HIRQ_TCAN _hirq.bit._TCAN
__IO_EXTERN __io HERRSTR _herr;  
#define HERR _herr.byte
#define HERR_HS0 _herr.bit._HS0
#define HERR_HS1 _herr.bit._HS1
#define HERR_STUFF _herr.bit._STUFF
#define HERR_TGERR _herr.bit._TGERR
#define HERR_CRC _herr.bit._CRC
#define HERR_TOUT _herr.bit._TOUT
#define HERR_RERR _herr.bit._RERR
#define HERR_LSTSOF _herr.bit._LSTSOF
#define HERR_HS _herr.bitc._HS
__IO_EXTERN __io HSTATESTR _hstate;  
#define HSTATE _hstate.byte
#define HSTATE_CSTAT _hstate.bit._CSTAT
#define HSTATE_TMODE _hstate.bit._TMODE
#define HSTATE_SUSP _hstate.bit._SUSP
#define HSTATE_SOFBSY _hstate.bit._SOFBSY
#define HSTATE_CLKSEL _hstate.bit._CLKSEL
#define HSTATE_ALIVE _hstate.bit._ALIVE
__IO_EXTERN __io IO_BYTE _hfcomp;
#define HFCOMP _hfcomp   
__IO_EXTERN __io IO_BYTE _hrtmrl;
#define HRTMRL _hrtmrl   
__IO_EXTERN __io IO_BYTE _hrtmrm;
#define HRTMRM _hrtmrm   
__IO_EXTERN __io IO_BYTE _hrtmrh;
#define HRTMRH _hrtmrh   
__IO_EXTERN __io IO_BYTE _hadr;
#define HADR _hadr   
__IO_EXTERN __io IO_WORD _heof;
#define HEOF _heof   
__IO_EXTERN __io IO_WORD _hframe;
#define HFRAME _hframe   
__IO_EXTERN __io HTOKENSTR _htoken;  
#define HTOKEN _htoken.byte
#define HTOKEN_TGGL _htoken.bit._TGGL
__IO_EXTERN __io UDCCSTR _udcc;  
#define UDCC _udcc.byte
#define UDCC_PWC _udcc.bit._PWC
#define UDCC_RFBK _udcc.bit._RFBK
#define UDCC_USTP _udcc.bit._USTP
#define UDCC_HCONX _udcc.bit._HCONX
#define UDCC_RESUM _udcc.bit._RESUM
#define UDCC_RST _udcc.bit._RST
__IO_EXTERN __io EP0CSTR _ep0c;   /*  USB Function */
#define EP0C _ep0c.word
#define EP0C_STAL _ep0c.bit._STAL
__IO_EXTERN __io EP1CSTR _ep1c;  
#define EP1C _ep1c.word
#define EP1C_PKS _ep1c.bit._PKS
#define EP1C_STAL _ep1c.bit._STAL
#define EP1C_NULE _ep1c.bit._NULE
#define EP1C_DMAE _ep1c.bit._DMAE
#define EP1C_DIR _ep1c.bit._DIR
#define EP1C_TYPE0 _ep1c.bit._TYPE0
#define EP1C_TYPE1 _ep1c.bit._TYPE1
#define EP1C_EPEN _ep1c.bit._EPEN
#define EP1C_TYPE _ep1c.bitc._TYPE
__IO_EXTERN __io EP2CSTR _ep2c;  
#define EP2C _ep2c.word
#define EP2C_STAL _ep2c.bit._STAL
#define EP2C_NULE _ep2c.bit._NULE
#define EP2C_DMAE _ep2c.bit._DMAE
#define EP2C_DIR _ep2c.bit._DIR
#define EP2C_TYPE0 _ep2c.bit._TYPE0
#define EP2C_TYPE1 _ep2c.bit._TYPE1
#define EP2C_EPEN _ep2c.bit._EPEN
#define EP2C_TYPE _ep2c.bitc._TYPE
__IO_EXTERN __io EP3CSTR _ep3c;  
#define EP3C _ep3c.word
#define EP3C_STAL _ep3c.bit._STAL
#define EP3C_NULE _ep3c.bit._NULE
#define EP3C_DMAE _ep3c.bit._DMAE
#define EP3C_DIR _ep3c.bit._DIR
#define EP3C_TYPE0 _ep3c.bit._TYPE0
#define EP3C_TYPE1 _ep3c.bit._TYPE1
#define EP3C_EPEN _ep3c.bit._EPEN
#define EP3C_TYPE _ep3c.bitc._TYPE
__IO_EXTERN __io EP4CSTR _ep4c;  
#define EP4C _ep4c.word
#define EP4C_STAL _ep4c.bit._STAL
#define EP4C_NULE _ep4c.bit._NULE
#define EP4C_DMAE _ep4c.bit._DMAE
#define EP4C_DIR _ep4c.bit._DIR
#define EP4C_TYPE0 _ep4c.bit._TYPE0
#define EP4C_TYPE1 _ep4c.bit._TYPE1
#define EP4C_EPEN _ep4c.bit._EPEN
#define EP4C_TYPE _ep4c.bitc._TYPE
__IO_EXTERN __io EP5CSTR _ep5c;  
#define EP5C _ep5c.word
#define EP5C_STAL _ep5c.bit._STAL
#define EP5C_NULE _ep5c.bit._NULE
#define EP5C_DMAE _ep5c.bit._DMAE
#define EP5C_DIR _ep5c.bit._DIR
#define EP5C_TYPE0 _ep5c.bit._TYPE0
#define EP5C_TYPE1 _ep5c.bit._TYPE1
#define EP5C_EPEN _ep5c.bit._EPEN
#define EP5C_TYPE _ep5c.bitc._TYPE
__IO_EXTERN __io IO_WORD _tmsp;
#define TMSP _tmsp   
__IO_EXTERN __io UDCSSTR _udcs;  
#define UDCS _udcs.byte
#define UDCS_CONF _udcs.bit._CONF
#define UDCS_SETP _udcs.bit._SETP
#define UDCS_WKUP _udcs.bit._WKUP
#define UDCS_BRST _udcs.bit._BRST
#define UDCS_SOF _udcs.bit._SOF
#define UDCS_SUSP _udcs.bit._SUSP
#define UDCS_VON _udcs.bit._VON
#define UDCS_VOFF _udcs.bit._VOFF
__IO_EXTERN __io UDCIESTR _udcie;  
#define UDCIE _udcie.byte
#define UDCIE_CONFIE _udcie.bit._CONFIE
#define UDCIE_CONFN _udcie.bit._CONFN
#define UDCIE_WKUPIE _udcie.bit._WKUPIE
#define UDCIE_BRSTIE _udcie.bit._BRSTIE
#define UDCIE_SOFIE _udcie.bit._SOFIE
#define UDCIE_SUSPIE _udcie.bit._SUSPIE
#define UDCIE_VONIE _udcie.bit._VONIE
#define UDCIE_VOFFIE _udcie.bit._VOFFIE
__IO_EXTERN __io EP0ISSTR _ep0is;  
#define EP0IS _ep0is.word
#define EP0IS_DRQI _ep0is.bit._DRQI
#define EP0IS_DRQIIE _ep0is.bit._DRQIIE
#define EP0IS_BFINI _ep0is.bit._BFINI
__IO_EXTERN __io EP0OSSTR _ep0os;  
#define EP0OS _ep0os.word
#define EP0OS_SPK _ep0os.bit._SPK
#define EP0OS_DRQO _ep0os.bit._DRQO
#define EP0OS_SPKIE _ep0os.bit._SPKIE
#define EP0OS_DRQOIE _ep0os.bit._DRQOIE
#define EP0OS_BFINI _ep0os.bit._BFINI
__IO_EXTERN __io EP1SSTR _ep1s;  
#define EP1S _ep1s.word
#define EP1S_SPK _ep1s.bit._SPK
#define EP1S_DRQ _ep1s.bit._DRQ
#define EP1S_BUSY _ep1s.bit._BUSY
#define EP1S_SPKIE _ep1s.bit._SPKIE
#define EP1S_DRQIE _ep1s.bit._DRQIE
#define EP1S_BFINI _ep1s.bit._BFINI
__IO_EXTERN __io EP2SSTR _ep2s;  
#define EP2S _ep2s.word
#define EP2S_SPK _ep2s.bit._SPK
#define EP2S_DRQ _ep2s.bit._DRQ
#define EP2S_BUSY _ep2s.bit._BUSY
#define EP2S_SPKIE _ep2s.bit._SPKIE
#define EP2S_DRQIE _ep2s.bit._DRQIE
#define EP2S_BFINI _ep2s.bit._BFINI
__IO_EXTERN __io EP3SSTR _ep3s;  
#define EP3S _ep3s.word
#define EP3S_SPK _ep3s.bit._SPK
#define EP3S_DRQ _ep3s.bit._DRQ
#define EP3S_BUSY _ep3s.bit._BUSY
#define EP3S_SPKIE _ep3s.bit._SPKIE
#define EP3S_DRQIE _ep3s.bit._DRQIE
#define EP3S_BFINI _ep3s.bit._BFINI
__IO_EXTERN __io EP4SSTR _ep4s;  
#define EP4S _ep4s.word
#define EP4S_SPK _ep4s.bit._SPK
#define EP4S_DRQ _ep4s.bit._DRQ
#define EP4S_BUSY _ep4s.bit._BUSY
#define EP4S_SPKIE _ep4s.bit._SPKIE
#define EP4S_DRQIE _ep4s.bit._DRQIE
#define EP4S_BFINI _ep4s.bit._BFINI
__IO_EXTERN __io EP5SSTR _ep5s;  
#define EP5S _ep5s.word
#define EP5S_SPK _ep5s.bit._SPK
#define EP5S_DRQ _ep5s.bit._DRQ
#define EP5S_BUSY _ep5s.bit._BUSY
#define EP5S_SPKIE _ep5s.bit._SPKIE
#define EP5S_DRQIE _ep5s.bit._DRQIE
#define EP5S_BFINI _ep5s.bit._BFINI
__IO_EXTERN __io IO_WORD _ep0dt;
#define EP0DT _ep0dt   
__IO_EXTERN __io IO_WORD _ep1dt;
#define EP1DT _ep1dt   
__IO_EXTERN __io IO_WORD _ep2dt;
#define EP2DT _ep2dt   
__IO_EXTERN __io IO_WORD _ep3dt;
#define EP3DT _ep3dt   
__IO_EXTERN __io IO_WORD _ep4dt;
#define EP4DT _ep4dt   
__IO_EXTERN __io IO_WORD _ep5dt;
#define EP5DT _ep5dt   
__IO_EXTENDED IO_BYTE _padr0l;
#define PADR0L _padr0l   
__IO_EXTENDED IO_BYTE _padr0m;
#define PADR0M _padr0m   
__IO_EXTENDED IO_BYTE _padr0h;
#define PADR0H _padr0h   
__IO_EXTENDED IO_BYTE _padr1l;
#define PADR1L _padr1l   
__IO_EXTENDED IO_BYTE _padr1m;
#define PADR1M _padr1m   
__IO_EXTENDED IO_BYTE _padr1h;
#define PADR1H _padr1h   
__IO_EXTENDED IO_LWORD _prl01;
#define PRL01 _prl01    /*  PPG data */
__IO_EXTENDED IO_WORD _prl0;
#define PRL0 _prl0   
__IO_EXTENDED IO_BYTE _prll0;
#define PRLL0 _prll0   
__IO_EXTENDED IO_BYTE _prlh0;
#define PRLH0 _prlh0   
__IO_EXTENDED IO_WORD _prl1;
#define PRL1 _prl1   
__IO_EXTENDED IO_BYTE _prll1;
#define PRLL1 _prll1   
__IO_EXTENDED IO_BYTE _prlh1;
#define PRLH1 _prlh1   
__IO_EXTENDED IO_LWORD _prl23;
#define PRL23 _prl23   
__IO_EXTENDED IO_WORD _prl2;
#define PRL2 _prl2   
__IO_EXTENDED IO_BYTE _prll2;
#define PRLL2 _prll2   
__IO_EXTENDED IO_BYTE _prlh2;
#define PRLH2 _prlh2   
__IO_EXTENDED IO_WORD _prl3;
#define PRL3 _prl3   
__IO_EXTENDED IO_BYTE _prll3;
#define PRLL3 _prll3   
__IO_EXTENDED IO_BYTE _prlh3;
#define PRLH3 _prlh3   
__IO_EXTENDED IO_LWORD _prl45;
#define PRL45 _prl45   
__IO_EXTENDED IO_WORD _prl4;
#define PRL4 _prl4   
__IO_EXTENDED IO_BYTE _prll4;
#define PRLL4 _prll4   
__IO_EXTENDED IO_BYTE _prlh4;
#define PRLH4 _prlh4   
__IO_EXTENDED IO_WORD _prl5;
#define PRL5 _prl5   
__IO_EXTENDED IO_BYTE _prll5;
#define PRLL5 _prll5   
__IO_EXTENDED IO_BYTE _prlh5;
#define PRLH5 _prlh5   
__IO_EXTENDED IO_WORD _ipcp0;
#define IPCP0 _ipcp0    /*  Input Capture */
__IO_EXTENDED IO_WORD _ipcp1;
#define IPCP1 _ipcp1   
__IO_EXTENDED IO_WORD _ipcp2;
#define IPCP2 _ipcp2   
__IO_EXTENDED IO_WORD _ipcp3;
#define IPCP3 _ipcp3   
__IO_EXTENDED IO_WORD _occp0;
#define OCCP0 _occp0    /*  Output Compare */
__IO_EXTENDED IO_WORD _occp1;
#define OCCP1 _occp1   
__IO_EXTENDED IO_WORD _occp2;
#define OCCP2 _occp2   
__IO_EXTENDED IO_WORD _occp3;
#define OCCP3 _occp3   
__IO_EXTENDED IO_BYTE _dbapl;
#define DBAPL _dbapl    /*  uDMAC (Part 4) */
__IO_EXTENDED IO_BYTE _dbapm;
#define DBAPM _dbapm   
__IO_EXTENDED IO_BYTE _dbaph;
#define DBAPH _dbaph   
__IO_EXTENDED DMACSSTR _dmacs;  
#define DMACS _dmacs.byte
#define DMACS_SE _dmacs.bit._SE
#define DMACS_DIR _dmacs.bit._DIR
#define DMACS_BF _dmacs.bit._BF
#define DMACS_BW _dmacs.bit._BW
#define DMACS_IF _dmacs.bit._IF
#define DMACS_BYTEL _dmacs.bit._BYTEL
#define DMACS_RDY1 _dmacs.bit._RDY1
#define DMACS_RDY2 _dmacs.bit._RDY2
__IO_EXTENDED DIOALSTR _dioal;  
#define DIOAL _dioal.byte
#define DIOAL_A00 _dioal.bit._A00
#define DIOAL_A01 _dioal.bit._A01
#define DIOAL_A02 _dioal.bit._A02
#define DIOAL_A03 _dioal.bit._A03
#define DIOAL_A04 _dioal.bit._A04
#define DIOAL_A05 _dioal.bit._A05
#define DIOAL_A06 _dioal.bit._A06
#define DIOAL_A07 _dioal.bit._A07
__IO_EXTENDED DIOAHSTR _dioah;  
#define DIOAH _dioah.byte
#define DIOAH_A08 _dioah.bit._A08
#define DIOAH_A09 _dioah.bit._A09
#define DIOAH_A10 _dioah.bit._A10
#define DIOAH_A11 _dioah.bit._A11
#define DIOAH_A12 _dioah.bit._A12
#define DIOAH_A13 _dioah.bit._A13
#define DIOAH_A14 _dioah.bit._A14
#define DIOAH_A15 _dioah.bit._A15
__IO_EXTENDED DIOASTR _dioa;  
#define DIOA _dioa.word
#define DIOA_A00 _dioa.bit._A00
#define DIOA_A01 _dioa.bit._A01
#define DIOA_A02 _dioa.bit._A02
#define DIOA_A03 _dioa.bit._A03
#define DIOA_A04 _dioa.bit._A04
#define DIOA_A05 _dioa.bit._A05
#define DIOA_A06 _dioa.bit._A06
#define DIOA_A07 _dioa.bit._A07
#define DIOA_A08 _dioa.bit._A08
#define DIOA_A09 _dioa.bit._A09
#define DIOA_A10 _dioa.bit._A10
#define DIOA_A11 _dioa.bit._A11
#define DIOA_A12 _dioa.bit._A12
#define DIOA_A13 _dioa.bit._A13
#define DIOA_A14 _dioa.bit._A14
#define DIOA_A15 _dioa.bit._A15
__IO_EXTENDED DDCTLSTR _ddctl;  
#define DDCTL _ddctl.byte
#define DDCTL_B00 _ddctl.bit._B00
#define DDCTL_B01 _ddctl.bit._B01
#define DDCTL_B02 _ddctl.bit._B02
#define DDCTL_B03 _ddctl.bit._B03
#define DDCTL_B04 _ddctl.bit._B04
#define DDCTL_B05 _ddctl.bit._B05
#define DDCTL_B06 _ddctl.bit._B06
#define DDCTL_B07 _ddctl.bit._B07
__IO_EXTENDED DDCTHSTR _ddcth;  
#define DDCTH _ddcth.byte
#define DDCTH_B08 _ddcth.bit._B08
#define DDCTH_B09 _ddcth.bit._B09
#define DDCTH_B10 _ddcth.bit._B10
#define DDCTH_B11 _ddcth.bit._B11
#define DDCTH_B12 _ddcth.bit._B12
#define DDCTH_B13 _ddcth.bit._B13
#define DDCTH_B14 _ddcth.bit._B14
#define DDCTH_B15 _ddcth.bit._B15
__IO_EXTENDED DDCTSTR _ddct;  
#define DDCT _ddct.word
#define DDCT_B00 _ddct.bit._B00
#define DDCT_B01 _ddct.bit._B01
#define DDCT_B02 _ddct.bit._B02
#define DDCT_B03 _ddct.bit._B03
#define DDCT_B04 _ddct.bit._B04
#define DDCT_B05 _ddct.bit._B05
#define DDCT_B06 _ddct.bit._B06
#define DDCT_B07 _ddct.bit._B07
#define DDCT_B08 _ddct.bit._B08
#define DDCT_B09 _ddct.bit._B09
#define DDCT_B10 _ddct.bit._B10
#define DDCT_B11 _ddct.bit._B11
#define DDCT_B12 _ddct.bit._B12
#define DDCT_B13 _ddct.bit._B13
#define DDCT_B14 _ddct.bit._B14
#define DDCT_B15 _ddct.bit._B15
#  undef ___IOWIDTH
#endif                   /* __MB90XXX_H */
