/**
 * config.c
 *
 * configuration - globals
 **/
 
#include "config.h"
#include "globtype.h"
//#include "stdlib.h"

unsigned int	PROJECT_INSTALLATION_ID=	0x0000;
unsigned int	KNX_INDIVIDUAL_ADDRESSES=	0xFF00;
unsigned int	ADDITIONAL_INDIVIDUAL_ADDRESSES[ADDITIONAL_INDIVIDUAL_ADDRESSES_NR+1]={0x0001,0xFFFF};
unsigned char	CURRENT_IP_ASSIGNMENT_METHOD=1;
unsigned char	IP_ASSIGNMENT_METHOD=1;
unsigned char	IP_CAPABILITIES=1;
unsigned long	CURRENT_IP_ADDRESS=0xC0A80132; // 192.168.1.50
unsigned long	CURRENT_SUBNET_MASK=0xFFFFFF00;
unsigned long	CURRENT_DEFAULT_GATEWAY=0xC0A80101;
unsigned long	IP_ADDRESS=0xC0A80132;
unsigned long 	SUBNET_MASK=0xFFFFFF00;
unsigned long	DEFAULT_GATEWAY=0xC0A80101;
unsigned long	DHCP_BOOTP_SERVER=0x00000000;
unsigned long	SYSTEM_SETUP_MULTICAST_ADDRESS=0xE000170C; //224.0.23.12
unsigned long	ROUTING_MULTICAST_ADDRESS=0xE000170C;
unsigned char	TTL=16;
unsigned int	EIBNETIP_DEVICE_CAPABILITIES=7;
unsigned char	EIBNETIP_DEVICE_STATE=0;
unsigned char	EIBNETIP_ROUTING_CAPABILITIES=3;
unsigned char	PRIORITY_FIFO_ENABLED=0;
unsigned int	QUEUE_OVERFLOW_TO_IP=0;
unsigned int	QUEUE_OVERFLOW_TO_KNX=0;
unsigned long	MSG_TRANSMIT_TO_IP=0;
unsigned long	MSG_TRANSMIT_TO_KNX=0;
unsigned char	FRIENDLY_NAME[30]="MB90F334_Little_Fritzchen";

unsigned int *lst_knxaddr[ADDITIONAL_INDIVIDUAL_ADDRESSES_NR+1]={0};
// it_addr *knxaddrs=NULL;

/**
 * add knxaddress to linked list
 **/
void addknxaddress(unsigned int *address) {
	int i=0;
	
	while (lst_knxaddr[i]!=0 && i!=ADDITIONAL_INDIVIDUAL_ADDRESSES_NR) {
		i++;
	}
	if (i!=ADDITIONAL_INDIVIDUAL_ADDRESSES_NR) {
		lst_knxaddr[i]=address;
	}

/*	it_addr *curr;
	
	curr=(it_addr *) malloc(sizeof(it_addr));
	curr->addr=&address;
	curr->next=knxaddrs;
	knxaddrs=curr;
*/
}

/**
 * remove knx address from linked list
 **/
void remknxaddress(unsigned int *address) {
/*	it_addr *curr;
	curr=knxaddrs;

	if (*curr->addr==address) {
		curr->addr=NULL;
		knxaddrs=knxaddrs->next;
		free(curr);
		return;
	}
	
	while (curr->next) {
		if (*curr->next->addr==address) {
			curr->next->addr=NULL;
			curr->next=curr->next->next;
			free(curr->next);
			break;
		}
		curr=curr->next;
	}*/
	int i=0;
	
	while (lst_knxaddr[i]!=address && i!=ADDITIONAL_INDIVIDUAL_ADDRESSES_NR) {
		i++;
	}
	if (i!=ADDITIONAL_INDIVIDUAL_ADDRESSES_NR) {
		lst_knxaddr[i-1]=0;
	}

}

/**
 * returns 1 if address is in list and 0 if it is not
 **/
int findknxaddress(unsigned int *address) {
/*	it_addr *curr;
	curr=knxaddrs;

	while (curr) {
		if (*curr->addr=address) {
			return 1;
		}
		curr=curr->next;
	}
	return 0;*/
	int i=0;
	
	while (lst_knxaddr[i]!=address && i!=ADDITIONAL_INDIVIDUAL_ADDRESSES_NR) {
		i++;
	}
	if (i!=ADDITIONAL_INDIVIDUAL_ADDRESSES_NR) {
		return 1;
	}

	return 0;
}

#pragma inline initBoard
void initBoard(void) {
//	DDR0 = 0xFF; /* set ports to out         */
//	PDR0 = 0x00; /* and output 0             */
//	DDR1 = 0xFF; /* to prevent floating pins */
//	PDR1 = 0x00;
//	DDR2 = 0xFF;
//	PDR2 = 0x00;
	DDR3 = 0xFF;
	PDR3 = 0x00;
	DDR4 = 0xFF;
	PDR4 = 0x00;
//	DDR5 = 0xFF;
//	PDR5 = 0x00;
	DDR6 = 0xFC; /* do not set P60+P61 to output */
	PDR6 = 0x00; /* they are set to ground by jumpers for flashing mode */
	DDR7 = 0xFF; /* remove jumper JP8=P6X_DC if you want to use these pins */
	PDR7 = 0x00;
	DDR8 = 0xFF;
	PDR8 = 0x00;
	DDR9 = 0xFF;
	PDR9 = 0x00;
	DDRA = 0xFF;
	PDRA = 0x00;
	DDRB = 0xFF;
	PDRB = 0x00;
}

#pragma inline initP6X
void initP6X(void);

#pragma inline initUART0
void initUART0(void) {
	DDR4_D42 = 0; // SIN0 input
}

#pragma inline initUART1
void initUART1(void) {
	DDR4_D45 = 0; // SIN1 input
}

#pragma inline initKNX0
void initKNX0(void) {
	DDR6_D64 = 0; // set INT4 input
	DDR9_D92 = 1; // Reset output
	DDR9_D90 = 0; // SIN2 input
}

#pragma inline initKNX1
void initKNX1(void) {
	DDR6_D65 = 0; // set INT5 input
	DDR9_D95 = 1; // Reset output
	DDR9_D93 = 0; // SIN3 input
}

#pragma inline initSD
void initSD(void) {
	//Konfiguration des Ports an der die MMC/SD-Karte angeschlossen wurde
	DDR3_D33 = 0; //Setzen von Pin MMC_DI auf Input
	DDR3_D32 = 1; //Setzen von Pin MMC_Clock auf Output
	DDR3_D31 = 1; //Setzen von Pin MMC_DO auf Output
	DDR3_D30 = 1; //Setzen von Pin MMC_Chip_Select auf Output
	DDR3_D34 = 0; //Setzen von Pin MMC_CI auf Input
	DDR3_D35 = 0; //Setzen von Pin MMC_WP auf Input
}

#pragma inline initETH10
void initETH10(void) {
	DDR6_D62 = 0; // set INT2 input
}

#pragma inline initUSBHost
void initUSBHost(void);

#pragma inline initUSBSlave
void initUSBSlave(void);
