/** \file
 *
 * dos90330.c
 * 
 * This file realizes the DOSlike in- and ouport functions.
 * The functions should be used to comunicate with devices at the emulated ISA bus
 *
 * @author  oalt
 * @version $Id: dos903300.c,v 1.8 2005/08/04 18:53:01 fritz Exp $
 */

#include "globtype.h"
#include "mb90330.h"
#include "dos.h"

/**
 * Write word to a port
 * @param portid the port number
 * @param value the value you want to write
 */ 
void outport(word portid, word value)  {

  *(volatile word __far*)(0x10000L + portid) = value;

}

/**
 * Write byte to a port
 * @param portid the port number
 * @param value the value you want to write
 */
void outportb(word portid, byte value)  {
  EPCR = 0x06; //Fujitsu 8 Bit Mode
  *(volatile byte __far*)(0x10000L + portid) = value;
  EPCR = 0x04; //Fujitsu 16 Bit Mode
}

/**
 * Read a word from a port
 * @param portid the port number
 * @return the data
 */
word inport(word portid)  {

  word read_value=0;
  
  read_value = *(volatile word __far*)(0x10000L + portid);
  return read_value;

}

/**
 * Read a byte from a port
 * @param portid the port number
 * @return the data
 */
byte inportb(word portid)  {

  byte read_value_byte=0;
  EPCR = 0x06; //Fujitsu 8 Bit Mode
  read_value_byte = *(volatile byte __far*)(0x10000L + portid);
  EPCR = 0x04; //Fujitsu 16 Bit Mode
  return read_value_byte;

}