/* FFMC-16 IO-MAP HEADER FILE                                                */
/* ==========================                                                */
/* CREATED BY IO-WIZARD V2.16                                                */
/* Id: mb90330.asm,v 1.5 2005/02/11 13:06:38 hwech Exp                       */
/* THIS SAMPLE CODE IS PROVIDED AS IS AND IS SUBJECT TO ALTERATIONS. FUJITSU */
/* MICROELECTRONICS ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR */
/* ELIGIBILITY FOR ANY PURPOSES.                                             */
/*                 (C) Fujitsu Microelectronics Europe GmbH                  */
/* ***************************************************************************** */
/*               FUJITSU MIKROELEKTRONIK GMBH                                */
/*               Am Siebenstein 6-10, 63303 Dreieich                         */
/*               Tel.:++49/6103/690-0,Fax - 122                              */
/*                                                                           */
/* The following software is for demonstration purposes only.                */
/* It is not fully tested, nor validated in order to fullfill                */
/* its task under all circumstances. Therefore, this software                */
/* or any part of it must only be used in an evaluation                      */
/* laboratory environment.                                                   */
/* This software is subject to the rules of our standard                     */
/* DISCLAIMER, that is delivered with our SW-tools (on the CD                */
/* "Micros Documentation & Software V3.0" see "\START.HTM" or                */
/* see our Internet Page -                                                   */
/* http://www.fujitsu-ede.com/products/micro/disclaimer.html                 */
/* ***************************************************************************** */
/*                                                                           */
/* NOTE:                                                                     */
/*                                                                           */
/* This header-file will cover all features of the Emulation chip MB90V330/S. */
/* No Flash- or Mask- version of the MB90330 series will support all features !!! */
/* Limitaions can be found in UARTs, CANs, I2C, ADC, etc.                    */
/* Please DO NOT USE resources / registers others than specified             */
/* for the dedicated Flash-/Mask-version.                                    */
/* Please refer to the datasheet and hardwaremanual of the MB90330series.    */
/*                                                                           */
/*                                                                           */
/* ----------------------------------------------------------------------    */
/* Id: mb90330.iow,v 1.7 2005/02/11 13:05:46 hwech Exp                       */
/* ----------------------------------------------------------------------    */
/* History:                                                                  */
/* ----------------------------------------------------------------------    */
/* MB90330.iow,v 1.0 2004/07/26 MWi First Version                            */
/* MB90330.iow,v 1.1 2004/08/04 MWi UART0-3: UTRLR0-3 changed to 2 byte access, */
/*                                  bit defs removed, UTCR0-3 removed        */
/* Id: mb90330.iow,v 1.2 2004/08/23 12:33:25 hwech                           */
/*      - Bit name "AL" of IBSRn corrected                                   */
/* Id: mb90330.iow,v 1.3 2004/09/10 13:21:14 hwech                           */
/*      - Register name for ENIR corrected                                   */
/* Id: mb90330.iow,v 1.4 2004/09/27 14:31:41 mwilla                          */
/*      - Register name for PPGC4, PPGC5 corrected                           */
/* Id: mb90330.iow,v 1.5 2004/10/04 15:17:37 mwilla                          */
/*      - Register name for IPCPn corrected                                  */
/* Id: mb90330.iow,v 1.6 2004/11/23 14:54:28 mwilla Exp                      */
/*      - UTRLR0-3 and UTCR0-3 added, former UTRLR0-3 renamed to UTRL0-3     */
/* Id: mb90330.iow,v 1.7 2005/02/11 13:05:46 hwech Exp                       */
/*      - A/D included by macro adc_90330                                    */
/*      - bitgroups removed: DDCT, DDCTL, DDCTH, ICPx, OCCPx, TCDT, TMRLR,   */
/*                           CPCLR, PRLH0, PRLL0, DIOA, DIOAL, DIOAH         */
/* ----------------------------------------------------------------------    */
/*                                                                           */
/* ----------------------------------------------------------------------    */
/* Id: adc_90330.h,v 1.1 2005/02/11 13:03:34 hwech Exp                       */
/* ----------------------------------------------------------------------    */
/* DESCRIPTION:  Interrupt Control Register Declaration                      */
/*                                                                           */
/* AUTHOR:       Fujitsu Mikroelektronik GmbH                                */
/*                                                                           */
/* HISTORY:                                                                  */
/* Id: adc_90330.h,v 1.1 2005/02/11 13:03:34 hwech Exp                       */
/*      - new version for MB90330 Series                                     */
 .PROGRAM MB90330
 .TITLE   MB90330

;------------------------
; IO-AREA DEFINITIONS :
;------------------------



 .section IOBASE, IO, locate=0x0000  ; /*  PORT DATA */
 .GLOBAL __pdr0,     __pdr1,     __pdr2,     __pdr3,     __pdr4,     __pdr5
 .GLOBAL __pdr6,     __pdr7,     __pdr8,     __pdr9,     __pdra,     __pdrb
 .GLOBAL __ddrb,     __ddr0,     __ddr1,     __ddr2,     __ddr3,     __ddr4
 .GLOBAL __ddr5,     __ddr6,     __ddr7,     __ddr8,     __ddr9,     __ddra
 .GLOBAL __rdr0,     __rdr1,     __ader0,    __ader1,    __smr0,     __scr0
 .GLOBAL __sidr0,    __sodr0,    __ssr0,     __utrlr0,   __utcr0,    __utrl0
 .GLOBAL __smr1,     __scr1,     __sidr1,    __sodr1,    __ssr1,     __utrlr1
 .GLOBAL __utcr1,    __utrl1,    __smr2,     __scr2,     __sidr2,    __sodr2
 .GLOBAL __ssr2,     __utrlr2,   __utcr2,    __utrl2,    __smr3,     __scr3
 .GLOBAL __sidr3,    __sodr3,    __ssr3,     __utrlr3,   __utcr3,    __utrl3
 .GLOBAL __enir,     __eirr,     __elvr,     __adcs,     __adcs0,    __adcs1
 .GLOBAL __adcr,     __adcr0,    __adcr1,    __admr,     __ppgc0,    __ppgc1
 .GLOBAL __ppgc2,    __ppgc3,    __ppgc4,    __ppgc5,    __ppg01,    __ppg23
 .GLOBAL __ppg45,    __ics01,    __ics23,    __ocs0,     __ocs1,     __ocs2
 .GLOBAL __ocs3,     __smcs,     __sdr,      __sdcr,     __pwcsr,    __pwcr
 .GLOBAL __divr,     __tmcsr0,   __tmr0,     __tmrlr0,   __tmcsr1,   __tmr1
 .GLOBAL __tmrlr1,   __tmcsr2,   __tmr2,     __tmrlr2,   __romm,     __ibsr0
 .GLOBAL __ibcr0,    __iccr0,    __iadr0,    __idar0,    __ibsr1,    __ibcr1
 .GLOBAL __iccr1,    __iadr1,    __idar1,    __ibsr2,    __ibcr2,    __iccr2
 .GLOBAL __iadr2,    __idar2,    __tcdt,     __tccs,     __cpclr,    __dcsr
 .GLOBAL __dsr,      __dsrl,     __dsrh,     __pacsr,    __dirr,     __lpmcr
 .GLOBAL __ckscr,    __dssr,     __dssr1,    __dssr0,    __arsr,     __hacr
 .GLOBAL __epcr,     __wdtc,     __tbtc,     __wtc,      __derl,     __derh
 .GLOBAL __fmcs,     __icr00,    __icr01,    __icr02,    __icr03,    __icr04
 .GLOBAL __icr05,    __icr06,    __icr07,    __icr08,    __icr09,    __icr10
 .GLOBAL __icr11,    __icr12,    __icr13,    __icr14,    __icr15,    __hcnt0
 .GLOBAL __hcnt1,    __hirq,     __herr,     __hstate,   __hfcomp,   __hrtmrl
 .GLOBAL __hrtmrm,   __hrtmrh,   __hadr,     __heof,     __hframe,   __htoken
 .GLOBAL __udcc,     __ep0c,     __ep1c,     __ep2c,     __ep3c,     __ep4c
 .GLOBAL __ep5c,     __tmsp,     __udcs,     __udcie,    __ep0is,    __ep0os
 .GLOBAL __ep1s,     __ep2s,     __ep3s,     __ep4s,     __ep5s,     __ep0dt
 .GLOBAL __ep1dt,    __ep2dt,    __ep3dt,    __ep4dt,    __ep5dt

__pdr0   .res.b 1             ;000000  /*  PORT DATA */
PDR0    .equ 0x0000
__pdr1   .res.b 1             ;000001
PDR1    .equ 0x0001
__pdr2   .res.b 1             ;000002
PDR2    .equ 0x0002
__pdr3   .res.b 1             ;000003
PDR3    .equ 0x0003
__pdr4   .res.b 1             ;000004
PDR4    .equ 0x0004
__pdr5   .res.b 1             ;000005
PDR5    .equ 0x0005
__pdr6   .res.b 1             ;000006
PDR6    .equ 0x0006
__pdr7   .res.b 1             ;000007
PDR7    .equ 0x0007
__pdr8   .res.b 1             ;000008
PDR8    .equ 0x0008
__pdr9   .res.b 1             ;000009
PDR9    .equ 0x0009
__pdra   .res.b 1             ;00000A
PDRA    .equ 0x000A
 .org 0x000C
__pdrb   .res.b 1             ;00000C
PDRB    .equ 0x000C
__ddrb   .res.b 1             ;00000D  /*  PORT DIRECTION */
DDRB    .equ 0x000D
 .org 0x0010
__ddr0   .res.b 1             ;000010
DDR0    .equ 0x0010
__ddr1   .res.b 1             ;000011
DDR1    .equ 0x0011
__ddr2   .res.b 1             ;000012
DDR2    .equ 0x0012
__ddr3   .res.b 1             ;000013
DDR3    .equ 0x0013
__ddr4   .res.b 1             ;000014
DDR4    .equ 0x0014
__ddr5   .res.b 1             ;000015
DDR5    .equ 0x0015
__ddr6   .res.b 1             ;000016
DDR6    .equ 0x0016
__ddr7   .res.b 1             ;000017
DDR7    .equ 0x0017
__ddr8   .res.b 1             ;000018
DDR8    .equ 0x0018
__ddr9   .res.b 1             ;000019
DDR9    .equ 0x0019
__ddra   .res.b 1             ;00001A
DDRA    .equ 0x001A
 .org 0x001C
__rdr0   .res.b 1             ;00001C  /*  PULL-UP CONTROL */
RDR0    .equ 0x001C
__rdr1   .res.b 1             ;00001D
RDR1    .equ 0x001D
__ader0   .res.b 1             ;00001E  /*  ANALOG INPUT ENABLE */
ADER0    .equ 0x001E
__ader1   .res.b 1             ;00001F
ADER1    .equ 0x001F
__smr0   .res.b 1             ;000020  /*  UART0 */
SMR0    .equ 0x0020
__scr0   .res.b 1             ;000021
SCR0    .equ 0x0021
__sidr0   .res.b 1             ;000022
SIDR0    .equ 0x0022
 .org 0x0022
__sodr0   .res.b 1             ;000022
SODR0    .equ 0x0022
__ssr0   .res.b 1             ;000023
SSR0    .equ 0x0023
__utrlr0   .res.b 1             ;000024
UTRLR0    .equ 0x0024
__utcr0   .res.b 1             ;000025
UTCR0    .equ 0x0025
 .org 0x0024
__utrl0   .res.b 2             ;000024
UTRL0    .equ 0x0024
__smr1   .res.b 1             ;000026  /*  UART1 */
SMR1    .equ 0x0026
__scr1   .res.b 1             ;000027
SCR1    .equ 0x0027
__sidr1   .res.b 1             ;000028
SIDR1    .equ 0x0028
 .org 0x0028
__sodr1   .res.b 1             ;000028
SODR1    .equ 0x0028
__ssr1   .res.b 1             ;000029
SSR1    .equ 0x0029
__utrlr1   .res.b 1             ;00002A
UTRLR1    .equ 0x002A
__utcr1   .res.b 1             ;00002B
UTCR1    .equ 0x002B
 .org 0x002A
__utrl1   .res.b 2             ;00002A
UTRL1    .equ 0x002A
__smr2   .res.b 1             ;00002C  /*  UART2 */
SMR2    .equ 0x002C
__scr2   .res.b 1             ;00002D
SCR2    .equ 0x002D
__sidr2   .res.b 1             ;00002E
SIDR2    .equ 0x002E
 .org 0x002E
__sodr2   .res.b 1             ;00002E
SODR2    .equ 0x002E
__ssr2   .res.b 1             ;00002F
SSR2    .equ 0x002F
__utrlr2   .res.b 1             ;000030
UTRLR2    .equ 0x0030
__utcr2   .res.b 1             ;000031
UTCR2    .equ 0x0031
 .org 0x0030
__utrl2   .res.b 2             ;000030
UTRL2    .equ 0x0030
__smr3   .res.b 1             ;000032  /*  UART3 */
SMR3    .equ 0x0032
__scr3   .res.b 1             ;000033
SCR3    .equ 0x0033
__sidr3   .res.b 1             ;000034
SIDR3    .equ 0x0034
 .org 0x0034
__sodr3   .res.b 1             ;000034
SODR3    .equ 0x0034
__ssr3   .res.b 1             ;000035
SSR3    .equ 0x0035
__utrlr3   .res.b 1             ;000036
UTRLR3    .equ 0x0036
__utcr3   .res.b 1             ;000037
UTCR3    .equ 0x0037
 .org 0x0036
__utrl3   .res.b 2             ;000036
UTRL3    .equ 0x0036
 .org 0x003C
__enir   .res.b 1             ;00003C  /*  DTP/external interrupt */
ENIR    .equ 0x003C
__eirr   .res.b 1             ;00003D
EIRR    .equ 0x003D
__elvr   .res.b 2             ;00003E
ELVR    .equ 0x003E
__adcs   .res.b 2             ;000040  /*  10-bit A/D converter */
ADCS    .equ 0x0040
 .org 0x0040
__adcs0   .res.b 1             ;000040
ADCS0    .equ 0x0040
__adcs1   .res.b 1             ;000041
ADCS1    .equ 0x0041
__adcr   .res.b 2             ;000042
ADCR    .equ 0x0042
 .org 0x0042
__adcr0   .res.b 1             ;000042
ADCR0    .equ 0x0042
__adcr1   .res.b 1             ;000043
ADCR1    .equ 0x0043
 .org 0x0045
__admr   .res.b 1             ;000045
ADMR    .equ 0x0045
__ppgc0   .res.b 1             ;000046  /*  PPGs */
PPGC0    .equ 0x0046
__ppgc1   .res.b 1             ;000047
PPGC1    .equ 0x0047
__ppgc2   .res.b 1             ;000048
PPGC2    .equ 0x0048
__ppgc3   .res.b 1             ;000049
PPGC3    .equ 0x0049
__ppgc4   .res.b 1             ;00004A
PPGC4    .equ 0x004A
__ppgc5   .res.b 1             ;00004B
PPGC5    .equ 0x004B
__ppg01   .res.b 1             ;00004C
PPG01    .equ 0x004C
 .org 0x004E
__ppg23   .res.b 1             ;00004E
PPG23    .equ 0x004E
 .org 0x0050
__ppg45   .res.b 1             ;000050
PPG45    .equ 0x0050
 .org 0x0052
__ics01   .res.b 1             ;000052  /*  Input Capture */
ICS01    .equ 0x0052
__ics23   .res.b 1             ;000053
ICS23    .equ 0x0053
__ocs0   .res.b 1             ;000054  /*  Output Compare */
OCS0    .equ 0x0054
__ocs1   .res.b 1             ;000055
OCS1    .equ 0x0055
__ocs2   .res.b 1             ;000056
OCS2    .equ 0x0056
__ocs3   .res.b 1             ;000057
OCS3    .equ 0x0057
__smcs   .res.b 2             ;000058  /*  I/O Extended Serial */
SMCS    .equ 0x0058
__sdr   .res.b 1             ;00005A
SDR    .equ 0x005A
__sdcr   .res.b 1             ;00005B
SDCR    .equ 0x005B
__pwcsr   .res.b 2             ;00005C  /*  16-Bit PWC tinmer */
PWCSR    .equ 0x005C
__pwcr   .res.b 2             ;00005E
PWCR    .equ 0x005E
__divr   .res.b 1             ;000060
DIVR    .equ 0x0060
 .org 0x0062
__tmcsr0   .res.b 2             ;000062  /*  16 bit reload timers */
TMCSR0    .equ 0x0062
__tmr0   .res.b 2             ;000064
TMR0    .equ 0x0064
 .org 0x0064
__tmrlr0   .res.b 2             ;000064
TMRLR0    .equ 0x0064
__tmcsr1   .res.b 2             ;000066
TMCSR1    .equ 0x0066
__tmr1   .res.b 2             ;000068
TMR1    .equ 0x0068
 .org 0x0068
__tmrlr1   .res.b 2             ;000068
TMRLR1    .equ 0x0068
__tmcsr2   .res.b 2             ;00006A
TMCSR2    .equ 0x006A
__tmr2   .res.b 2             ;00006C
TMR2    .equ 0x006C
 .org 0x006C
__tmrlr2   .res.b 2             ;00006C
TMRLR2    .equ 0x006C
 .org 0x006F
__romm   .res.b 1             ;00006F  /*  ROM Mirror */
ROMM    .equ 0x006F
__ibsr0   .res.b 1             ;000070  /*  I2C Interfaces  */
IBSR0    .equ 0x0070
__ibcr0   .res.b 1             ;000071
IBCR0    .equ 0x0071
__iccr0   .res.b 1             ;000072
ICCR0    .equ 0x0072
__iadr0   .res.b 1             ;000073
IADR0    .equ 0x0073
__idar0   .res.b 1             ;000074
IDAR0    .equ 0x0074
 .org 0x0076
__ibsr1   .res.b 1             ;000076
IBSR1    .equ 0x0076
__ibcr1   .res.b 1             ;000077
IBCR1    .equ 0x0077
__iccr1   .res.b 1             ;000078
ICCR1    .equ 0x0078
__iadr1   .res.b 1             ;000079
IADR1    .equ 0x0079
__idar1   .res.b 1             ;00007A
IDAR1    .equ 0x007A
 .org 0x007C
__ibsr2   .res.b 1             ;00007C
IBSR2    .equ 0x007C
__ibcr2   .res.b 1             ;00007D
IBCR2    .equ 0x007D
__iccr2   .res.b 1             ;00007E
ICCR2    .equ 0x007E
__iadr2   .res.b 1             ;00007F
IADR2    .equ 0x007F
__idar2   .res.b 1             ;000080
IDAR2    .equ 0x0080
 .org 0x0086
__tcdt   .res.b 2             ;000086  /*  16-Bit free-run timer (I/O timer) */
TCDT    .equ 0x0086
__tccs   .res.b 2             ;000088
TCCS    .equ 0x0088
__cpclr   .res.b 2             ;00008A
CPCLR    .equ 0x008A
 .org 0x009B
__dcsr   .res.b 1             ;00009B  /*  uDMAC (Part 1) */
DCSR    .equ 0x009B
__dsr   .res.b 2             ;00009C
DSR    .equ 0x009C
 .org 0x009C
__dsrl   .res.b 1             ;00009C
DSRL    .equ 0x009C
__dsrh   .res.b 1             ;00009D
DSRH    .equ 0x009D
__pacsr   .res.b 1             ;00009E  /*  Address compare detection */
PACSR    .equ 0x009E
__dirr   .res.b 1             ;00009F  /*  Delayed Interrupt */
DIRR    .equ 0x009F
__lpmcr   .res.b 1             ;0000A0  /*  Low power Consumption */
LPMCR    .equ 0x00A0
__ckscr   .res.b 1             ;0000A1  /*  Clock */
CKSCR    .equ 0x00A1
 .org 0x00A4
__dssr   .res.b 1             ;0000A4  /*  uDMAC (Part 2) */
DSSR    .equ 0x00A4
 .org 0x00A4
__dssr1   .res.b 1             ;0000A4
DSSR1    .equ 0x00A4
 .org 0x00A4
__dssr0   .res.b 1             ;0000A4
DSSR0    .equ 0x00A4
__arsr   .res.b 1             ;0000A5  /*  External Bus I/F */
ARSR    .equ 0x00A5
__hacr   .res.b 1             ;0000A6
HACR    .equ 0x00A6
__epcr   .res.b 1             ;0000A7
EPCR    .equ 0x00A7
__wdtc   .res.b 1             ;0000A8  /*  Watch(dog) Timers */
WDTC    .equ 0x00A8
__tbtc   .res.b 1             ;0000A9
TBTC    .equ 0x00A9
__wtc   .res.b 1             ;0000AA
WTC    .equ 0x00AA
 .org 0x00AC
__derl   .res.b 1             ;0000AC  /*  uDMAC (Part 3) */
DERL    .equ 0x00AC
__derh   .res.b 1             ;0000AD
DERH    .equ 0x00AD
__fmcs   .res.b 1             ;0000AE  /*  Flash Memory I/F */
FMCS    .equ 0x00AE
 .org 0x00B0
__icr00   .res.b 1             ;0000B0  /*  Interrupt Controller */
ICR00    .equ 0x00B0
__icr01   .res.b 1             ;0000B1
ICR01    .equ 0x00B1
__icr02   .res.b 1             ;0000B2
ICR02    .equ 0x00B2
__icr03   .res.b 1             ;0000B3
ICR03    .equ 0x00B3
__icr04   .res.b 1             ;0000B4
ICR04    .equ 0x00B4
__icr05   .res.b 1             ;0000B5
ICR05    .equ 0x00B5
__icr06   .res.b 1             ;0000B6
ICR06    .equ 0x00B6
__icr07   .res.b 1             ;0000B7
ICR07    .equ 0x00B7
__icr08   .res.b 1             ;0000B8
ICR08    .equ 0x00B8
__icr09   .res.b 1             ;0000B9
ICR09    .equ 0x00B9
__icr10   .res.b 1             ;0000BA
ICR10    .equ 0x00BA
__icr11   .res.b 1             ;0000BB
ICR11    .equ 0x00BB
__icr12   .res.b 1             ;0000BC
ICR12    .equ 0x00BC
__icr13   .res.b 1             ;0000BD
ICR13    .equ 0x00BD
__icr14   .res.b 1             ;0000BE
ICR14    .equ 0x00BE
__icr15   .res.b 1             ;0000BF
ICR15    .equ 0x00BF
__hcnt0   .res.b 1             ;0000C0  /*  USB Mini Host */
HCNT0    .equ 0x00C0
__hcnt1   .res.b 1             ;0000C1
HCNT1    .equ 0x00C1
__hirq   .res.b 1             ;0000C2
HIRQ    .equ 0x00C2
__herr   .res.b 1             ;0000C3
HERR    .equ 0x00C3
__hstate   .res.b 1             ;0000C4
HSTATE    .equ 0x00C4
__hfcomp   .res.b 1             ;0000C5
HFCOMP    .equ 0x00C5
__hrtmrl   .res.b 1             ;0000C6
HRTMRL    .equ 0x00C6
__hrtmrm   .res.b 1             ;0000C7
HRTMRM    .equ 0x00C7
__hrtmrh   .res.b 1             ;0000C8
HRTMRH    .equ 0x00C8
__hadr   .res.b 1             ;0000C9
HADR    .equ 0x00C9
__heof   .res.b 2             ;0000CA
HEOF    .equ 0x00CA
__hframe   .res.b 2             ;0000CC
HFRAME    .equ 0x00CC
__htoken   .res.b 1             ;0000CE
HTOKEN    .equ 0x00CE
 .org 0x00D0
__udcc   .res.b 1             ;0000D0
UDCC    .equ 0x00D0
 .org 0x00D2
__ep0c   .res.b 2             ;0000D2  /*  USB Function */
EP0C    .equ 0x00D2
__ep1c   .res.b 2             ;0000D4
EP1C    .equ 0x00D4
__ep2c   .res.b 2             ;0000D6
EP2C    .equ 0x00D6
__ep3c   .res.b 2             ;0000D8
EP3C    .equ 0x00D8
__ep4c   .res.b 2             ;0000DA
EP4C    .equ 0x00DA
__ep5c   .res.b 2             ;0000DC
EP5C    .equ 0x00DC
__tmsp   .res.b 2             ;0000DE
TMSP    .equ 0x00DE
__udcs   .res.b 1             ;0000E0
UDCS    .equ 0x00E0
__udcie   .res.b 1             ;0000E1
UDCIE    .equ 0x00E1
__ep0is   .res.b 2             ;0000E2
EP0IS    .equ 0x00E2
__ep0os   .res.b 2             ;0000E4
EP0OS    .equ 0x00E4
__ep1s   .res.b 2             ;0000E6
EP1S    .equ 0x00E6
__ep2s   .res.b 2             ;0000E8
EP2S    .equ 0x00E8
__ep3s   .res.b 2             ;0000EA
EP3S    .equ 0x00EA
__ep4s   .res.b 2             ;0000EC
EP4S    .equ 0x00EC
__ep5s   .res.b 2             ;0000EE
EP5S    .equ 0x00EE
__ep0dt   .res.b 2             ;0000F0
EP0DT    .equ 0x00F0
__ep1dt   .res.b 2             ;0000F2
EP1DT    .equ 0x00F2
__ep2dt   .res.b 2             ;0000F4
EP2DT    .equ 0x00F4
__ep3dt   .res.b 2             ;0000F6
EP3DT    .equ 0x00F6
__ep4dt   .res.b 2             ;0000F8
EP4DT    .equ 0x00F8
__ep5dt   .res.b 2             ;0000FA
EP5DT    .equ 0x00FA

 .section IOXTND2, DATA, locate=0x1FF0  ;
 .GLOBAL __padr0l,   __padr0m,   __padr0h,   __padr1l,   __padr1m,   __padr1h

__padr0l   .res.b 1             ;001FF0
PADR0L    .equ 0x1FF0
__padr0m   .res.b 1             ;001FF1
PADR0M    .equ 0x1FF1
__padr0h   .res.b 1             ;001FF2
PADR0H    .equ 0x1FF2
__padr1l   .res.b 1             ;001FF3
PADR1L    .equ 0x1FF3
__padr1m   .res.b 1             ;001FF4
PADR1M    .equ 0x1FF4
__padr1h   .res.b 1             ;001FF5
PADR1H    .equ 0x1FF5

 .section IOXTND, DATA, locate=0x7900  ; /*  PPG data */
 .GLOBAL __prl01,    __prl0,     __prll0,    __prlh0,    __prl1,     __prll1
 .GLOBAL __prlh1,    __prl23,    __prl2,     __prll2,    __prlh2,    __prl3
 .GLOBAL __prll3,    __prlh3,    __prl45,    __prl4,     __prll4,    __prlh4
 .GLOBAL __prl5,     __prll5,    __prlh5,    __ipcp0,    __ipcp1,    __ipcp2
 .GLOBAL __ipcp3,    __occp0,    __occp1,    __occp2,    __occp3,    __dbapl
 .GLOBAL __dbapm,    __dbaph,    __dmacs,    __dioal,    __dioah,    __dioa
 .GLOBAL __ddctl,    __ddcth,    __ddct

__prl01   .res.b 4             ;007900  /*  PPG data */
PRL01    .equ 0x7900
 .org 0x7900
__prl0   .res.b 2             ;007900
PRL0    .equ 0x7900
 .org 0x7900
__prll0   .res.b 1             ;007900
PRLL0    .equ 0x7900
__prlh0   .res.b 1             ;007901
PRLH0    .equ 0x7901
__prl1   .res.b 2             ;007902
PRL1    .equ 0x7902
 .org 0x7902
__prll1   .res.b 1             ;007902
PRLL1    .equ 0x7902
__prlh1   .res.b 1             ;007903
PRLH1    .equ 0x7903
__prl23   .res.b 4             ;007904
PRL23    .equ 0x7904
 .org 0x7904
__prl2   .res.b 2             ;007904
PRL2    .equ 0x7904
 .org 0x7904
__prll2   .res.b 1             ;007904
PRLL2    .equ 0x7904
__prlh2   .res.b 1             ;007905
PRLH2    .equ 0x7905
__prl3   .res.b 2             ;007906
PRL3    .equ 0x7906
 .org 0x7906
__prll3   .res.b 1             ;007906
PRLL3    .equ 0x7906
__prlh3   .res.b 1             ;007907
PRLH3    .equ 0x7907
__prl45   .res.b 4             ;007908
PRL45    .equ 0x7908
 .org 0x7908
__prl4   .res.b 2             ;007908
PRL4    .equ 0x7908
 .org 0x7908
__prll4   .res.b 1             ;007908
PRLL4    .equ 0x7908
__prlh4   .res.b 1             ;007909
PRLH4    .equ 0x7909
__prl5   .res.b 2             ;00790A
PRL5    .equ 0x790A
 .org 0x790A
__prll5   .res.b 1             ;00790A
PRLL5    .equ 0x790A
__prlh5   .res.b 1             ;00790B
PRLH5    .equ 0x790B
 .org 0x7910
__ipcp0   .res.b 2             ;007910  /*  Input Capture */
IPCP0    .equ 0x7910
__ipcp1   .res.b 2             ;007912
IPCP1    .equ 0x7912
__ipcp2   .res.b 2             ;007914
IPCP2    .equ 0x7914
__ipcp3   .res.b 2             ;007916
IPCP3    .equ 0x7916
__occp0   .res.b 2             ;007918  /*  Output Compare */
OCCP0    .equ 0x7918
__occp1   .res.b 2             ;00791A
OCCP1    .equ 0x791A
__occp2   .res.b 2             ;00791C
OCCP2    .equ 0x791C
__occp3   .res.b 2             ;00791E
OCCP3    .equ 0x791E
__dbapl   .res.b 1             ;007920  /*  uDMAC (Part 4) */
DBAPL    .equ 0x7920
__dbapm   .res.b 1             ;007921
DBAPM    .equ 0x7921
__dbaph   .res.b 1             ;007922
DBAPH    .equ 0x7922
__dmacs   .res.b 1             ;007923
DMACS    .equ 0x7923
__dioal   .res.b 1             ;007924
DIOAL    .equ 0x7924
__dioah   .res.b 1             ;007925
DIOAH    .equ 0x7925
 .org 0x7924
__dioa   .res.b 2             ;007924
DIOA    .equ 0x7924
__ddctl   .res.b 1             ;007926
DDCTL    .equ 0x7926
__ddcth   .res.b 1             ;007927
DDCTH    .equ 0x7927
 .org 0x7926
__ddct   .res.b 2             ;007926
DDCT    .equ 0x7926


 .end
