/** \file
 *
 * rtc90330.c
 *
 * @author fritz
 */
 
#include "rtc.h"
#include "uartapi.h"
#include "mb90330.h"
#include "config.h"

extern RTCCBFUNC rtcbuf[RTCMAXSIZE];
extern RTCCBFUNC *rtcfl;
extern RTCCBFUNC *rtcl;

int counter;

void initRTC(void) {
	int i=0;
	counter=0;
	
	rtcfl=rtcbuf;						// build free list
	rtcl=0;
	for (i=0; i<RTCMAXSIZE-1; i++) {
		rtcbuf[i].seconds=0;
		rtcbuf[i].cb = 0;
		rtcbuf[i].next = &rtcbuf[i+1];
	}
	rtcbuf[RTCMAXSIZE-1].seconds=0;
	rtcbuf[RTCMAXSIZE-1].cb = 0;
	rtcbuf[RTCMAXSIZE-1].next = &rtcbuf[i+1];
	
	
	WTC_WTC0=0; // 2 seconds
	WTC_WTC1=1;
	WTC_WTC2=1;
	
	WTC_WTR=0; // clear bits
	
	WTC_WTOF=0; // clear interrupt bit
	
	WTC_WTIE = 1; // enable interrupt
	
}

__interrupt void intTimer(void) {
	RTCCBFUNC *run;

	WTC_WTIE = 0; // disable interrupt
	
	run=rtcl;

	counter=counter+2;

	while(run!=0) {
		//for all registered functions
		if (counter%run->seconds == 0) {
			//check if time to call back
			run->cb();
		}
		run=run->next;
	}

	WTC_WTOF=0; // clear interrupt bit

	WTC_WTIE = 1; // enable interrupt
}