/** \file
 *
 * arp.h
 *
 * @author  fritz
 * @version $Id: arp.h,v 1.3 2005/08/08 10:11:03 fritz Exp $
 */

#ifndef ARP_H
#define ARP_H
 
#include "globtype.h"
#include "buffers.h"

#define ARPTIMEOUT	60	// after max ARPTIMEOUT seconds entry will be deleted from list

typedef struct {

  byte arp_hardware_h;  // hardware type
  byte arp_hardware_l;
  byte arp_proto_h;			// protocol type
  byte arp_proto_l;
  byte arp_halen;				// hardware address length
  byte arp_protoalen;		// protocol address length
  byte arp_opcode_h;		// opcode
  byte arp_opcode_l;
  byte arp_shaddr_5;		// sender hardware address 
  byte arp_shaddr_4;
  byte arp_shaddr_3;
  byte arp_shaddr_2;
  byte arp_shaddr_1;
  byte arp_shaddr_0;
  byte arp_spaddr_3;		// sender protocol address
  byte arp_spaddr_2;
  byte arp_spaddr_1;
  byte arp_spaddr_0;
  byte arp_thaddr_5;		// target hardware address
  byte arp_thaddr_4;		
  byte arp_thaddr_3;
  byte arp_thaddr_2;
  byte arp_thaddr_1;
  byte arp_thaddr_0;  	// target protocol address
  byte arp_tpaddr_3;
  byte arp_tpaddr_2;
  byte arp_tpaddr_1;
  byte arp_tpaddr_0;
  
} ARPHEADER;


void handle_arp_request(byte *rcvdata, word rcvdatalen);
void arpmanager(byte * rcvdata, word rcvdatalen);
void manageARPentry(byte* ip, byte* ha);
ARPentry* getHWA(byte* ipadd);
void sendipframe(byte* out, word datalen);

#endif // ARP_H