/**
 *
 * cemi.h
 *
 * Header file for cEMI frame functions
 *
 * @version $Id: cemi.h,v 1.1 2005/07/17 16:57:41 fritz Exp $
 * @author fritz
 *
 */
 
#ifndef __CEMI__
#define __CEMI__

#include "globtype.h"

/**
 * cEMI Message Codes
 **/
#define	L_BUSMON_IND		0x2B
#define	L_RAW_IND			0x2D
#define	L_RAW_REQ			0x10
#define	L_RAW_CON			0x2F
#define	L_DATA_REQ			0x11
#define	L_DATA_CON			0x2E
#define	L_DATA_IND			0x29
#define	L_POLL_DATA_REQ	0x13
#define	L_POLL_DATA_CON	0x25
#define	M_PROP_READ_REQ	0xFC
#define	M_PROP_READ_CON	0xFB
#define	M_PROP_WRITE_REQ	0xF6
#define	M_PROP_WRITE_CON	0xF5
#define	M_PROP_INFO_IND	0xF7
#define	M_RESET_REQ			0xF1
#define	M_RESET_IND			0xF0


typedef struct {
	byte mc;
	byte ioth;
	byte iotl;
	byte oi;
	byte pid;
	word noe_six;
	byte *data;
}CEMI_MGMT_MESSAGE;
#define	NOE(mgmt_message_noe_six)	mgmt_message_noe_six>>12
#define	SIX(mgmt_message_noe_six)	mgmt_message_noe_six & 0x0FFF

typedef struct{
	byte mc;
	byte addil;
	byte *addi;
	byte ctrl1;
	byte ctrl2;
	byte saddr_h;
	byte saddr_l;
	byte daddr_h;
	byte daddr_l;
	byte datal;
	byte *data;
}CEMI_L_DATA_MESSAGE;

void cEMI_Mgmt_Server(CEMI_MGMT_MESSAGE *rcvdata, word rcvdatalen);

#endif