/** \file
 *
 * icmp.h
 *
 * Header file for ICMP
 *
 * @version $Id: icmp.h,v 1.2 2005/08/06 23:07:19 fritz Exp $
 * @author oalt
 */
 
#ifndef ICMP_H
#define ICMP_H

#include "globtype.h"

typedef struct // ICMP common header fields
{
  byte icmp_type;
  byte icmp_code;
  byte icmp_chksum_h;
  byte icmp_chksum_l;
} ICMPHEADER;

typedef struct  // ICMP echo (type 8) and echo reply (type 0) header 
                // fields 
{
  byte icmp_echo_id_h;
  byte icmp_echo_id_l;
  byte icmp_echo_seq_h;
  byte icmp_echo_seq_l;
} ICMPECHO;

// fuction prototypes
void icmpmanager(byte *rcvdata, word datalen);
void icmp_echo_reply(byte *rcvdata, word datalen);
word icmp_chksum(ICMPHEADER * icmph, word len);


#endif // ICMP_H