/** \file
 *
 * ip.h
 *
 * Header file for IP.
 *
 * @version $Id: ip.h,v 1.2 2005/08/06 23:07:19 fritz Exp $
 * @author oalt
 */

#ifndef IP_H
#define IP_H

#include "globtype.h"

// define the protocol headers

// IP v4
typedef struct
{
  byte ip_VandLen;
  byte ip_tos;
  byte ip_length_h;
  byte ip_length_l;
  byte ip_id_h;
  byte ip_id_l;
  byte ip_fragment_h;
  byte ip_fragment_l;
  byte ip_livetime;
  byte ip_protocol; 
  byte ip_chksum_h;
  byte ip_chksum_l;
  byte ip_saddr_3;
  byte ip_saddr_2;
  byte ip_saddr_1;
  byte ip_saddr_0;
  byte ip_daddr_3;
  byte ip_daddr_2;
  byte ip_daddr_1;
  byte ip_daddr_0;
  byte ip_options;
} IPHEADER;


typedef struct
{
  byte ip_protocol;
  byte ip_daddr_3;
  byte ip_daddr_2;
  byte ip_daddr_1;
  byte ip_daddr_0;
} IPHDATA;

// function prototypes

void ipmanager(byte *rcvdata, word datalen);
void ipsend(word len, IPHDATA iphd);
void ipchksum(IPHEADER * out);
word i_chksum(word * data, word datalen);

#endif IP_H