/** \file
 *
 * rtc.h
 * Watch timer header file.
 *
 * functions can register and get callback at defined interval
 * min interval = x*2s
 * max interval = 255*2s
 *
 * @author fritz
 */

#ifndef RTC_H
#define RTC_H

#include "globtype.h"

#define RTCMAXSIZE	5	// maximum number of registered functions

typedef void CALLBACKFUNC(void);

// hardware independend
int RTCregisterfunc(byte seconds,CALLBACKFUNC *func);
int RTCunregisterfunc(CALLBACKFUNC *func);

// hardware dependend
void initRTC(void);

typedef struct cbfunc{
	byte seconds;
	CALLBACKFUNC* cb;
	struct cbfunc* next;	
}RTCCBFUNC;


#endif // RTC_H