/** \file
 *
 * tcp.h
 *
 * Header file for TCP
 *
 * @version $Id: tcp.h,v 1.2 2005/08/06 23:07:19 fritz Exp $
 * @author  oalt
 *
 */

#ifndef TCP_H
#define TCP_H

#include "globtype.h"

// TCP
typedef struct
{
  byte tcp_sport_h;
  byte tcp_sport_l;
  byte tcp_dport_h;
  byte tcp_dport_l;
  byte tcp_nnr_3;
  byte tcp_nnr_2;
  byte tcp_nnr_1;
  byte tcp_nnr_0;
  byte tcp_acknr_3;
  byte tcp_acknr_2;
  byte tcp_acknr_1;
  byte tcp_acknr_0;
  byte tcp_Len;
  byte tcp_flag;
  byte tcp_slwind_h;
  byte tcp_slwind_l;
  byte tcp_chksum_h;
  byte tcp_chksum_l;
  byte tcp_urgptr_h;
  byte tcp_urgptr_l;
  byte tcp_OaD;
} TCPHEADER;

#define CLOSED      0
#define LISTEN		1
#define SYN_RCVD    2
#define ESTABLISHED 3
#define CLOSE_WAIT  4
#define LAST_ACK    5
#define FIN_WAIT_1  6
#define FIN_WAIT_2  7
#define CLOSING		8
#define SYN_SENT	9


typedef struct
{
  byte tcpstate;
  byte ipaddr_3;
  byte ipaddr_2;
  byte ipaddr_1;
  byte ipaddr_0;
  byte rport_h;
  byte rport_l;
  byte lport_h;
  byte lport_l;
  dword seqnr;
  dword acknr;
} TCPCON;  

void tcpmanager(byte *rcvdata, word datalen);
void tcpsend(byte *rcvdata,word datalen, byte flags, TCPCON * con);
void tcpchksum(TCPHEADER * out, byte *rcvdata, word datalen);

#endif // TCP_H