/** \file
 *
 * tpuart.h
 *
 * Header file for TPUART with usefull defines.
 *
 * @version $Id: tpuart.h,v 1.2 2005/07/21 17:34:19 fritz Exp $
 * @author oalt
 *
 */
 
#ifndef _tpuart_h
#define _tpuart_h

#include "globtype.h"
#include "eib.h"


#define u_request_reset      0x01
#define u_state_request      0x02
#define u_activatebusmon     0x05

#define u_l_data             0x80
#define u_pollingstate       0xE0

#define u_resetindication    0x03
#define u_confirmOK          0x8B
#define u_confirmNotOK       0x0B     

// Prototypes
// hardware independend functions
void initTPUART(int port, int mode);
void resetTPUARTsw(int port);
int  sendEIBframe(int port, EIBFRAME* ef);
void rcmonitor(void);
void telegramtrace(void);

// hardware dependent functions
void initTimer(void);
void resetTPUARThw(int port);
int getTPUARTSavepin(int port);

#endif