/** \file
 *
 * eib.c
 *
 * EIB-Frame functions
 * @version $Id: eib.c,v 1.1 2005/07/17 16:57:41 fritz Exp $
 * @author oalt
 * 
 */

#include "eib.h"

/**
 * This function initalizes an EIB frame
 */
void  initEIBframe(EIBFRAME* ef, byte priority, word sadr, word destadr, 
                   byte daf, byte service_type, byte* data, byte length)  {
  
  int tmp = 0;
  byte b = 0;
  byte* bptr;
   
  ef->ctrl=0xb0 | (priority << 2);  		// Control Field
  
  ef->saddr_h=(byte) (sadr>>8);				// source address
  
  ef->saddr_l=(byte) (sadr & 0x00FF);

  ef->daddr_h=(byte) (destadr>>8);			// destination address
  
  ef->daddr_l=(byte) (destadr & 0x00FF);
  
  b=daf<<7;  								// DA Flag
  
  b=b | 0x60; 								// Routing Counter = 6
  
  b=b | length;
  
  ef->ll_length=b;
    
  ef->tpci=service_type;
 
  if(length!=0)
  {
    ef->apci=data[0];
    for(tmp=1; tmp<length; tmp++)
    {
      ef->data[tmp]=data[tmp+1]; 
    }  
  }
  
  tmp=0;
  
  bptr=(byte*)ef;
  
  b=bptr[0];
  
  for(tmp=1; tmp<length+7; tmp++)   // Calculate Checksum
  {
    b=b ^ bptr[tmp];
  }
      
  bptr[length+7]=~b;

}


/**
 * Get the EIB frame length.
 * 
 * @param frame pointer to an EIBFRAME
 * @return the length
 */
byte getFrameLen(EIBFRAME* frame)  {

  return (byte)(frame->ll_length&0x0F)+8; 

}

