/** \file
 *
 * eibserver.c
 *
 * EIBserver functions.
 *
 * @version $Id: eibserver.c,v 1.1 2005/07/17 16:57:41 fritz Exp $
 * @author  oalt
 *
 */
 
#include "eibserver.h"
#include "udp.h"
#include "ip.h"
#include "eib.h"
#include "eibnetip.h"
#include "config.h"

extern byte send[576+80];
extern byte rb[20][25];		// receive queue
// int tvals[25];
extern int row_read;
extern int col_read;
extern int row_write;
extern int col_write;

byte eibserverstate=0;
byte eibrecip_3;
byte eibrecip_2;
byte eibrecip_1;
byte eibrecip_0;

EIBFRAME *eibrcv;
CEMI_L_DATA_MESSAGE cemi;

/**
 * Send received frame to EIB 
 * @param mode server mode (not used at the moment)
 * @param data byte pointer to the frame data, including the type byte !
 * @param datalen the datalength (not used in this version)
 */
 
void eibrcvserver(int mode, byte * data, word datalen)  
{
  
  EIBFRAME * ef;
  
  switch(data[0])
  {
    case 0x01:  // start EIB gateway
      eibserverstate=1;
      eibrecip_3=data[1];
      eibrecip_2=data[2];
      eibrecip_1=data[3];
      eibrecip_0=data[4];
    break;
    
    case 0x03:  // stop EIB gateway
      eibserverstate=0;
    break;
    
    case 0x10: // EIBframe 0
      if(eibserverstate==1)
      {
      	ef=(EIBFRAME *)&data[1];
      	sendEIBframe(1,ef);
      }
    break;
  }

}

/**
 * send received EIB frame to ethernet
 */
void eibsendserver(void)  
{

  byte datalen=0;
  int i=0;
  UDPHDATA udp_out;
  IPHDATA  ip_out;
  
  datalen=(rb[row_read][5]&0x0F)+10;
  
  udp_out.udp_sport_h=0xE1;
  udp_out.udp_sport_l=0xB0;
  
  udp_out.udp_dport_h=0xE1;
  udp_out.udp_dport_l=0xB0;
  
  ip_out.ip_protocol=17; // UDP
  ip_out.ip_daddr_3=eibrecip_3;
  ip_out.ip_daddr_2=eibrecip_2;
  ip_out.ip_daddr_1=eibrecip_1;
  ip_out.ip_daddr_0=eibrecip_0;
  
  send[108]=0x10;
  
  for(i=0; i<datalen; i++)
  {
    send[109+datalen+i]=0;
    send[109+i]=rb[row_read][i];
    rb[row_read][i]=0;
  }
  
  row_read++;
  if(row_read==25)
  {
    row_read=0;
  }    
  
  if(eibserverstate==1)
  {
    udpsend((word)datalen, udp_out, ip_out); 
  }
}


/**
 * handles received knx frames
 **/
void eibserver() {
	int i=0;
	EIBNETIP_COMMON_CONNECTION_HEADER head;
	
	eibrcv=(EIBFRAME *) &(rb[row_read][0]); // extract eib frame

	// currently only process l_data frames
	if (eibrcv->tpci == L_DATA_REQ | 
		eibrcv->tpci == L_DATA_CON |
		eibrcv->tpci == L_DATA_IND) {

		// build cemi frame
		initCemiframe(&cemi,eibrcv);

		if (((cemi.daddr_h<<8) | (cemi.daddr_l&0xFF))==KNX_INDIVIDUAL_ADDRESSES) {
			// yipeeee... a packet for me
			// hmm... but what to do with it??
			#ifdef DEBUG_ENABLE_LITTLE
				printfUART(UART_DEBUG,"yipeee.... a knx Packet for me");
			#endif
		}
		else if (((cemi.daddr_h<<8) | (cemi.daddr_l&0xFF))==SYSTEM_SETUP_MULTICAST_ADDRESS) {
			// transmit to all eibnet/ip clients
			for(i=0;i<EIBNETIP_MAXCONNECTIONS;i++) {
			//	if (eibcon[i]
			//@todo finish this
			
			}		
		
		}


	}
		
   memset(&rb[row_read][0],0,25); // clear frame
   row_read = (row_read +1) % 25;
}