/** \file
 *
 * rtc.c
 *
 * @author fritz
 */
 
#include "rtc.h"
 
// callback buffer
RTCCBFUNC rtcbuf[RTCMAXSIZE];
RTCCBFUNC *rtcfl;
RTCCBFUNC *rtcl;

/**
 * register callback function at interval "seconds"
 * returns 0 if failed
 **/
int RTCregisterfunc(byte sec,CALLBACKFUNC *func) {
	
	RTCCBFUNC * tmp;
  
	if(rtcl==0) {
		rtcl=rtcfl;
		rtcfl=rtcfl->next;
		rtcl->next=0;
	}
	else {
		if(rtcfl!=0) {  // free elements available
			tmp=rtcfl;
			rtcfl=rtcfl->next;
			tmp->next=rtcl;
			rtcl=tmp;
		}
		else {  // free list empty
    		return 0;
		}
	}
    
	rtcl->seconds=sec;
	rtcl->cb=func;
  
	return 1;
}

/**
 * unregisters a function
 **/
int RTCunregisterfunc(CALLBACKFUNC *func) {
	// not implemented
	return 0;
}