/** \file
 * Hardware independend part of slip functions.
 *
 * @author  oalt
 * @version $Id: slip.c,v 1.2 2005/08/06 23:07:19 fritz Exp $
 */
#include "slip.h"
#include "config.h"
#include "uartapi.h"
#include "buffers.h"


/** 
 * Connect to Win95/98 and WinXP over SLIP
 * sends "ok" until phone number is received and then responds with connect
 * quite a hack
 */
void slip_connect(void) {
	byte buff[10]={0};
	int cnt=0, i=0;
	byte tmp;
	tmp=0;
  
  
	while (strncmp(&buff,"ATDT",4)!=0) {
	
		while(tmp!=0x0D) {
			tmp=getUARTbyte(UART_SLIP);

			#ifdef DEBUG_ENABLE_MOST
				sendUARTbyte(UART_DEBUG,tmp);
			#endif

			buff[cnt]=tmp;
			cnt++;
		}
		if (strncmp(&buff,"ATDT",4)!=0) {
			sendUARTbyte(UART_SLIP,'o');
			sendUARTbyte(UART_SLIP,'k');
			#ifdef DEBUG_ENABLE_MOST
				printfUART(UART_DEBUG,"sent ok\r");
			#endif
		}
		cnt=0;
		tmp=0;
	
	}

	sendUARTstring(UART_SLIP,"connect\r");
	#ifdef DEBUG_ENABLE_MOST
		printfUART(UART_DEBUG,"sent connect\r");
	#endif
}

/** SEND_PACKET: sends a packet of length "len", starting at
 * location "p".
 */
void slip_send(byte *p, int len)  
{ 
     /* send an initial END character to flush out any data that may
      * have accumulated in the receiver due to line noise
      */
        sendUARTbyte(UART_SLIP,SLIP_END);
 
     /* for each byte in the packet, send the appropriate character
      * sequence
      */
           while(len--) {
                   switch(*p) {
                   /* if it's the same code as an END character, we send a
                    * special two character code so as not to make the
                    * receiver think we sent an END
                    */
                   case SLIP_END:
                           sendUARTbyte(UART_SLIP,SLIP_ESC);
                           sendUARTbyte(UART_SLIP,SLIP_ESC_END);
                           break;
 
                   /* if it's the same code as an ESC character,
                    * we send a special two character code so as not
                    * to make the receiver think we sent an ESC
                    */
                   case SLIP_ESC:
                           sendUARTbyte(UART_SLIP,SLIP_ESC);
                           sendUARTbyte(UART_SLIP,SLIP_ESC_ESC);
                           break;
                   /* otherwise, we just send the character  */
                   default:
                           sendUARTbyte(UART_SLIP,*p);
                           }
 
                   p++;
                   }
 
           /* tell the receiver that we're done sending the packet
            */
           sendUARTbyte(UART_SLIP,SLIP_END);
} 
