/** \file
 *
 * udp.c
 *
 * This file realizes the UDP send and receive functions.
 * 
 * @version $Id: udp.c,v 1.3 2005/08/06 23:07:19 fritz Exp $
 * @author  oalt
 */
 
#include "udp.h"
#include "eibnetip.h"
#include "ip.h"
#include "eibserver.h"
#include "buffers.h"
#include "config.h"

extern byte send[MTU];

/**
 * The udpmanager() normaly called by ipmanager, if the IP data is an UDP packet
 * @param datalen data length
 */
void udpmanager(byte *rcvdata, word datalen)  
{
	unsigned int port;

	UDPHEADER * rudph;
	byte * data;

//	rudph=(UDPHEADER *)&(ip_read->data[((ip_read->data[14]&0x0F)<<2)+14]); // align UDPHEADER
//	rudph=(UDPHEADER *)&(ip_read->data[((ip_read->data[0]&0x0F)<<2)]);
	rudph=(UDPHEADER *)rcvdata;
	
	datalen -= 8;
	
	data=(byte *)rudph+8;

	port = (rudph->udp_dport_h<<8) | rudph->udp_dport_l;
	
	switch (port) {
		case 0xE1B0: // EIB Server #0
    		//eibrcvserver(0, data, datalen);
			break;
			
		case EIBNETIP_PORT_NUMBER:
			eibnetipserver(data,datalen);
			break;
		
		default:
			#ifdef DEBUG_ENABLE_LITTLE
			printfUART(UART_DEBUG,"udp packet to unsupported port 0x%x%x\r",port>>8,port&0xFF);
			#endif
			break;
	}
}

/**
 * Call this function, if you want to send UDP data
 * Because we have no sockets, you have to give an UDP and an IP header !
 * @param datalen the data length without UDP header
 * @param udph A filled UDPHEADER
 * @param iphd A filled IPHEADER
 */
void udpsend(word datalen, UDPHDATA udph, IPHDATA iphd)  
{

  UDPHEADER * out;
  
  out=(UDPHEADER *)&send[100];
  
  out->udp_sport_h=udph.udp_sport_h;
  out->udp_sport_l=udph.udp_sport_l;
  
  out->udp_dport_h=udph.udp_dport_h;
  out->udp_dport_l=udph.udp_dport_l;
  
  datalen += 8;
  
  out->udp_length_h=(byte)(datalen>>8);
  out->udp_length_l=(byte)(datalen & 0x00FF);
  
  // calculate chksum, to do !!!
  out->udp_chksum_l=0;
  out->udp_chksum_h=0;

  ipsend(datalen, iphd);
  
}


/**
 * sends a udp packet of length datalen with content data
 * currently a little hack, due to structure of whole stack
 * copying should be avoided
 **/
void udpsenddata(byte *data, word datalen, UDPHDATA *udph, IPHDATA *iphd) {

	memset(&send[108],0,576+80-108-1); 	// clear send buffer, @todo:really starts at 108??
	memcpy(&send[108],data,datalen);		// copy data to send buffer
	udpsend(datalen,*udph,*iphd);			// use old udpsend function

}